;/*****************************************************************************
; * @file:    startup_MVF6X.s
; * @purpose: CMSIS Cortex-M4 Core Device Startup File for the
; *           MVF6X
; * @version: 0.1
; * @date:    2013-8-2
; *
; * Copyright: 1997 - 2014 Freescale Semiconductor, Inc. All Rights Reserved.
;*
; *------- <<< Use Configuration Wizard in Context Menu >>> ------------------
; *
; *****************************************************************************/


; <h> Stack Configuration
;   <o> Stack Size (in Bytes) <0x0-0xFFFFFFFF:8>
; </h>

Stack_Size      EQU     0x00000400

                AREA    STACK, NOINIT, READWRITE, ALIGN=3
Stack_Mem       SPACE   Stack_Size
__initial_sp


; <h> Heap Configuration
;   <o>  Heap Size (in Bytes) <0x0-0xFFFFFFFF:8>
; </h>

Heap_Size       EQU     0x00000400

                AREA    HEAP, NOINIT, READWRITE, ALIGN=3
__heap_base
Heap_Mem        SPACE   Heap_Size
__heap_limit


                PRESERVE8
                THUMB


; Vector Table Mapped to Address 0 at Reset

                AREA    RESET, DATA, READONLY
                EXPORT  __Vectors
                EXPORT  __Vectors_End
                EXPORT  __Vectors_Size

__Vectors       DCD     __initial_sp  ; Top of Stack
                DCD     Reset_Handler  ; Reset Handler
                DCD     NMI_Handler  ; NMI Handler
                DCD     HardFault_Handler  ; Hard Fault Handler
                DCD     MemManage_Handler  ; MPU Fault Handler
                DCD     BusFault_Handler  ; Bus Fault Handler
                DCD     UsageFault_Handler  ; Usage Fault Handler
                DCD     0  ; Reserved
                DCD     0  ; Reserved
                DCD     0  ; Reserved
                DCD     0  ; Reserved
                DCD     SVC_Handler  ; SVCall Handler
                DCD     DebugMon_Handler  ; Debug Monitor Handler
                DCD     0  ; Reserved
                DCD     PendSV_Handler  ; PendSV Handler
                DCD     SysTick_Handler  ; SysTick Handler

                ; External Interrupts

                DCD     CPU2CPU_INT0_IRQHandler
                DCD     CPU2CPU_INT1_IRQHandler
                DCD     CPU2CPU_INT2_IRQHandler
                DCD     CPU2CPU_INT3_IRQHandler
                DCD     DIRECTED0_SEMA4_IRQHandler
                DCD     DIRECTED1_MCM_IRQHandler
                DCD     DIRECTED2_IRQHandler
                DCD     DIRECTED3_IRQHandler
                DCD     DMA0_IRQHandler
                DCD     DMA0_ERROR_IRQHandler
                DCD     DMA1_IRQHandler
                DCD     DMA1_ERROR_IRQHandler
                DCD     RESERVED0_IRQHandler
                DCD     RESERVED1_IRQHandler
                DCD     MSCM_ECC0_IRQHandler
                DCD     MSCM_ECC1_IRQHandler
                DCD     CSU_ALARM_IRQHandler
                DCD     RESERVED2_IRQHandler
                DCD     MSCM_ACTZS_IRQHandler
                DCD     RESERVED3_IRQHandler
                DCD     WDOG_A5_IRQHandler
                DCD     WDOG_M4_IRQHandler
                DCD     WDOG_SNVS_IRQHandler
                DCD     CP1_BOOT_FAIL_IRQHandler
                DCD     QSPI0_IRQHandler
                DCD     QSPI1_IRQHandler
                DCD     DDRMC_IRQHandler
                DCD     SDHC0_IRQHandler
                DCD     SDHC1_IRQHandler
                DCD     RESERVED4_IRQHandler
                DCD     DCU0_IRQHandler
                DCD     DCU1_IRQHandler
                DCD     VIU_IRQHandler
                DCD     RESERVED5_IRQHandler
                DCD     RESERVED6_IRQHandler
                DCD     RLE_IRQHandler
                DCD     SEG_LCD_IRQHandler
                DCD     RESERVED7_IRQHandler
                DCD     RESERVED8_IRQHandler
                DCD     PIT_IRQHandler
                DCD     LPTIMER0_IRQHandler
                DCD     RESERVED9_IRQHandler
                DCD     FLEXTIMER0_IRQHandler
                DCD     FLEXTIMER1_IRQHandler
                DCD     FLEXTIMER2_IRQHandler
                DCD     FLEXTIMER3_IRQHandler
                DCD     RESERVED10_IRQHandler
                DCD     RESERVED11_IRQHandler
                DCD     RESERVED12_IRQHandler
                DCD     RESERVED13_IRQHandler
                DCD     USBPHY0_IRQHandlerHandler
                DCD     USBPHY1_IRQHandlerHandler
                DCD     RESERVED14_IRQHandler
                DCD     ADC0_IRQHandler
                DCD     ADC1_IRQHandler
                DCD     DAC0_IRQHandler
                DCD     DAC1_IRQHandler
                DCD     RESERVED15_IRQHandler
                DCD     FLEXCAN0_IRQHandler
                DCD     FLEXCAN1_IRQHandler
                DCD     RESERVED16_IRQHandler
                DCD     UART0_IRQHandler
                DCD     UART1_IRQHandler
                DCD     UART2_IRQHandler
                DCD     UART3_IRQHandler
                DCD     UART4_IRQHandler
                DCD     UART5_IRQHandler
                DCD     SPI0_IRQHandler
                DCD     SPI1_IRQHandler
                DCD     SPI2_IRQHandler
                DCD     SPI3_IRQHandler
                DCD     I2C0_IRQHandler
                DCD     I2C1_IRQHandler
                DCD     I2C2_IRQHandler
                DCD     I2C3_IRQHandler
                DCD     USBC0_IRQHandler
                DCD     USBC1_IRQHandler
                DCD     RESERVED17_IRQHandler
                DCD     ENET0_IRQHandler
                DCD     ENET1_IRQHandler
                DCD     ENET0_1588_IRQHandler
                DCD     ENET1_1588_IRQHandler
                DCD     ENET_SWITCH_IRQHandler
                DCD     NFC_IRQHandler
                DCD     SAI0_IRQHandler
                DCD     SAI1_IRQHandler
                DCD     SAI2_IRQHandler
                DCD     SAI3_IRQHandler
                DCD     ESAI_BIFIFO_IRQHandler
                DCD     SPDIF_IRQHandler
                DCD     ASRC_IRQHandler
                DCD     VREG_IRQHandler
                DCD     WKPU0_IRQHandler
                DCD     RESERVED18_IRQHandler
                DCD     CCM_FXOSC_IRQHandler
                DCD     CCM_IRQHandler
                DCD     SRC_IRQHandler
                DCD     PDB_IRQHandler
                DCD     EWM_IRQHandler
                DCD     RESERVED19_IRQHandler
                DCD     RESERVED20_IRQHandler
                DCD     RESERVED21_IRQHandler
                DCD     RESERVED22_IRQHandler
                DCD     RESERVED23_IRQHandler
                DCD     RESERVED24_IRQHandler
                DCD     RESERVED25_IRQHandler
                DCD     RESERVED26_IRQHandler
                DCD     GPIO0_IRQHandler
                DCD     GPIO1_IRQHandler
                DCD     GPIO2_IRQHandler
                DCD     GPIO3_IRQHandler
                DCD     GPIO4_IRQHandler
__Vectors_End

__Vectors_Size 	EQU     __Vectors_End - __Vectors

; <h> Flash Configuration
;   <i> 16-byte flash configuration field that stores default protection settings (loaded on reset)
;   <i> and security information that allows the MCU to restrict acces to the FTFL module.
;   <h> Backdoor Comparison Key
;     <o0>  Backdoor Key 0  <0x0-0xFF:2>
;     <o1>  Backdoor Key 1  <0x0-0xFF:2>
;     <o2>  Backdoor Key 2  <0x0-0xFF:2>
;     <o3>  Backdoor Key 3  <0x0-0xFF:2>
;     <o4>  Backdoor Key 4  <0x0-0xFF:2>
;     <o5>  Backdoor Key 5  <0x0-0xFF:2>
;     <o6>  Backdoor Key 6  <0x0-0xFF:2>
;     <o7>  Backdoor Key 7  <0x0-0xFF:2>
BackDoorK0      EQU     0xFF
BackDoorK1      EQU     0xFF
BackDoorK2      EQU     0xFF
BackDoorK3      EQU     0xFF
BackDoorK4      EQU     0xFF
BackDoorK5      EQU     0xFF
BackDoorK6      EQU     0xFF
BackDoorK7      EQU     0xFF
;   </h>
;   <h> Program flash protection bytes (FPROT)
;     <i> Each program flash region can be protected from program and erase operation by setting the associated PROT bit.
;     <i> Each bit protects a 1/32 region of the program flash memory.
;     <h> FPROT0
;       <i> Program flash protection bytes
;       <i> 1/32 - 8/32 region
;       <o.0>   FPROT0.0
;       <o.1>   FPROT0.1
;       <o.2>   FPROT0.2
;       <o.3>   FPROT0.3
;       <o.4>   FPROT0.4
;       <o.5>   FPROT0.5
;       <o.6>   FPROT0.6
;       <o.7>   FPROT0.7
nFPROT0         EQU     0x00
FPROT0          EQU     nFPROT0:EOR:0xFF
;     </h>
;     <h> FPROT1
;       <i> Program Flash Region Protect Register 1
;       <i> 9/32 - 16/32 region
;       <o.0>   FPROT1.0
;       <o.1>   FPROT1.1
;       <o.2>   FPROT1.2
;       <o.3>   FPROT1.3
;       <o.4>   FPROT1.4
;       <o.5>   FPROT1.5
;       <o.6>   FPROT1.6
;       <o.7>   FPROT1.7
nFPROT1         EQU     0x00
FPROT1          EQU     nFPROT1:EOR:0xFF
;     </h>
;     <h> FPROT2
;       <i> Program Flash Region Protect Register 2
;       <i> 17/32 - 24/32 region
;       <o.0>   FPROT2.0
;       <o.1>   FPROT2.1
;       <o.2>   FPROT2.2
;       <o.3>   FPROT2.3
;       <o.4>   FPROT2.4
;       <o.5>   FPROT2.5
;       <o.6>   FPROT2.6
;       <o.7>   FPROT2.7
nFPROT2         EQU     0x00
FPROT2          EQU     nFPROT2:EOR:0xFF
;     </h>
;     <h> FPROT3
;       <i> Program Flash Region Protect Register 3
;       <i> 25/32 - 32/32 region
;       <o.0>   FPROT3.0
;       <o.1>   FPROT3.1
;       <o.2>   FPROT3.2
;       <o.3>   FPROT3.3
;       <o.4>   FPROT3.4
;       <o.5>   FPROT3.5
;       <o.6>   FPROT3.6
;       <o.7>   FPROT3.7
nFPROT3         EQU     0x00
FPROT3          EQU     nFPROT3:EOR:0xFF
;     </h>
;   </h>
;   <h> Data flash protection byte (FDPROT)
;     <i> Each bit protects a 1/8 region of the data flash memory.
;     <i> (Program flash only devices: Reserved)
;     <o.0>   FDPROT.0
;     <o.1>   FDPROT.1
;     <o.2>   FDPROT.2
;     <o.3>   FDPROT.3
;     <o.4>   FDPROT.4
;     <o.5>   FDPROT.5
;     <o.6>   FDPROT.6
;     <o.7>   FDPROT.7
nFDPROT         EQU     0x00
FDPROT          EQU     nFDPROT:EOR:0xFF
;   </h>
;   <h> EEPROM protection byte (FEPROT)
;     <i> FlexNVM devices: Each bit protects a 1/8 region of the EEPROM.
;     <i> (Program flash only devices: Reserved)
;     <o.0>   FEPROT.0
;     <o.1>   FEPROT.1
;     <o.2>   FEPROT.2
;     <o.3>   FEPROT.3
;     <o.4>   FEPROT.4
;     <o.5>   FEPROT.5
;     <o.6>   FEPROT.6
;     <o.7>   FEPROT.7
nFEPROT         EQU     0x00
FEPROT          EQU     nFEPROT:EOR:0xFF
;   </h>
;   <h> Flash nonvolatile option byte (FOPT)
;     <i> Allows the user to customize the operation of the MCU at boot time.
;     <o.0>  LPBOOT
;       <0=> Low-power boot
;       <1=> normal boot
;     <o.1>  EZPORT_DIS
;       <0=> EzPort operation is enabled
;       <1=> EzPort operation is disabled
FOPT            EQU     0xFF
;   </h>
;   <h> Flash security byte (FSEC)
;     <i> WARNING: If SEC field is configured as "MCU security status is secure" and MEEN field is configured as "Mass erase is disabled",
;     <i> MCU's security status cannot be set back to unsecure state since Mass erase via the debugger is blocked !!!
;     <o.0..1> SEC
;       <2=> MCU security status is unsecure
;       <3=> MCU security status is secure
;         <i> Flash Security
;         <i> This bits define the security state of the MCU.
;     <o.2..3> FSLACC
;       <2=> Freescale factory access denied
;       <3=> Freescale factory access granted
;         <i> Freescale Failure Analysis Access Code
;         <i> This bits define the security state of the MCU.
;     <o.4..5> MEEN
;       <2=> Mass erase is disabled
;       <3=> Mass erase is enabled
;         <i> Mass Erase Enable Bits
;         <i> Enables and disables mass erase capability of the FTFL module
;     <o.6..7> KEYEN
;       <2=> Backdoor key access enabled
;       <3=> Backdoor key access disabled
;         <i> Backdoor key Security Enable
;         <i> These bits enable and disable backdoor key access to the FTFL module.
FSEC            EQU     0xFE
;   </h>
; </h>
                IF      :DEF:FLASH_TARGET
                AREA    |.ARM.__at_0x400|, CODE, READONLY
                DCB     BackDoorK0, BackDoorK1, BackDoorK2, BackDoorK3
                DCB     BackDoorK4, BackDoorK5, BackDoorK6, BackDoorK7
                DCB     FPROT0,     FPROT1,     FPROT2,     FPROT3
                DCB     FSEC,       FOPT,       FEPROT,     FDPROT
                ENDIF

                AREA    |.text|, CODE, READONLY

;init_data_bss
;     User defined function for data and bs memory segment initialization.
;      Weak definition to be replaced by user code.

init_data_bss   PROC
                EXPORT  init_data_bss             [WEAK]
                BX      R14
                ENDP

; Reset Handler

Reset_Handler   PROC
                EXPORT  Reset_Handler             [WEAK]
                IMPORT  SystemInit
                IMPORT  __main
                LDR     R0, =SystemInit
                BLX     R0
                LDR     R0, =init_data_bss
                BLX     R0
                LDR     R0, =__main
                BX      R0
                ENDP


; Dummy Exception Handlers (infinite loops which can be modified)

NMI_Handler     PROC
                EXPORT  NMI_Handler               [WEAK]
                B       .
                ENDP
HardFault_Handler\
                PROC
                EXPORT  HardFault_Handler         [WEAK]
                B       .
                ENDP
MemManage_Handler\
                PROC
                EXPORT  MemManage_Handler         [WEAK]
                B       .
                ENDP
BusFault_Handler\
                PROC
                EXPORT  BusFault_Handler          [WEAK]
                B       .
                ENDP
UsageFault_Handler\
                PROC
                EXPORT  UsageFault_Handler        [WEAK]
                B       .
                ENDP
SVC_Handler     PROC
                EXPORT  SVC_Handler               [WEAK]
                B       .
                ENDP
DebugMon_Handler\
                PROC
                EXPORT  DebugMon_Handler          [WEAK]
                B       .
                ENDP
PendSV_Handler  PROC
                EXPORT  PendSV_Handler            [WEAK]
                B       .
                ENDP
SysTick_Handler PROC
                EXPORT  SysTick_Handler           [WEAK]
                B       .
                ENDP

Default_Handler PROC
                EXPORT  CPU2CPU_INT0_IRQHandler  	[WEAK]
                EXPORT  CPU2CPU_INT1_IRQHandler  	[WEAK]
                EXPORT  CPU2CPU_INT2_IRQHandler  	[WEAK]
                EXPORT  CPU2CPU_INT3_IRQHandler  	[WEAK]
                EXPORT  DIRECTED0_SEMA4_IRQHandler  [WEAK]
                EXPORT  DIRECTED1_MCM_IRQHandler  	[WEAK]
                EXPORT  DIRECTED2_IRQHandler  		[WEAK]
                EXPORT  DIRECTED3_IRQHandler  		[WEAK]
                EXPORT  DMA0_IRQHandler  			[WEAK]
                EXPORT  DMA0_ERROR_IRQHandler  		[WEAK]
                EXPORT  DMA1_IRQHandler  			[WEAK]
                EXPORT  DMA1_ERROR_IRQHandler  		[WEAK]
                EXPORT  RESERVED0_IRQHandler        [WEAK]
                EXPORT  RESERVED1_IRQHandler        [WEAK]
                EXPORT  MSCM_ECC0_IRQHandler        [WEAK]
                EXPORT  MSCM_ECC1_IRQHandler        [WEAK]
                EXPORT  CSU_ALARM_IRQHandler        [WEAK]
                EXPORT  RESERVED2_IRQHandler        [WEAK]
                EXPORT  MSCM_ACTZS_IRQHandler       [WEAK]
                EXPORT  RESERVED3_IRQHandler        [WEAK]
                EXPORT  WDOG_A5_IRQHandler          [WEAK]
                EXPORT  WDOG_M4_IRQHandler          [WEAK]
                EXPORT  WDOG_SNVS_IRQHandler        [WEAK]
                EXPORT  CP1_BOOT_FAIL_IRQHandler    [WEAK]
                EXPORT  QSPI0_IRQHandler            [WEAK]
                EXPORT  QSPI1_IRQHandler            [WEAK]
                EXPORT  DDRMC_IRQHandler            [WEAK]
                EXPORT  SDHC0_IRQHandler            [WEAK]
                EXPORT  SDHC1_IRQHandler            [WEAK]
                EXPORT  RESERVED4_IRQHandler        [WEAK]
                EXPORT  DCU0_IRQHandler             [WEAK]
                EXPORT  DCU1_IRQHandler             [WEAK]
                EXPORT  VIU_IRQHandler              [WEAK]
                EXPORT  RESERVED5_IRQHandler        [WEAK]
                EXPORT  RESERVED6_IRQHandler        [WEAK]
                EXPORT  RLE_IRQHandler              [WEAK]
                EXPORT  SEG_LCD_IRQHandler          [WEAK]
                EXPORT  RESERVED7_IRQHandler        [WEAK]
                EXPORT  RESERVED8_IRQHandler        [WEAK]
                EXPORT  PIT_IRQHandler              [WEAK]
                EXPORT  LPTIMER0_IRQHandler         [WEAK]
                EXPORT  RESERVED9_IRQHandler        [WEAK]
                EXPORT  FLEXTIMER0_IRQHandler	    [WEAK]
                EXPORT  FLEXTIMER1_IRQHandler	    [WEAK]
                EXPORT  FLEXTIMER2_IRQHandler	    [WEAK]
                EXPORT  FLEXTIMER3_IRQHandler	    [WEAK]
                EXPORT  RESERVED10_IRQHandler	    [WEAK]
                EXPORT  RESERVED11_IRQHandler	    [WEAK]
                EXPORT  RESERVED12_IRQHandler	    [WEAK]
                EXPORT  RESERVED13_IRQHandler	    [WEAK]
                EXPORT  USBPHY0_IRQHandlerHandler	[WEAK]
                EXPORT  USBPHY1_IRQHandlerHandler	[WEAK]
                EXPORT  RESERVED14_IRQHandler       [WEAK]
                EXPORT  ADC0_IRQHandler		        [WEAK]
                EXPORT  ADC1_IRQHandler		        [WEAK]
                EXPORT  DAC0_IRQHandler		        [WEAK]
                EXPORT  DAC1_IRQHandler		        [WEAK]
                EXPORT  RESERVED15_IRQHandler	    [WEAK]
                EXPORT  FLEXCAN0_IRQHandler	        [WEAK]
                EXPORT  FLEXCAN1_IRQHandler	        [WEAK]
                EXPORT  RESERVED16_IRQHandler	    [WEAK]
                EXPORT  UART0_IRQHandler		    [WEAK]
                EXPORT  UART1_IRQHandler		    [WEAK]
                EXPORT  UART2_IRQHandler		    [WEAK]
                EXPORT  UART3_IRQHandler		    [WEAK]
                EXPORT  UART4_IRQHandler		    [WEAK]
                EXPORT  UART5_IRQHandler		    [WEAK]
                EXPORT  SPI0_IRQHandler		        [WEAK]
                EXPORT  SPI1_IRQHandler		        [WEAK]
                EXPORT  SPI2_IRQHandler		        [WEAK]
                EXPORT  SPI3_IRQHandler		        [WEAK]
                EXPORT  I2C0_IRQHandler		        [WEAK]
                EXPORT  I2C1_IRQHandler		        [WEAK]
                EXPORT  I2C2_IRQHandler		        [WEAK]
                EXPORT  I2C3_IRQHandler		        [WEAK]
                EXPORT  USBC0_IRQHandler		    [WEAK]
                EXPORT  USBC1_IRQHandler		    [WEAK]
                EXPORT  RESERVED17_IRQHandler	    [WEAK]
                EXPORT  ENET0_IRQHandler		    [WEAK]
                EXPORT  ENET1_IRQHandler		    [WEAK]
                EXPORT  ENET0_1588_IRQHandler       [WEAK]
                EXPORT  ENET1_1588_IRQHandler	    [WEAK]
                EXPORT  ENET_SWITCH_IRQHandler	    [WEAK]
                EXPORT  NFC_IRQHandler	            [WEAK]
                EXPORT  SAI0_IRQHandler		        [WEAK]
                EXPORT  SAI1_IRQHandler		        [WEAK]
                EXPORT  SAI2_IRQHandler		        [WEAK]
                EXPORT  SAI3_IRQHandler		        [WEAK]
                EXPORT  ESAI_BIFIFO_IRQHandler      [WEAK]
                EXPORT  SPDIF_IRQHandler		    [WEAK]
                EXPORT  ASRC_IRQHandler		        [WEAK]
                EXPORT  VREG_IRQHandler		        [WEAK]
                EXPORT  WKPU0_IRQHandler		    [WEAK]
                EXPORT  RESERVED18_IRQHandler	    [WEAK]
                EXPORT  CCM_FXOSC_IRQHandler	    [WEAK]
                EXPORT  CCM_IRQHandler			    [WEAK]
                EXPORT  SRC_IRQHandler			    [WEAK]
                EXPORT  PDB_IRQHandler			    [WEAK]
                EXPORT  EWM_IRQHandler			    [WEAK]
                EXPORT  RESERVED19_IRQHandler	    [WEAK]
                EXPORT  RESERVED20_IRQHandler	    [WEAK]
                EXPORT  RESERVED21_IRQHandler	    [WEAK]
                EXPORT  RESERVED22_IRQHandler	    [WEAK]
                EXPORT  RESERVED23_IRQHandler	    [WEAK]
                EXPORT  RESERVED24_IRQHandler	    [WEAK]
                EXPORT  RESERVED25_IRQHandler	    [WEAK]
                EXPORT  RESERVED26_IRQHandler	    [WEAK]
                EXPORT  GPIO0_IRQHandler		    [WEAK]
                EXPORT  GPIO1_IRQHandler		    [WEAK]
                EXPORT  GPIO2_IRQHandler		    [WEAK]
                EXPORT  GPIO3_IRQHandler		    [WEAK]
                EXPORT  GPIO4_IRQHandler		    [WEAK]
                EXPORT  DefaultISR                      [WEAK]

CPU2CPU_INT0_IRQHandler
CPU2CPU_INT1_IRQHandler
CPU2CPU_INT2_IRQHandler
CPU2CPU_INT3_IRQHandler
DIRECTED0_SEMA4_IRQHandler
DIRECTED1_MCM_IRQHandler
DIRECTED2_IRQHandler
DIRECTED3_IRQHandler
DMA0_IRQHandler
DMA0_ERROR_IRQHandler
DMA1_IRQHandler
DMA1_ERROR_IRQHandler
RESERVED0_IRQHandler
RESERVED1_IRQHandler
MSCM_ECC0_IRQHandler
MSCM_ECC1_IRQHandler
CSU_ALARM_IRQHandler
RESERVED2_IRQHandler
MSCM_ACTZS_IRQHandler
RESERVED3_IRQHandler
WDOG_A5_IRQHandler
WDOG_M4_IRQHandler
WDOG_SNVS_IRQHandler
CP1_BOOT_FAIL_IRQHandler
QSPI0_IRQHandler
QSPI1_IRQHandler
DDRMC_IRQHandler
SDHC0_IRQHandler
SDHC1_IRQHandler
RESERVED4_IRQHandler
DCU0_IRQHandler
DCU1_IRQHandler
VIU_IRQHandler
RESERVED5_IRQHandler
RESERVED6_IRQHandler
RLE_IRQHandler
SEG_LCD_IRQHandler
RESERVED7_IRQHandler
RESERVED8_IRQHandler
PIT_IRQHandler
LPTIMER0_IRQHandler
RESERVED9_IRQHandler
FLEXTIMER0_IRQHandler
FLEXTIMER1_IRQHandler
FLEXTIMER2_IRQHandler
FLEXTIMER3_IRQHandler
RESERVED10_IRQHandler
RESERVED11_IRQHandler
RESERVED12_IRQHandler
RESERVED13_IRQHandler
USBPHY0_IRQHandlerHandler
USBPHY1_IRQHandlerHandler
RESERVED14_IRQHandler
ADC0_IRQHandler
ADC1_IRQHandler
DAC0_IRQHandler
DAC1_IRQHandler
RESERVED15_IRQHandler
FLEXCAN0_IRQHandler
FLEXCAN1_IRQHandler
RESERVED16_IRQHandler
UART0_IRQHandler
UART1_IRQHandler
UART2_IRQHandler
UART3_IRQHandler
UART4_IRQHandler
UART5_IRQHandler
SPI0_IRQHandler
SPI1_IRQHandler
SPI2_IRQHandler
SPI3_IRQHandler
I2C0_IRQHandler
I2C1_IRQHandler
I2C2_IRQHandler
I2C3_IRQHandler
USBC0_IRQHandler
USBC1_IRQHandler
RESERVED17_IRQHandler
ENET0_IRQHandler
ENET1_IRQHandler
ENET0_1588_IRQHandler
ENET1_1588_IRQHandler
ENET_SWITCH_IRQHandler
NFC_IRQHandler
SAI0_IRQHandler
SAI1_IRQHandler
SAI2_IRQHandler
SAI3_IRQHandler
ESAI_BIFIFO_IRQHandler
SPDIF_IRQHandler
ASRC_IRQHandler
VREG_IRQHandler
WKPU0_IRQHandler
RESERVED18_IRQHandler
CCM_FXOSC_IRQHandler
CCM_IRQHandler
SRC_IRQHandler
PDB_IRQHandler
EWM_IRQHandler
RESERVED19_IRQHandler
RESERVED20_IRQHandler
RESERVED21_IRQHandler
RESERVED22_IRQHandler
RESERVED23_IRQHandler
RESERVED24_IRQHandler
RESERVED25_IRQHandler
RESERVED26_IRQHandler
GPIO0_IRQHandler
GPIO1_IRQHandler
GPIO2_IRQHandler
GPIO3_IRQHandler
GPIO4_IRQHandler
DefaultISR

                B       .

                ENDP


                ALIGN


; User Initial Stack & Heap

                IF      :DEF:__MICROLIB

                EXPORT  __initial_sp
                EXPORT  __heap_base
                EXPORT  __heap_limit

                ELSE

                IMPORT  __use_two_region_memory
                EXPORT  __user_initial_stackheap
__user_initial_stackheap

                LDR     R0, =  Heap_Mem
                LDR     R1, =(Stack_Mem + Stack_Size)
                LDR     R2, = (Heap_Mem +  Heap_Size)
                LDR     R3, = Stack_Mem
                BX      LR

                ALIGN

                ENDIF


                END
