;/*****************************************************************************
; * @file:    startup_MVF51NN151MK50.s
; * @purpose: CMSIS Cortex-M4 Core Device Startup File for the
; *           MVF51NN151MK50
; * @version: 0.1
; * @date:    2013-8-2
; *
; * Copyright: 1997 - 2014 Freescale Semiconductor, Inc. All Rights Reserved.
;*
; *------- <<< Use Configuration Wizard in Context Menu >>> ------------------
; *
; *****************************************************************************/


; <h> Stack Configuration
;   <o> Stack Size (in Bytes) <0x0-0xFFFFFFFF:8>
; </h>

Stack_Size      EQU     0x00000400

                AREA    STACK, NOINIT, READWRITE, ALIGN=3
Stack_Mem       SPACE   Stack_Size
__initial_sp


; <h> Heap Configuration
;   <o>  Heap Size (in Bytes) <0x0-0xFFFFFFFF:8>
; </h>

Heap_Size       EQU     0x00000000

                AREA    HEAP, NOINIT, READWRITE, ALIGN=3
__heap_base
Heap_Mem        SPACE   Heap_Size
__heap_limit


                PRESERVE8
                THUMB


; Vector Table Mapped to Address 0 at Reset

                AREA    RESET, DATA, READONLY
                EXPORT  __Vectors
                EXPORT  __Vectors_End
                EXPORT  __Vectors_Size

__Vectors       DCD     __initial_sp  ; Top of Stack
                DCD     Reset_Handler  ; Reset Handler
                DCD     NMI_Handler  ; NMI Handler
                DCD     HardFault_Handler  ; Hard Fault Handler
                DCD     MemManage_Handler  ; MPU Fault Handler
                DCD     BusFault_Handler  ; Bus Fault Handler
                DCD     UsageFault_Handler  ; Usage Fault Handler
                DCD     0  ; Reserved
                DCD     0  ; Reserved
                DCD     0  ; Reserved
                DCD     0  ; Reserved
                DCD     SVC_Handler  ; SVCall Handler
                DCD     DebugMon_Handler  ; Debug Monitor Handler
                DCD     0  ; Reserved
                DCD     PendSV_Handler  ; PendSV Handler
                DCD     SysTick_Handler  ; SysTick Handler

                ; External Interrupts
                DCD     GIC_SGI0_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI1_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI2_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI3_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI4_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI5_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI6_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI7_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI8_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI9_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI10_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI11_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI12_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI13_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI14_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_SGI15_IRQHandler  ; Software Generated Interrupt
                DCD     GIC_PPI0_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI1_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI2_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI3_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI4_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI5_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI6_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI7_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI8_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI9_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_PPI10_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_GlobalTimer_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_Legacy_nFIQ_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_CoreTimer_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_CoreWatchdog_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_Legacy_nIRQ_IRQHandler  ; Private Peripheral Interrupt
                DCD     GIC_CPU_to_CPU_int0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_CPU_to_CPU_int1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_CPU_to_CPU_int2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_CPU_to_CPU_int3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Dir_CA5_int0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Dir_CA5_int1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Dir_CA5_int2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Dir_CA5_int3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DMA0_Transfer_Complete_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DMA0_Error_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DMA1_Transfer_Complete_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DMA1_Error_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved44_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved45_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_MSCM_ECC0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_MSCM_ECC1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved48_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved49_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved50_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved51_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_WDOG_A5_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved53_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved54_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved55_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_QuadSPI0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_QuadSPI1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DDRMC_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SDHC0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SDHC1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved61_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DCU0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DCU1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_VIU_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved65_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved66_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_RLE_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved68_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved69_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved70_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_PIT_IRQHandler  ; PIT timer interrupt (Shared Peripheral Interrupt)
                DCD     GIC_LPTimer0_IRQHandler  ; LPTimer interrupt (Shared Peripheral Interrupt)
                DCD     GIC_Reserved73_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_FlexTimer0_IRQHandler  ; FTM0 fault, overflow and channels interrupt (Shared Peripheral Interrupt)
                DCD     GIC_FlexTimer1_IRQHandler  ; FTM1 fault, overflow and channels interrupt (Shared Peripheral Interrupt)
                DCD     GIC_FlexTimer2_IRQHandler  ; FTM2 fault, overflow and channels interrupt (Shared Peripheral Interrupt)
                DCD     GIC_FlexTimer3_IRQHandler  ; FTM3 fault, overflow and channels interrupt (Shared Peripheral Interrupt)
                DCD     GIC_Reserved78_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved79_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved80_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved81_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_USBPHY0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_USBPHY1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved84_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ADC0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ADC1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DAC0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_DAC1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved89_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_FlexCAN0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_FlexCAN1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved92_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_UART0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_UART1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_UART2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_UART3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_UART4_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_UART5_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SPI0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SPI1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SPI2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SPI3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_I2C0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_I2C1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_I2C2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_I2C3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_USB0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_USB1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved109_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ENET_MAC0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ENET_MAC1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ENET_1588_T0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ENET_1588_T1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ENET_Switch_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_NFC_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SAI0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SAI1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SAI2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SAI3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ESAI_BIFIFO_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SPDIF_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_ASRC_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_VREG_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_WKPU_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved125_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_CCM0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_CCM1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_SRC_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_PDB_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_EWM_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved131_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved132_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved133_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved134_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved135_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved136_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved137_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_Reserved138_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_GPIO0_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_GPIO1_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_GPIO2_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_GPIO3_IRQHandler  ; Shared Peripheral Interrupt
                DCD     GIC_GPIO4_IRQHandler  ; Shared Peripheral Interrupt
                DCD     Reserved160_IRQHandler  ; xxx Interrupt 160
                DCD     Reserved161_IRQHandler  ; xxx Interrupt 161
                DCD     Reserved162_IRQHandler  ; xxx Interrupt 162
                DCD     Reserved163_IRQHandler  ; xxx Interrupt 163
                DCD     Reserved164_IRQHandler  ; xxx Interrupt 164
                DCD     Reserved165_IRQHandler  ; xxx Interrupt 165
                DCD     Reserved166_IRQHandler  ; xxx Interrupt 166
                DCD     Reserved167_IRQHandler  ; xxx Interrupt 167
                DCD     Reserved168_IRQHandler  ; xxx Interrupt 168
                DCD     Reserved169_IRQHandler  ; xxx Interrupt 169
                DCD     Reserved170_IRQHandler  ; xxx Interrupt 170
                DCD     Reserved171_IRQHandler  ; xxx Interrupt 171
                DCD     Reserved172_IRQHandler  ; xxx Interrupt 172
                DCD     Reserved173_IRQHandler  ; xxx Interrupt 173
                DCD     Reserved174_IRQHandler  ; xxx Interrupt 174
                DCD     Reserved175_IRQHandler  ; xxx Interrupt 175
                DCD     Reserved176_IRQHandler  ; xxx Interrupt 176
                DCD     Reserved177_IRQHandler  ; xxx Interrupt 177
                DCD     Reserved178_IRQHandler  ; xxx Interrupt 178
                DCD     Reserved179_IRQHandler  ; xxx Interrupt 179
                DCD     Reserved180_IRQHandler  ; xxx Interrupt 180
                DCD     Reserved181_IRQHandler  ; xxx Interrupt 181
                DCD     Reserved182_IRQHandler  ; xxx Interrupt 182
                DCD     Reserved183_IRQHandler  ; xxx Interrupt 183
                DCD     Reserved184_IRQHandler  ; xxx Interrupt 184
                DCD     Reserved185_IRQHandler  ; xxx Interrupt 185
                DCD     Reserved186_IRQHandler  ; xxx Interrupt 186
                DCD     Reserved187_IRQHandler  ; xxx Interrupt 187
                DCD     Reserved188_IRQHandler  ; xxx Interrupt 188
                DCD     Reserved189_IRQHandler  ; xxx Interrupt 189
                DCD     Reserved190_IRQHandler  ; xxx Interrupt 190
                DCD     Reserved191_IRQHandler  ; xxx Interrupt 191
                DCD     Reserved192_IRQHandler  ; xxx Interrupt 192
                DCD     Reserved193_IRQHandler  ; xxx Interrupt 193
                DCD     Reserved194_IRQHandler  ; xxx Interrupt 194
                DCD     Reserved195_IRQHandler  ; xxx Interrupt 195
                DCD     Reserved196_IRQHandler  ; xxx Interrupt 196
                DCD     Reserved197_IRQHandler  ; xxx Interrupt 197
                DCD     Reserved198_IRQHandler  ; xxx Interrupt 198
                DCD     Reserved199_IRQHandler  ; xxx Interrupt 199
                DCD     Reserved200_IRQHandler  ; xxx Interrupt 200
                DCD     Reserved201_IRQHandler  ; xxx Interrupt 201
                DCD     Reserved202_IRQHandler  ; xxx Interrupt 202
                DCD     Reserved203_IRQHandler  ; xxx Interrupt 203
                DCD     Reserved204_IRQHandler  ; xxx Interrupt 204
                DCD     Reserved205_IRQHandler  ; xxx Interrupt 205
                DCD     Reserved206_IRQHandler  ; xxx Interrupt 206
                DCD     Reserved207_IRQHandler  ; xxx Interrupt 207
                DCD     Reserved208_IRQHandler  ; xxx Interrupt 208
                DCD     Reserved209_IRQHandler  ; xxx Interrupt 209
                DCD     Reserved210_IRQHandler  ; xxx Interrupt 210
                DCD     Reserved211_IRQHandler  ; xxx Interrupt 211
                DCD     Reserved212_IRQHandler  ; xxx Interrupt 212
                DCD     Reserved213_IRQHandler  ; xxx Interrupt 213
                DCD     Reserved214_IRQHandler  ; xxx Interrupt 214
                DCD     Reserved215_IRQHandler  ; xxx Interrupt 215
                DCD     Reserved216_IRQHandler  ; xxx Interrupt 216
                DCD     Reserved217_IRQHandler  ; xxx Interrupt 217
                DCD     Reserved218_IRQHandler  ; xxx Interrupt 218
                DCD     Reserved219_IRQHandler  ; xxx Interrupt 219
                DCD     Reserved220_IRQHandler  ; xxx Interrupt 220
                DCD     Reserved221_IRQHandler  ; xxx Interrupt 221
                DCD     Reserved222_IRQHandler  ; xxx Interrupt 222
                DCD     Reserved223_IRQHandler  ; xxx Interrupt 223
                DCD     Reserved224_IRQHandler  ; xxx Interrupt 224
                DCD     Reserved225_IRQHandler  ; xxx Interrupt 225
                DCD     Reserved226_IRQHandler  ; xxx Interrupt 226
                DCD     Reserved227_IRQHandler  ; xxx Interrupt 227
                DCD     Reserved228_IRQHandler  ; xxx Interrupt 228
                DCD     Reserved229_IRQHandler  ; xxx Interrupt 229
                DCD     Reserved230_IRQHandler  ; xxx Interrupt 230
                DCD     Reserved231_IRQHandler  ; xxx Interrupt 231
                DCD     Reserved232_IRQHandler  ; xxx Interrupt 232
                DCD     Reserved233_IRQHandler  ; xxx Interrupt 233
                DCD     Reserved234_IRQHandler  ; xxx Interrupt 234
                DCD     Reserved235_IRQHandler  ; xxx Interrupt 235
                DCD     Reserved236_IRQHandler  ; xxx Interrupt 236
                DCD     Reserved237_IRQHandler  ; xxx Interrupt 237
                DCD     Reserved238_IRQHandler  ; xxx Interrupt 238
                DCD     Reserved239_IRQHandler  ; xxx Interrupt 239
                DCD     Reserved240_IRQHandler  ; xxx Interrupt 240
                DCD     Reserved241_IRQHandler  ; xxx Interrupt 241
                DCD     Reserved242_IRQHandler  ; xxx Interrupt 242
                DCD     Reserved243_IRQHandler  ; xxx Interrupt 243
                DCD     Reserved244_IRQHandler  ; xxx Interrupt 244
                DCD     Reserved245_IRQHandler  ; xxx Interrupt 245
                DCD     Reserved246_IRQHandler  ; xxx Interrupt 246
                DCD     Reserved247_IRQHandler  ; xxx Interrupt 247
                DCD     Reserved248_IRQHandler  ; xxx Interrupt 248
                DCD     Reserved249_IRQHandler  ; xxx Interrupt 249
                DCD     Reserved250_IRQHandler  ; xxx Interrupt 250
                DCD     Reserved251_IRQHandler  ; xxx Interrupt 251
                DCD     Reserved252_IRQHandler  ; xxx Interrupt 252
                DCD     Reserved253_IRQHandler  ; xxx Interrupt 253
                DCD     Reserved254_IRQHandler  ; xxx Interrupt 254
                DCD     Reserved255_IRQHandler  ; xxx Interrupt 255
                DCD     Reserved256_IRQHandler  ; xxx Interrupt 256
                DCD     Reserved257_IRQHandler  ; xxx Interrupt 257
                DCD     Reserved258_IRQHandler  ; xxx Interrupt 258
                DCD     Reserved259_IRQHandler  ; xxx Interrupt 259
                DCD     Reserved260_IRQHandler  ; xxx Interrupt 260
                DCD     Reserved261_IRQHandler  ; xxx Interrupt 261
                DCD     Reserved262_IRQHandler  ; xxx Interrupt 262
                DCD     Reserved263_IRQHandler  ; xxx Interrupt 263
                DCD     Reserved264_IRQHandler  ; xxx Interrupt 264
                DCD     Reserved265_IRQHandler  ; xxx Interrupt 265
                DCD     Reserved266_IRQHandler  ; xxx Interrupt 266
                DCD     Reserved267_IRQHandler  ; xxx Interrupt 267
                DCD     Reserved268_IRQHandler  ; xxx Interrupt 268
                DCD     Reserved269_IRQHandler  ; xxx Interrupt 269
                DCD     Reserved270_IRQHandler  ; xxx Interrupt 270
                DCD     Reserved271_IRQHandler  ; xxx Interrupt 271
                DCD     Reserved272_IRQHandler  ; xxx Interrupt 272
                DCD     Reserved273_IRQHandler  ; xxx Interrupt 273
                DCD     Reserved274_IRQHandler  ; xxx Interrupt 274
                DCD     Reserved275_IRQHandler  ; xxx Interrupt 275
                DCD     Reserved276_IRQHandler  ; xxx Interrupt 276
                DCD     Reserved277_IRQHandler  ; xxx Interrupt 277
                DCD     Reserved278_IRQHandler  ; xxx Interrupt 278
                DCD     Reserved279_IRQHandler  ; xxx Interrupt 279
                DCD     Reserved280_IRQHandler  ; xxx Interrupt 280
                DCD     Reserved281_IRQHandler  ; xxx Interrupt 281
                DCD     Reserved282_IRQHandler  ; xxx Interrupt 282
                DCD     Reserved283_IRQHandler  ; xxx Interrupt 283
                DCD     Reserved284_IRQHandler  ; xxx Interrupt 284
                DCD     Reserved285_IRQHandler  ; xxx Interrupt 285
                DCD     Reserved286_IRQHandler  ; xxx Interrupt 286
                DCD     Reserved287_IRQHandler  ; xxx Interrupt 287
                DCD     Reserved288_IRQHandler  ; xxx Interrupt 288
                DCD     Reserved289_IRQHandler  ; xxx Interrupt 289
                DCD     Reserved290_IRQHandler  ; xxx Interrupt 290
                DCD     Reserved291_IRQHandler  ; xxx Interrupt 291
                DCD     Reserved292_IRQHandler  ; xxx Interrupt 292
                DCD     Reserved293_IRQHandler  ; xxx Interrupt 293
                DCD     Reserved294_IRQHandler  ; xxx Interrupt 294
                DCD     Reserved295_IRQHandler  ; xxx Interrupt 295
                DCD     Reserved296_IRQHandler  ; xxx Interrupt 296
                DCD     Reserved297_IRQHandler  ; xxx Interrupt 297
                DCD     Reserved298_IRQHandler  ; xxx Interrupt 298
                DCD     Reserved299_IRQHandler  ; xxx Interrupt 299
                DCD     Reserved300_IRQHandler  ; xxx Interrupt 300
                DCD     Reserved301_IRQHandler  ; xxx Interrupt 301
                DCD     Reserved302_IRQHandler  ; xxx Interrupt 302
                DCD     Reserved303_IRQHandler  ; xxx Interrupt 303
                DCD     Reserved304_IRQHandler  ; xxx Interrupt 304
                DCD     Reserved305_IRQHandler  ; xxx Interrupt 305
                DCD     Reserved306_IRQHandler  ; xxx Interrupt 306
                DCD     Reserved307_IRQHandler  ; xxx Interrupt 307
                DCD     Reserved308_IRQHandler  ; xxx Interrupt 308
                DCD     Reserved309_IRQHandler  ; xxx Interrupt 309
                DCD     Reserved310_IRQHandler  ; xxx Interrupt 310
                DCD     Reserved311_IRQHandler  ; xxx Interrupt 311
                DCD     Reserved312_IRQHandler  ; xxx Interrupt 312
                DCD     Reserved313_IRQHandler  ; xxx Interrupt 313
                DCD     Reserved314_IRQHandler  ; xxx Interrupt 314
                DCD     Reserved315_IRQHandler  ; xxx Interrupt 315
                DCD     Reserved316_IRQHandler  ; xxx Interrupt 316
                DCD     Reserved317_IRQHandler  ; xxx Interrupt 317
                DCD     Reserved318_IRQHandler  ; xxx Interrupt 318
                DCD     Reserved319_IRQHandler  ; xxx Interrupt 319
                DCD     Reserved320_IRQHandler  ; xxx Interrupt 320
                DCD     Reserved321_IRQHandler  ; xxx Interrupt 321
                DCD     Reserved322_IRQHandler  ; xxx Interrupt 322
                DCD     Reserved323_IRQHandler  ; xxx Interrupt 323
                DCD     Reserved324_IRQHandler  ; xxx Interrupt 324
                DCD     Reserved325_IRQHandler  ; xxx Interrupt 325
                DCD     Reserved326_IRQHandler  ; xxx Interrupt 326
                DCD     Reserved327_IRQHandler  ; xxx Interrupt 327
                DCD     Reserved328_IRQHandler  ; xxx Interrupt 328
                DCD     Reserved329_IRQHandler  ; xxx Interrupt 329
                DCD     Reserved330_IRQHandler  ; xxx Interrupt 330
                DCD     Reserved331_IRQHandler  ; xxx Interrupt 331
                DCD     Reserved332_IRQHandler  ; xxx Interrupt 332
                DCD     Reserved333_IRQHandler  ; xxx Interrupt 333
                DCD     Reserved334_IRQHandler  ; xxx Interrupt 334
                DCD     Reserved335_IRQHandler  ; xxx Interrupt 335
                DCD     Reserved336_IRQHandler  ; xxx Interrupt 336
                DCD     Reserved337_IRQHandler  ; xxx Interrupt 337
                DCD     Reserved338_IRQHandler  ; xxx Interrupt 338
                DCD     Reserved339_IRQHandler  ; xxx Interrupt 339
                DCD     Reserved340_IRQHandler  ; xxx Interrupt 340
                DCD     Reserved341_IRQHandler  ; xxx Interrupt 341
                DCD     Reserved342_IRQHandler  ; xxx Interrupt 342
                DCD     Reserved343_IRQHandler  ; xxx Interrupt 343
                DCD     Reserved344_IRQHandler  ; xxx Interrupt 344
                DCD     Reserved345_IRQHandler  ; xxx Interrupt 345
                DCD     Reserved346_IRQHandler  ; xxx Interrupt 346
                DCD     Reserved347_IRQHandler  ; xxx Interrupt 347
                DCD     Reserved348_IRQHandler  ; xxx Interrupt 348
                DCD     Reserved349_IRQHandler  ; xxx Interrupt 349
                DCD     Reserved350_IRQHandler  ; xxx Interrupt 350
                DCD     Reserved351_IRQHandler  ; xxx Interrupt 351
                DCD     Reserved352_IRQHandler  ; xxx Interrupt 352
                DCD     Reserved353_IRQHandler  ; xxx Interrupt 353
                DCD     Reserved354_IRQHandler  ; xxx Interrupt 354
                DCD     Reserved355_IRQHandler  ; xxx Interrupt 355
                DCD     Reserved356_IRQHandler  ; xxx Interrupt 356
                DCD     Reserved357_IRQHandler  ; xxx Interrupt 357
                DCD     Reserved358_IRQHandler  ; xxx Interrupt 358
                DCD     Reserved359_IRQHandler  ; xxx Interrupt 359
                DCD     Reserved360_IRQHandler  ; xxx Interrupt 360
                DCD     Reserved361_IRQHandler  ; xxx Interrupt 361
                DCD     Reserved362_IRQHandler  ; xxx Interrupt 362
                DCD     Reserved363_IRQHandler  ; xxx Interrupt 363
                DCD     Reserved364_IRQHandler  ; xxx Interrupt 364
                DCD     Reserved365_IRQHandler  ; xxx Interrupt 365
                DCD     Reserved366_IRQHandler  ; xxx Interrupt 366
                DCD     Reserved367_IRQHandler  ; xxx Interrupt 367
                DCD     Reserved368_IRQHandler  ; xxx Interrupt 368
                DCD     Reserved369_IRQHandler  ; xxx Interrupt 369
                DCD     Reserved370_IRQHandler  ; xxx Interrupt 370
                DCD     Reserved371_IRQHandler  ; xxx Interrupt 371
                DCD     Reserved372_IRQHandler  ; xxx Interrupt 372
                DCD     Reserved373_IRQHandler  ; xxx Interrupt 373
                DCD     Reserved374_IRQHandler  ; xxx Interrupt 374
                DCD     Reserved375_IRQHandler  ; xxx Interrupt 375
                DCD     Reserved376_IRQHandler  ; xxx Interrupt 376
                DCD     Reserved377_IRQHandler  ; xxx Interrupt 377
                DCD     Reserved378_IRQHandler  ; xxx Interrupt 378
                DCD     Reserved379_IRQHandler  ; xxx Interrupt 379
                DCD     Reserved380_IRQHandler  ; xxx Interrupt 380
                DCD     Reserved381_IRQHandler  ; xxx Interrupt 381
                DCD     Reserved382_IRQHandler  ; xxx Interrupt 382
                DCD     Reserved383_IRQHandler  ; xxx Interrupt 383
                DCD     Reserved384_IRQHandler  ; xxx Interrupt 384
                DCD     Reserved385_IRQHandler  ; xxx Interrupt 385
                DCD     Reserved386_IRQHandler  ; xxx Interrupt 386
                DCD     Reserved387_IRQHandler  ; xxx Interrupt 387
                DCD     Reserved388_IRQHandler  ; xxx Interrupt 388
                DCD     Reserved389_IRQHandler  ; xxx Interrupt 389
                DCD     Reserved390_IRQHandler  ; xxx Interrupt 390
                DCD     Reserved391_IRQHandler  ; xxx Interrupt 391
                DCD     Reserved392_IRQHandler  ; xxx Interrupt 392
                DCD     Reserved393_IRQHandler  ; xxx Interrupt 393
                DCD     Reserved394_IRQHandler  ; xxx Interrupt 394
                DCD     Reserved395_IRQHandler  ; xxx Interrupt 395
                DCD     Reserved396_IRQHandler  ; xxx Interrupt 396
                DCD     Reserved397_IRQHandler  ; xxx Interrupt 397
                DCD     Reserved398_IRQHandler  ; xxx Interrupt 398
                DCD     Reserved399_IRQHandler  ; xxx Interrupt 399
                DCD     Reserved400_IRQHandler  ; xxx Interrupt 400
                DCD     Reserved401_IRQHandler  ; xxx Interrupt 401
                DCD     Reserved402_IRQHandler  ; xxx Interrupt 402
                DCD     Reserved403_IRQHandler  ; xxx Interrupt 403
                DCD     Reserved404_IRQHandler  ; xxx Interrupt 404
                DCD     Reserved405_IRQHandler  ; xxx Interrupt 405
                DCD     Reserved406_IRQHandler  ; xxx Interrupt 406
                DCD     Reserved407_IRQHandler  ; xxx Interrupt 407
                DCD     Reserved408_IRQHandler  ; xxx Interrupt 408
                DCD     Reserved409_IRQHandler  ; xxx Interrupt 409
                DCD     Reserved410_IRQHandler  ; xxx Interrupt 410
                DCD     Reserved411_IRQHandler  ; xxx Interrupt 411
                DCD     Reserved412_IRQHandler  ; xxx Interrupt 412
                DCD     Reserved413_IRQHandler  ; xxx Interrupt 413
                DCD     Reserved414_IRQHandler  ; xxx Interrupt 414
                DCD     Reserved415_IRQHandler  ; xxx Interrupt 415
                DCD     Reserved416_IRQHandler  ; xxx Interrupt 416
                DCD     Reserved417_IRQHandler  ; xxx Interrupt 417
                DCD     Reserved418_IRQHandler  ; xxx Interrupt 418
                DCD     Reserved419_IRQHandler  ; xxx Interrupt 419
                DCD     Reserved420_IRQHandler  ; xxx Interrupt 420
                DCD     Reserved421_IRQHandler  ; xxx Interrupt 421
                DCD     Reserved422_IRQHandler  ; xxx Interrupt 422
                DCD     Reserved423_IRQHandler  ; xxx Interrupt 423
                DCD     Reserved424_IRQHandler  ; xxx Interrupt 424
                DCD     Reserved425_IRQHandler  ; xxx Interrupt 425
                DCD     Reserved426_IRQHandler  ; xxx Interrupt 426
                DCD     Reserved427_IRQHandler  ; xxx Interrupt 427
                DCD     Reserved428_IRQHandler  ; xxx Interrupt 428
                DCD     Reserved429_IRQHandler  ; xxx Interrupt 429
                DCD     Reserved430_IRQHandler  ; xxx Interrupt 430
                DCD     Reserved431_IRQHandler  ; xxx Interrupt 431
                DCD     Reserved432_IRQHandler  ; xxx Interrupt 432
                DCD     Reserved433_IRQHandler  ; xxx Interrupt 433
                DCD     Reserved434_IRQHandler  ; xxx Interrupt 434
                DCD     Reserved435_IRQHandler  ; xxx Interrupt 435
                DCD     Reserved436_IRQHandler  ; xxx Interrupt 436
                DCD     Reserved437_IRQHandler  ; xxx Interrupt 437
                DCD     Reserved438_IRQHandler  ; xxx Interrupt 438
                DCD     Reserved439_IRQHandler  ; xxx Interrupt 439
                DCD     Reserved440_IRQHandler  ; xxx Interrupt 440
                DCD     Reserved441_IRQHandler  ; xxx Interrupt 441
                DCD     Reserved442_IRQHandler  ; xxx Interrupt 442
                DCD     Reserved443_IRQHandler  ; xxx Interrupt 443
                DCD     Reserved444_IRQHandler  ; xxx Interrupt 444
                DCD     Reserved445_IRQHandler  ; xxx Interrupt 445
                DCD     Reserved446_IRQHandler  ; xxx Interrupt 446
                DCD     Reserved447_IRQHandler  ; xxx Interrupt 447
                DCD     Reserved448_IRQHandler  ; xxx Interrupt 448
                DCD     Reserved449_IRQHandler  ; xxx Interrupt 449
                DCD     Reserved450_IRQHandler  ; xxx Interrupt 450
                DCD     Reserved451_IRQHandler  ; xxx Interrupt 451
                DCD     Reserved452_IRQHandler  ; xxx Interrupt 452
                DCD     Reserved453_IRQHandler  ; xxx Interrupt 453
                DCD     Reserved454_IRQHandler  ; xxx Interrupt 454
                DCD     Reserved455_IRQHandler  ; xxx Interrupt 455
                DCD     Reserved456_IRQHandler  ; xxx Interrupt 456
                DCD     Reserved457_IRQHandler  ; xxx Interrupt 457
                DCD     Reserved458_IRQHandler  ; xxx Interrupt 458
                DCD     Reserved459_IRQHandler  ; xxx Interrupt 459
                DCD     Reserved460_IRQHandler  ; xxx Interrupt 460
                DCD     Reserved461_IRQHandler  ; xxx Interrupt 461
                DCD     Reserved462_IRQHandler  ; xxx Interrupt 462
                DCD     Reserved463_IRQHandler  ; xxx Interrupt 463
                DCD     Reserved464_IRQHandler  ; xxx Interrupt 464
                DCD     Reserved465_IRQHandler  ; xxx Interrupt 465
                DCD     Reserved466_IRQHandler  ; xxx Interrupt 466
                DCD     Reserved467_IRQHandler  ; xxx Interrupt 467
                DCD     Reserved468_IRQHandler  ; xxx Interrupt 468
                DCD     Reserved469_IRQHandler  ; xxx Interrupt 469
                DCD     Reserved470_IRQHandler  ; xxx Interrupt 470
                DCD     Reserved471_IRQHandler  ; xxx Interrupt 471
                DCD     Reserved472_IRQHandler  ; xxx Interrupt 472
                DCD     Reserved473_IRQHandler  ; xxx Interrupt 473
                DCD     Reserved474_IRQHandler  ; xxx Interrupt 474
                DCD     Reserved475_IRQHandler  ; xxx Interrupt 475
                DCD     Reserved476_IRQHandler  ; xxx Interrupt 476
                DCD     Reserved477_IRQHandler  ; xxx Interrupt 477
                DCD     Reserved478_IRQHandler  ; xxx Interrupt 478
                DCD     Reserved479_IRQHandler  ; xxx Interrupt 479
                DCD     Reserved480_IRQHandler  ; xxx Interrupt 480
                DCD     Reserved481_IRQHandler  ; xxx Interrupt 481
                DCD     Reserved482_IRQHandler  ; xxx Interrupt 482
                DCD     Reserved483_IRQHandler  ; xxx Interrupt 483
                DCD     Reserved484_IRQHandler  ; xxx Interrupt 484
                DCD     Reserved485_IRQHandler  ; xxx Interrupt 485
                DCD     Reserved486_IRQHandler  ; xxx Interrupt 486
                DCD     Reserved487_IRQHandler  ; xxx Interrupt 487
                DCD     Reserved488_IRQHandler  ; xxx Interrupt 488
                DCD     Reserved489_IRQHandler  ; xxx Interrupt 489
                DCD     Reserved490_IRQHandler  ; xxx Interrupt 490
                DCD     Reserved491_IRQHandler  ; xxx Interrupt 491
                DCD     Reserved492_IRQHandler  ; xxx Interrupt 492
                DCD     Reserved493_IRQHandler  ; xxx Interrupt 493
                DCD     Reserved494_IRQHandler  ; xxx Interrupt 494
                DCD     Reserved495_IRQHandler  ; xxx Interrupt 495
                DCD     Reserved496_IRQHandler  ; xxx Interrupt 496
                DCD     Reserved497_IRQHandler  ; xxx Interrupt 497
                DCD     Reserved498_IRQHandler  ; xxx Interrupt 498
                DCD     Reserved499_IRQHandler  ; xxx Interrupt 499
                DCD     Reserved500_IRQHandler  ; xxx Interrupt 500
                DCD     Reserved501_IRQHandler  ; xxx Interrupt 501
                DCD     Reserved502_IRQHandler  ; xxx Interrupt 502
                DCD     Reserved503_IRQHandler  ; xxx Interrupt 503
                DCD     Reserved504_IRQHandler  ; xxx Interrupt 504
                DCD     Reserved505_IRQHandler  ; xxx Interrupt 505
                DCD     Reserved506_IRQHandler  ; xxx Interrupt 506
                DCD     Reserved507_IRQHandler  ; xxx Interrupt 507
                DCD     Reserved508_IRQHandler  ; xxx Interrupt 508
                DCD     Reserved509_IRQHandler  ; xxx Interrupt 509
                DCD     Reserved510_IRQHandler  ; xxx Interrupt 510
                DCD     Reserved511_IRQHandler  ; xxx Interrupt 511
                DCD     Reserved512_IRQHandler  ; xxx Interrupt 512
                DCD     Reserved513_IRQHandler  ; xxx Interrupt 513
                DCD     Reserved514_IRQHandler  ; xxx Interrupt 514
                DCD     Reserved515_IRQHandler  ; xxx Interrupt 515
                DCD     Reserved516_IRQHandler  ; xxx Interrupt 516
                DCD     Reserved517_IRQHandler  ; xxx Interrupt 517
                DCD     Reserved518_IRQHandler  ; xxx Interrupt 518
                DCD     Reserved519_IRQHandler  ; xxx Interrupt 519
                DCD     Reserved520_IRQHandler  ; xxx Interrupt 520
                DCD     Reserved521_IRQHandler  ; xxx Interrupt 521
                DCD     Reserved522_IRQHandler  ; xxx Interrupt 522
                DCD     Reserved523_IRQHandler  ; xxx Interrupt 523
                DCD     Reserved524_IRQHandler  ; xxx Interrupt 524
                DCD     Reserved525_IRQHandler  ; xxx Interrupt 525
                DCD     Reserved526_IRQHandler  ; xxx Interrupt 526
                DCD     Reserved527_IRQHandler  ; xxx Interrupt 527
                DCD     Reserved528_IRQHandler  ; xxx Interrupt 528
                DCD     Reserved529_IRQHandler  ; xxx Interrupt 529
                DCD     Reserved530_IRQHandler  ; xxx Interrupt 530
                DCD     Reserved531_IRQHandler  ; xxx Interrupt 531
                DCD     Reserved532_IRQHandler  ; xxx Interrupt 532
                DCD     Reserved533_IRQHandler  ; xxx Interrupt 533
                DCD     Reserved534_IRQHandler  ; xxx Interrupt 534
                DCD     Reserved535_IRQHandler  ; xxx Interrupt 535
                DCD     Reserved536_IRQHandler  ; xxx Interrupt 536
                DCD     Reserved537_IRQHandler  ; xxx Interrupt 537
                DCD     Reserved538_IRQHandler  ; xxx Interrupt 538
                DCD     Reserved539_IRQHandler  ; xxx Interrupt 539
                DCD     Reserved540_IRQHandler  ; xxx Interrupt 540
                DCD     Reserved541_IRQHandler  ; xxx Interrupt 541
                DCD     Reserved542_IRQHandler  ; xxx Interrupt 542
                DCD     Reserved543_IRQHandler  ; xxx Interrupt 543
                DCD     Reserved544_IRQHandler  ; xxx Interrupt 544
                DCD     Reserved545_IRQHandler  ; xxx Interrupt 545
                DCD     Reserved546_IRQHandler  ; xxx Interrupt 546
                DCD     Reserved547_IRQHandler  ; xxx Interrupt 547
                DCD     Reserved548_IRQHandler  ; xxx Interrupt 548
                DCD     Reserved549_IRQHandler  ; xxx Interrupt 549
                DCD     Reserved550_IRQHandler  ; xxx Interrupt 550
                DCD     Reserved551_IRQHandler  ; xxx Interrupt 551
                DCD     Reserved552_IRQHandler  ; xxx Interrupt 552
                DCD     Reserved553_IRQHandler  ; xxx Interrupt 553
                DCD     Reserved554_IRQHandler  ; xxx Interrupt 554
                DCD     Reserved555_IRQHandler  ; xxx Interrupt 555
                DCD     Reserved556_IRQHandler  ; xxx Interrupt 556
                DCD     Reserved557_IRQHandler  ; xxx Interrupt 557
                DCD     Reserved558_IRQHandler  ; xxx Interrupt 558
                DCD     Reserved559_IRQHandler  ; xxx Interrupt 559
                DCD     Reserved560_IRQHandler  ; xxx Interrupt 560
                DCD     Reserved561_IRQHandler  ; xxx Interrupt 561
                DCD     Reserved562_IRQHandler  ; xxx Interrupt 562
                DCD     Reserved563_IRQHandler  ; xxx Interrupt 563
                DCD     Reserved564_IRQHandler  ; xxx Interrupt 564
                DCD     Reserved565_IRQHandler  ; xxx Interrupt 565
                DCD     Reserved566_IRQHandler  ; xxx Interrupt 566
                DCD     Reserved567_IRQHandler  ; xxx Interrupt 567
                DCD     Reserved568_IRQHandler  ; xxx Interrupt 568
                DCD     Reserved569_IRQHandler  ; xxx Interrupt 569
                DCD     Reserved570_IRQHandler  ; xxx Interrupt 570
                DCD     Reserved571_IRQHandler  ; xxx Interrupt 571
                DCD     Reserved572_IRQHandler  ; xxx Interrupt 572
                DCD     Reserved573_IRQHandler  ; xxx Interrupt 573
                DCD     Reserved574_IRQHandler  ; xxx Interrupt 574
                DCD     Reserved575_IRQHandler  ; xxx Interrupt 575
                DCD     Reserved576_IRQHandler  ; xxx Interrupt 576
                DCD     Reserved577_IRQHandler  ; xxx Interrupt 577
                DCD     Reserved578_IRQHandler  ; xxx Interrupt 578
                DCD     Reserved579_IRQHandler  ; xxx Interrupt 579
                DCD     Reserved580_IRQHandler  ; xxx Interrupt 580
                DCD     Reserved581_IRQHandler  ; xxx Interrupt 581
                DCD     Reserved582_IRQHandler  ; xxx Interrupt 582
                DCD     Reserved583_IRQHandler  ; xxx Interrupt 583
                DCD     Reserved584_IRQHandler  ; xxx Interrupt 584
                DCD     Reserved585_IRQHandler  ; xxx Interrupt 585
                DCD     Reserved586_IRQHandler  ; xxx Interrupt 586
                DCD     Reserved587_IRQHandler  ; xxx Interrupt 587
                DCD     Reserved588_IRQHandler  ; xxx Interrupt 588
                DCD     Reserved589_IRQHandler  ; xxx Interrupt 589
                DCD     Reserved590_IRQHandler  ; xxx Interrupt 590
                DCD     Reserved591_IRQHandler  ; xxx Interrupt 591
                DCD     Reserved592_IRQHandler  ; xxx Interrupt 592
                DCD     Reserved593_IRQHandler  ; xxx Interrupt 593
                DCD     Reserved594_IRQHandler  ; xxx Interrupt 594
                DCD     Reserved595_IRQHandler  ; xxx Interrupt 595
                DCD     Reserved596_IRQHandler  ; xxx Interrupt 596
                DCD     Reserved597_IRQHandler  ; xxx Interrupt 597
                DCD     Reserved598_IRQHandler  ; xxx Interrupt 598
                DCD     Reserved599_IRQHandler  ; xxx Interrupt 599
                DCD     Reserved600_IRQHandler  ; xxx Interrupt 600
                DCD     Reserved601_IRQHandler  ; xxx Interrupt 601
                DCD     Reserved602_IRQHandler  ; xxx Interrupt 602
                DCD     Reserved603_IRQHandler  ; xxx Interrupt 603
                DCD     Reserved604_IRQHandler  ; xxx Interrupt 604
                DCD     Reserved605_IRQHandler  ; xxx Interrupt 605
                DCD     Reserved606_IRQHandler  ; xxx Interrupt 606
                DCD     Reserved607_IRQHandler  ; xxx Interrupt 607
                DCD     Reserved608_IRQHandler  ; xxx Interrupt 608
                DCD     Reserved609_IRQHandler  ; xxx Interrupt 609
                DCD     Reserved610_IRQHandler  ; xxx Interrupt 610
                DCD     Reserved611_IRQHandler  ; xxx Interrupt 611
                DCD     Reserved612_IRQHandler  ; xxx Interrupt 612
                DCD     Reserved613_IRQHandler  ; xxx Interrupt 613
                DCD     Reserved614_IRQHandler  ; xxx Interrupt 614
                DCD     Reserved615_IRQHandler  ; xxx Interrupt 615
                DCD     Reserved616_IRQHandler  ; xxx Interrupt 616
                DCD     Reserved617_IRQHandler  ; xxx Interrupt 617
                DCD     Reserved618_IRQHandler  ; xxx Interrupt 618
                DCD     Reserved619_IRQHandler  ; xxx Interrupt 619
                DCD     Reserved620_IRQHandler  ; xxx Interrupt 620
                DCD     Reserved621_IRQHandler  ; xxx Interrupt 621
                DCD     Reserved622_IRQHandler  ; xxx Interrupt 622
                DCD     Reserved623_IRQHandler  ; xxx Interrupt 623
                DCD     Reserved624_IRQHandler  ; xxx Interrupt 624
                DCD     Reserved625_IRQHandler  ; xxx Interrupt 625
                DCD     Reserved626_IRQHandler  ; xxx Interrupt 626
                DCD     Reserved627_IRQHandler  ; xxx Interrupt 627
                DCD     Reserved628_IRQHandler  ; xxx Interrupt 628
                DCD     Reserved629_IRQHandler  ; xxx Interrupt 629
                DCD     Reserved630_IRQHandler  ; xxx Interrupt 630
                DCD     Reserved631_IRQHandler  ; xxx Interrupt 631
                DCD     Reserved632_IRQHandler  ; xxx Interrupt 632
                DCD     Reserved633_IRQHandler  ; xxx Interrupt 633
                DCD     Reserved634_IRQHandler  ; xxx Interrupt 634
                DCD     Reserved635_IRQHandler  ; xxx Interrupt 635
                DCD     Reserved636_IRQHandler  ; xxx Interrupt 636
                DCD     Reserved637_IRQHandler  ; xxx Interrupt 637
                DCD     Reserved638_IRQHandler  ; xxx Interrupt 638
                DCD     Reserved639_IRQHandler  ; xxx Interrupt 639
                DCD     Reserved640_IRQHandler  ; xxx Interrupt 640
                DCD     Reserved641_IRQHandler  ; xxx Interrupt 641
                DCD     Reserved642_IRQHandler  ; xxx Interrupt 642
                DCD     Reserved643_IRQHandler  ; xxx Interrupt 643
                DCD     Reserved644_IRQHandler  ; xxx Interrupt 644
                DCD     Reserved645_IRQHandler  ; xxx Interrupt 645
                DCD     Reserved646_IRQHandler  ; xxx Interrupt 646
                DCD     Reserved647_IRQHandler  ; xxx Interrupt 647
                DCD     Reserved648_IRQHandler  ; xxx Interrupt 648
                DCD     Reserved649_IRQHandler  ; xxx Interrupt 649
                DCD     Reserved650_IRQHandler  ; xxx Interrupt 650
                DCD     Reserved651_IRQHandler  ; xxx Interrupt 651
                DCD     Reserved652_IRQHandler  ; xxx Interrupt 652
                DCD     Reserved653_IRQHandler  ; xxx Interrupt 653
                DCD     Reserved654_IRQHandler  ; xxx Interrupt 654
                DCD     Reserved655_IRQHandler  ; xxx Interrupt 655
                DCD     Reserved656_IRQHandler  ; xxx Interrupt 656
                DCD     Reserved657_IRQHandler  ; xxx Interrupt 657
                DCD     Reserved658_IRQHandler  ; xxx Interrupt 658
                DCD     Reserved659_IRQHandler  ; xxx Interrupt 659
                DCD     Reserved660_IRQHandler  ; xxx Interrupt 660
                DCD     Reserved661_IRQHandler  ; xxx Interrupt 661
                DCD     Reserved662_IRQHandler  ; xxx Interrupt 662
                DCD     Reserved663_IRQHandler  ; xxx Interrupt 663
                DCD     Reserved664_IRQHandler  ; xxx Interrupt 664
                DCD     Reserved665_IRQHandler  ; xxx Interrupt 665
                DCD     Reserved666_IRQHandler  ; xxx Interrupt 666
                DCD     Reserved667_IRQHandler  ; xxx Interrupt 667
                DCD     Reserved668_IRQHandler  ; xxx Interrupt 668
                DCD     Reserved669_IRQHandler  ; xxx Interrupt 669
                DCD     Reserved670_IRQHandler  ; xxx Interrupt 670
                DCD     Reserved671_IRQHandler  ; xxx Interrupt 671
                DCD     Reserved672_IRQHandler  ; xxx Interrupt 672
                DCD     Reserved673_IRQHandler  ; xxx Interrupt 673
                DCD     Reserved674_IRQHandler  ; xxx Interrupt 674
                DCD     Reserved675_IRQHandler  ; xxx Interrupt 675
                DCD     Reserved676_IRQHandler  ; xxx Interrupt 676
                DCD     Reserved677_IRQHandler  ; xxx Interrupt 677
                DCD     Reserved678_IRQHandler  ; xxx Interrupt 678
                DCD     Reserved679_IRQHandler  ; xxx Interrupt 679
                DCD     Reserved680_IRQHandler  ; xxx Interrupt 680
                DCD     Reserved681_IRQHandler  ; xxx Interrupt 681
                DCD     Reserved682_IRQHandler  ; xxx Interrupt 682
                DCD     Reserved683_IRQHandler  ; xxx Interrupt 683
                DCD     Reserved684_IRQHandler  ; xxx Interrupt 684
                DCD     Reserved685_IRQHandler  ; xxx Interrupt 685
                DCD     Reserved686_IRQHandler  ; xxx Interrupt 686
                DCD     Reserved687_IRQHandler  ; xxx Interrupt 687
                DCD     Reserved688_IRQHandler  ; xxx Interrupt 688
                DCD     Reserved689_IRQHandler  ; xxx Interrupt 689
                DCD     Reserved690_IRQHandler  ; xxx Interrupt 690
                DCD     Reserved691_IRQHandler  ; xxx Interrupt 691
                DCD     Reserved692_IRQHandler  ; xxx Interrupt 692
                DCD     Reserved693_IRQHandler  ; xxx Interrupt 693
                DCD     Reserved694_IRQHandler  ; xxx Interrupt 694
                DCD     Reserved695_IRQHandler  ; xxx Interrupt 695
                DCD     Reserved696_IRQHandler  ; xxx Interrupt 696
                DCD     Reserved697_IRQHandler  ; xxx Interrupt 697
                DCD     Reserved698_IRQHandler  ; xxx Interrupt 698
                DCD     Reserved699_IRQHandler  ; xxx Interrupt 699
                DCD     Reserved700_IRQHandler  ; xxx Interrupt 700
                DCD     Reserved701_IRQHandler  ; xxx Interrupt 701
                DCD     Reserved702_IRQHandler  ; xxx Interrupt 702
                DCD     Reserved703_IRQHandler  ; xxx Interrupt 703
                DCD     Reserved704_IRQHandler  ; xxx Interrupt 704
                DCD     Reserved705_IRQHandler  ; xxx Interrupt 705
                DCD     Reserved706_IRQHandler  ; xxx Interrupt 706
                DCD     Reserved707_IRQHandler  ; xxx Interrupt 707
                DCD     Reserved708_IRQHandler  ; xxx Interrupt 708
                DCD     Reserved709_IRQHandler  ; xxx Interrupt 709
                DCD     Reserved710_IRQHandler  ; xxx Interrupt 710
                DCD     Reserved711_IRQHandler  ; xxx Interrupt 711
                DCD     Reserved712_IRQHandler  ; xxx Interrupt 712
                DCD     Reserved713_IRQHandler  ; xxx Interrupt 713
                DCD     Reserved714_IRQHandler  ; xxx Interrupt 714
                DCD     Reserved715_IRQHandler  ; xxx Interrupt 715
                DCD     Reserved716_IRQHandler  ; xxx Interrupt 716
                DCD     Reserved717_IRQHandler  ; xxx Interrupt 717
                DCD     Reserved718_IRQHandler  ; xxx Interrupt 718
                DCD     Reserved719_IRQHandler  ; xxx Interrupt 719
                DCD     Reserved720_IRQHandler  ; xxx Interrupt 720
                DCD     Reserved721_IRQHandler  ; xxx Interrupt 721
                DCD     Reserved722_IRQHandler  ; xxx Interrupt 722
                DCD     Reserved723_IRQHandler  ; xxx Interrupt 723
                DCD     Reserved724_IRQHandler  ; xxx Interrupt 724
                DCD     Reserved725_IRQHandler  ; xxx Interrupt 725
                DCD     Reserved726_IRQHandler  ; xxx Interrupt 726
                DCD     Reserved727_IRQHandler  ; xxx Interrupt 727
                DCD     Reserved728_IRQHandler  ; xxx Interrupt 728
                DCD     Reserved729_IRQHandler  ; xxx Interrupt 729
                DCD     Reserved730_IRQHandler  ; xxx Interrupt 730
                DCD     Reserved731_IRQHandler  ; xxx Interrupt 731
                DCD     Reserved732_IRQHandler  ; xxx Interrupt 732
                DCD     Reserved733_IRQHandler  ; xxx Interrupt 733
                DCD     Reserved734_IRQHandler  ; xxx Interrupt 734
                DCD     Reserved735_IRQHandler  ; xxx Interrupt 735
                DCD     Reserved736_IRQHandler  ; xxx Interrupt 736
                DCD     Reserved737_IRQHandler  ; xxx Interrupt 737
                DCD     Reserved738_IRQHandler  ; xxx Interrupt 738
                DCD     Reserved739_IRQHandler  ; xxx Interrupt 739
                DCD     Reserved740_IRQHandler  ; xxx Interrupt 740
                DCD     Reserved741_IRQHandler  ; xxx Interrupt 741
                DCD     Reserved742_IRQHandler  ; xxx Interrupt 742
                DCD     Reserved743_IRQHandler  ; xxx Interrupt 743
                DCD     Reserved744_IRQHandler  ; xxx Interrupt 744
                DCD     Reserved745_IRQHandler  ; xxx Interrupt 745
                DCD     Reserved746_IRQHandler  ; xxx Interrupt 746
                DCD     Reserved747_IRQHandler  ; xxx Interrupt 747
                DCD     Reserved748_IRQHandler  ; xxx Interrupt 748
                DCD     Reserved749_IRQHandler  ; xxx Interrupt 749
                DCD     Reserved750_IRQHandler  ; xxx Interrupt 750
                DCD     Reserved751_IRQHandler  ; xxx Interrupt 751
                DCD     Reserved752_IRQHandler  ; xxx Interrupt 752
                DCD     Reserved753_IRQHandler  ; xxx Interrupt 753
                DCD     Reserved754_IRQHandler  ; xxx Interrupt 754
                DCD     Reserved755_IRQHandler  ; xxx Interrupt 755
                DCD     Reserved756_IRQHandler  ; xxx Interrupt 756
                DCD     Reserved757_IRQHandler  ; xxx Interrupt 757
                DCD     Reserved758_IRQHandler  ; xxx Interrupt 758
                DCD     Reserved759_IRQHandler  ; xxx Interrupt 759
                DCD     Reserved760_IRQHandler  ; xxx Interrupt 760
                DCD     Reserved761_IRQHandler  ; xxx Interrupt 761
                DCD     Reserved762_IRQHandler  ; xxx Interrupt 762
                DCD     Reserved763_IRQHandler  ; xxx Interrupt 763
                DCD     Reserved764_IRQHandler  ; xxx Interrupt 764
                DCD     Reserved765_IRQHandler  ; xxx Interrupt 765
                DCD     Reserved766_IRQHandler  ; xxx Interrupt 766
                DCD     Reserved767_IRQHandler  ; xxx Interrupt 767
                DCD     Reserved768_IRQHandler  ; xxx Interrupt 768
                DCD     Reserved769_IRQHandler  ; xxx Interrupt 769
                DCD     Reserved770_IRQHandler  ; xxx Interrupt 770
                DCD     Reserved771_IRQHandler  ; xxx Interrupt 771
                DCD     Reserved772_IRQHandler  ; xxx Interrupt 772
                DCD     Reserved773_IRQHandler  ; xxx Interrupt 773
                DCD     Reserved774_IRQHandler  ; xxx Interrupt 774
                DCD     Reserved775_IRQHandler  ; xxx Interrupt 775
                DCD     Reserved776_IRQHandler  ; xxx Interrupt 776
                DCD     Reserved777_IRQHandler  ; xxx Interrupt 777
                DCD     Reserved778_IRQHandler  ; xxx Interrupt 778
                DCD     Reserved779_IRQHandler  ; xxx Interrupt 779
                DCD     Reserved780_IRQHandler  ; xxx Interrupt 780
                DCD     Reserved781_IRQHandler  ; xxx Interrupt 781
                DCD     Reserved782_IRQHandler  ; xxx Interrupt 782
                DCD     Reserved783_IRQHandler  ; xxx Interrupt 783
                DCD     Reserved784_IRQHandler  ; xxx Interrupt 784
                DCD     Reserved785_IRQHandler  ; xxx Interrupt 785
                DCD     Reserved786_IRQHandler  ; xxx Interrupt 786
                DCD     Reserved787_IRQHandler  ; xxx Interrupt 787
                DCD     Reserved788_IRQHandler  ; xxx Interrupt 788
                DCD     Reserved789_IRQHandler  ; xxx Interrupt 789
                DCD     Reserved790_IRQHandler  ; xxx Interrupt 790
                DCD     Reserved791_IRQHandler  ; xxx Interrupt 791
                DCD     Reserved792_IRQHandler  ; xxx Interrupt 792
                DCD     Reserved793_IRQHandler  ; xxx Interrupt 793
                DCD     Reserved794_IRQHandler  ; xxx Interrupt 794
                DCD     Reserved795_IRQHandler  ; xxx Interrupt 795
                DCD     Reserved796_IRQHandler  ; xxx Interrupt 796
                DCD     Reserved797_IRQHandler  ; xxx Interrupt 797
                DCD     Reserved798_IRQHandler  ; xxx Interrupt 798
                DCD     Reserved799_IRQHandler  ; xxx Interrupt 799
                DCD     Reserved800_IRQHandler  ; xxx Interrupt 800
                DCD     Reserved801_IRQHandler  ; xxx Interrupt 801
                DCD     Reserved802_IRQHandler  ; xxx Interrupt 802
                DCD     Reserved803_IRQHandler  ; xxx Interrupt 803
                DCD     Reserved804_IRQHandler  ; xxx Interrupt 804
                DCD     Reserved805_IRQHandler  ; xxx Interrupt 805
                DCD     Reserved806_IRQHandler  ; xxx Interrupt 806
                DCD     Reserved807_IRQHandler  ; xxx Interrupt 807
                DCD     Reserved808_IRQHandler  ; xxx Interrupt 808
                DCD     Reserved809_IRQHandler  ; xxx Interrupt 809
                DCD     Reserved810_IRQHandler  ; xxx Interrupt 810
                DCD     Reserved811_IRQHandler  ; xxx Interrupt 811
                DCD     Reserved812_IRQHandler  ; xxx Interrupt 812
                DCD     Reserved813_IRQHandler  ; xxx Interrupt 813
                DCD     Reserved814_IRQHandler  ; xxx Interrupt 814
                DCD     Reserved815_IRQHandler  ; xxx Interrupt 815
                DCD     Reserved816_IRQHandler  ; xxx Interrupt 816
                DCD     Reserved817_IRQHandler  ; xxx Interrupt 817
                DCD     Reserved818_IRQHandler  ; xxx Interrupt 818
                DCD     Reserved819_IRQHandler  ; xxx Interrupt 819
                DCD     Reserved820_IRQHandler  ; xxx Interrupt 820
                DCD     Reserved821_IRQHandler  ; xxx Interrupt 821
                DCD     Reserved822_IRQHandler  ; xxx Interrupt 822
                DCD     Reserved823_IRQHandler  ; xxx Interrupt 823
                DCD     Reserved824_IRQHandler  ; xxx Interrupt 824
                DCD     Reserved825_IRQHandler  ; xxx Interrupt 825
                DCD     Reserved826_IRQHandler  ; xxx Interrupt 826
                DCD     Reserved827_IRQHandler  ; xxx Interrupt 827
                DCD     Reserved828_IRQHandler  ; xxx Interrupt 828
                DCD     Reserved829_IRQHandler  ; xxx Interrupt 829
                DCD     Reserved830_IRQHandler  ; xxx Interrupt 830
                DCD     Reserved831_IRQHandler  ; xxx Interrupt 831
                DCD     Reserved832_IRQHandler  ; xxx Interrupt 832
                DCD     Reserved833_IRQHandler  ; xxx Interrupt 833
                DCD     Reserved834_IRQHandler  ; xxx Interrupt 834
                DCD     Reserved835_IRQHandler  ; xxx Interrupt 835
                DCD     Reserved836_IRQHandler  ; xxx Interrupt 836
                DCD     Reserved837_IRQHandler  ; xxx Interrupt 837
                DCD     Reserved838_IRQHandler  ; xxx Interrupt 838
                DCD     Reserved839_IRQHandler  ; xxx Interrupt 839
                DCD     Reserved840_IRQHandler  ; xxx Interrupt 840
                DCD     Reserved841_IRQHandler  ; xxx Interrupt 841
                DCD     Reserved842_IRQHandler  ; xxx Interrupt 842
                DCD     Reserved843_IRQHandler  ; xxx Interrupt 843
                DCD     Reserved844_IRQHandler  ; xxx Interrupt 844
                DCD     Reserved845_IRQHandler  ; xxx Interrupt 845
                DCD     Reserved846_IRQHandler  ; xxx Interrupt 846
                DCD     Reserved847_IRQHandler  ; xxx Interrupt 847
                DCD     Reserved848_IRQHandler  ; xxx Interrupt 848
                DCD     Reserved849_IRQHandler  ; xxx Interrupt 849
                DCD     Reserved850_IRQHandler  ; xxx Interrupt 850
                DCD     Reserved851_IRQHandler  ; xxx Interrupt 851
                DCD     Reserved852_IRQHandler  ; xxx Interrupt 852
                DCD     Reserved853_IRQHandler  ; xxx Interrupt 853
                DCD     Reserved854_IRQHandler  ; xxx Interrupt 854
                DCD     Reserved855_IRQHandler  ; xxx Interrupt 855
                DCD     Reserved856_IRQHandler  ; xxx Interrupt 856
                DCD     Reserved857_IRQHandler  ; xxx Interrupt 857
                DCD     Reserved858_IRQHandler  ; xxx Interrupt 858
                DCD     Reserved859_IRQHandler  ; xxx Interrupt 859
                DCD     Reserved860_IRQHandler  ; xxx Interrupt 860
                DCD     Reserved861_IRQHandler  ; xxx Interrupt 861
                DCD     Reserved862_IRQHandler  ; xxx Interrupt 862
                DCD     Reserved863_IRQHandler  ; xxx Interrupt 863
                DCD     Reserved864_IRQHandler  ; xxx Interrupt 864
                DCD     Reserved865_IRQHandler  ; xxx Interrupt 865
                DCD     Reserved866_IRQHandler  ; xxx Interrupt 866
                DCD     Reserved867_IRQHandler  ; xxx Interrupt 867
                DCD     Reserved868_IRQHandler  ; xxx Interrupt 868
                DCD     Reserved869_IRQHandler  ; xxx Interrupt 869
                DCD     Reserved870_IRQHandler  ; xxx Interrupt 870
                DCD     Reserved871_IRQHandler  ; xxx Interrupt 871
                DCD     Reserved872_IRQHandler  ; xxx Interrupt 872
                DCD     Reserved873_IRQHandler  ; xxx Interrupt 873
                DCD     Reserved874_IRQHandler  ; xxx Interrupt 874
                DCD     Reserved875_IRQHandler  ; xxx Interrupt 875
                DCD     Reserved876_IRQHandler  ; xxx Interrupt 876
                DCD     Reserved877_IRQHandler  ; xxx Interrupt 877
                DCD     Reserved878_IRQHandler  ; xxx Interrupt 878
                DCD     Reserved879_IRQHandler  ; xxx Interrupt 879
                DCD     Reserved880_IRQHandler  ; xxx Interrupt 880
                DCD     Reserved881_IRQHandler  ; xxx Interrupt 881
                DCD     Reserved882_IRQHandler  ; xxx Interrupt 882
                DCD     Reserved883_IRQHandler  ; xxx Interrupt 883
                DCD     Reserved884_IRQHandler  ; xxx Interrupt 884
                DCD     Reserved885_IRQHandler  ; xxx Interrupt 885
                DCD     Reserved886_IRQHandler  ; xxx Interrupt 886
                DCD     Reserved887_IRQHandler  ; xxx Interrupt 887
                DCD     Reserved888_IRQHandler  ; xxx Interrupt 888
                DCD     Reserved889_IRQHandler  ; xxx Interrupt 889
                DCD     Reserved890_IRQHandler  ; xxx Interrupt 890
                DCD     Reserved891_IRQHandler  ; xxx Interrupt 891
                DCD     Reserved892_IRQHandler  ; xxx Interrupt 892
                DCD     Reserved893_IRQHandler  ; xxx Interrupt 893
                DCD     Reserved894_IRQHandler  ; xxx Interrupt 894
                DCD     Reserved895_IRQHandler  ; xxx Interrupt 895
                DCD     Reserved896_IRQHandler  ; xxx Interrupt 896
                DCD     Reserved897_IRQHandler  ; xxx Interrupt 897
                DCD     Reserved898_IRQHandler  ; xxx Interrupt 898
                DCD     Reserved899_IRQHandler  ; xxx Interrupt 899
                DCD     Reserved900_IRQHandler  ; xxx Interrupt 900
                DCD     Reserved901_IRQHandler  ; xxx Interrupt 901
                DCD     Reserved902_IRQHandler  ; xxx Interrupt 902
                DCD     Reserved903_IRQHandler  ; xxx Interrupt 903
                DCD     Reserved904_IRQHandler  ; xxx Interrupt 904
                DCD     Reserved905_IRQHandler  ; xxx Interrupt 905
                DCD     Reserved906_IRQHandler  ; xxx Interrupt 906
                DCD     Reserved907_IRQHandler  ; xxx Interrupt 907
                DCD     Reserved908_IRQHandler  ; xxx Interrupt 908
                DCD     Reserved909_IRQHandler  ; xxx Interrupt 909
                DCD     Reserved910_IRQHandler  ; xxx Interrupt 910
                DCD     Reserved911_IRQHandler  ; xxx Interrupt 911
                DCD     Reserved912_IRQHandler  ; xxx Interrupt 912
                DCD     Reserved913_IRQHandler  ; xxx Interrupt 913
                DCD     Reserved914_IRQHandler  ; xxx Interrupt 914
                DCD     Reserved915_IRQHandler  ; xxx Interrupt 915
                DCD     Reserved916_IRQHandler  ; xxx Interrupt 916
                DCD     Reserved917_IRQHandler  ; xxx Interrupt 917
                DCD     Reserved918_IRQHandler  ; xxx Interrupt 918
                DCD     Reserved919_IRQHandler  ; xxx Interrupt 919
                DCD     Reserved920_IRQHandler  ; xxx Interrupt 920
                DCD     Reserved921_IRQHandler  ; xxx Interrupt 921
                DCD     Reserved922_IRQHandler  ; xxx Interrupt 922
                DCD     Reserved923_IRQHandler  ; xxx Interrupt 923
                DCD     Reserved924_IRQHandler  ; xxx Interrupt 924
                DCD     Reserved925_IRQHandler  ; xxx Interrupt 925
                DCD     Reserved926_IRQHandler  ; xxx Interrupt 926
                DCD     Reserved927_IRQHandler  ; xxx Interrupt 927
                DCD     Reserved928_IRQHandler  ; xxx Interrupt 928
                DCD     Reserved929_IRQHandler  ; xxx Interrupt 929
                DCD     Reserved930_IRQHandler  ; xxx Interrupt 930
                DCD     Reserved931_IRQHandler  ; xxx Interrupt 931
                DCD     Reserved932_IRQHandler  ; xxx Interrupt 932
                DCD     Reserved933_IRQHandler  ; xxx Interrupt 933
                DCD     Reserved934_IRQHandler  ; xxx Interrupt 934
                DCD     Reserved935_IRQHandler  ; xxx Interrupt 935
                DCD     Reserved936_IRQHandler  ; xxx Interrupt 936
                DCD     Reserved937_IRQHandler  ; xxx Interrupt 937
                DCD     Reserved938_IRQHandler  ; xxx Interrupt 938
                DCD     Reserved939_IRQHandler  ; xxx Interrupt 939
                DCD     Reserved940_IRQHandler  ; xxx Interrupt 940
                DCD     Reserved941_IRQHandler  ; xxx Interrupt 941
                DCD     Reserved942_IRQHandler  ; xxx Interrupt 942
                DCD     Reserved943_IRQHandler  ; xxx Interrupt 943
                DCD     Reserved944_IRQHandler  ; xxx Interrupt 944
                DCD     Reserved945_IRQHandler  ; xxx Interrupt 945
                DCD     Reserved946_IRQHandler  ; xxx Interrupt 946
                DCD     Reserved947_IRQHandler  ; xxx Interrupt 947
                DCD     Reserved948_IRQHandler  ; xxx Interrupt 948
                DCD     Reserved949_IRQHandler  ; xxx Interrupt 949
                DCD     Reserved950_IRQHandler  ; xxx Interrupt 950
                DCD     Reserved951_IRQHandler  ; xxx Interrupt 951
                DCD     Reserved952_IRQHandler  ; xxx Interrupt 952
                DCD     Reserved953_IRQHandler  ; xxx Interrupt 953
                DCD     Reserved954_IRQHandler  ; xxx Interrupt 954
                DCD     Reserved955_IRQHandler  ; xxx Interrupt 955
                DCD     Reserved956_IRQHandler  ; xxx Interrupt 956
                DCD     Reserved957_IRQHandler  ; xxx Interrupt 957
                DCD     Reserved958_IRQHandler  ; xxx Interrupt 958
                DCD     Reserved959_IRQHandler  ; xxx Interrupt 959
                DCD     Reserved960_IRQHandler  ; xxx Interrupt 960
                DCD     Reserved961_IRQHandler  ; xxx Interrupt 961
                DCD     Reserved962_IRQHandler  ; xxx Interrupt 962
                DCD     Reserved963_IRQHandler  ; xxx Interrupt 963
                DCD     Reserved964_IRQHandler  ; xxx Interrupt 964
                DCD     Reserved965_IRQHandler  ; xxx Interrupt 965
                DCD     Reserved966_IRQHandler  ; xxx Interrupt 966
                DCD     Reserved967_IRQHandler  ; xxx Interrupt 967
                DCD     Reserved968_IRQHandler  ; xxx Interrupt 968
                DCD     Reserved969_IRQHandler  ; xxx Interrupt 969
                DCD     Reserved970_IRQHandler  ; xxx Interrupt 970
                DCD     Reserved971_IRQHandler  ; xxx Interrupt 971
                DCD     Reserved972_IRQHandler  ; xxx Interrupt 972
                DCD     Reserved973_IRQHandler  ; xxx Interrupt 973
                DCD     Reserved974_IRQHandler  ; xxx Interrupt 974
                DCD     Reserved975_IRQHandler  ; xxx Interrupt 975
                DCD     Reserved976_IRQHandler  ; xxx Interrupt 976
                DCD     Reserved977_IRQHandler  ; xxx Interrupt 977
                DCD     Reserved978_IRQHandler  ; xxx Interrupt 978
                DCD     Reserved979_IRQHandler  ; xxx Interrupt 979
                DCD     Reserved980_IRQHandler  ; xxx Interrupt 980
                DCD     Reserved981_IRQHandler  ; xxx Interrupt 981
                DCD     Reserved982_IRQHandler  ; xxx Interrupt 982
                DCD     Reserved983_IRQHandler  ; xxx Interrupt 983
                DCD     Reserved984_IRQHandler  ; xxx Interrupt 984
                DCD     Reserved985_IRQHandler  ; xxx Interrupt 985
                DCD     Reserved986_IRQHandler  ; xxx Interrupt 986
                DCD     Reserved987_IRQHandler  ; xxx Interrupt 987
                DCD     Reserved988_IRQHandler  ; xxx Interrupt 988
                DCD     Reserved989_IRQHandler  ; xxx Interrupt 989
                DCD     Reserved990_IRQHandler  ; xxx Interrupt 990
                DCD     Reserved991_IRQHandler  ; xxx Interrupt 991
                DCD     Reserved992_IRQHandler  ; xxx Interrupt 992
                DCD     Reserved993_IRQHandler  ; xxx Interrupt 993
                DCD     Reserved994_IRQHandler  ; xxx Interrupt 994
                DCD     Reserved995_IRQHandler  ; xxx Interrupt 995
                DCD     Reserved996_IRQHandler  ; xxx Interrupt 996
                DCD     Reserved997_IRQHandler  ; xxx Interrupt 997
                DCD     Reserved998_IRQHandler  ; xxx Interrupt 998
                DCD     Reserved999_IRQHandler  ; xxx Interrupt 999
                DCD     Reserved1000_IRQHandler  ; xxx Interrupt 1000
                DCD     Reserved1001_IRQHandler  ; xxx Interrupt 1001
                DCD     Reserved1002_IRQHandler  ; xxx Interrupt 1002
                DCD     Reserved1003_IRQHandler  ; xxx Interrupt 1003
                DCD     Reserved1004_IRQHandler  ; xxx Interrupt 1004
                DCD     Reserved1005_IRQHandler  ; xxx Interrupt 1005
                DCD     Reserved1006_IRQHandler  ; xxx Interrupt 1006
                DCD     Reserved1007_IRQHandler  ; xxx Interrupt 1007
                DCD     Reserved1008_IRQHandler  ; xxx Interrupt 1008
                DCD     Reserved1009_IRQHandler  ; xxx Interrupt 1009
                DCD     Reserved1010_IRQHandler  ; xxx Interrupt 1010
                DCD     Reserved1011_IRQHandler  ; xxx Interrupt 1011
                DCD     Reserved1012_IRQHandler  ; xxx Interrupt 1012
                DCD     Reserved1013_IRQHandler  ; xxx Interrupt 1013
                DCD     Reserved1014_IRQHandler  ; xxx Interrupt 1014
                DCD     Reserved1015_IRQHandler  ; xxx Interrupt 1015
                DCD     Reserved1016_IRQHandler  ; xxx Interrupt 1016
                DCD     Reserved1017_IRQHandler  ; xxx Interrupt 1017
                DCD     Reserved1018_IRQHandler  ; xxx Interrupt 1018
                DCD     Reserved1019_IRQHandler  ; xxx Interrupt 1019
                DCD     Reserved1020_IRQHandler  ; xxx Interrupt 1020
                DCD     Reserved1021_IRQHandler  ; xxx Interrupt 1021
                DCD     Reserved1022_IRQHandler  ; xxx Interrupt 1022
                DCD     Reserved1023_IRQHandler  ; xxx Interrupt 1023
                DCD     Reserved1024_IRQHandler  ; xxx Interrupt 1024
                DCD     Reserved1025_IRQHandler  ; xxx Interrupt 1025
                DCD     Reserved1026_IRQHandler  ; xxx Interrupt 1026
                DCD     Reserved1027_IRQHandler  ; xxx Interrupt 1027
                DCD     Reserved1028_IRQHandler  ; xxx Interrupt 1028
                DCD     Reserved1029_IRQHandler  ; xxx Interrupt 1029
                DCD     Reserved1030_IRQHandler  ; xxx Interrupt 1030
                DCD     Reserved1031_IRQHandler  ; xxx Interrupt 1031
                DCD     Reserved1032_IRQHandler  ; xxx Interrupt 1032
                DCD     Reserved1033_IRQHandler  ; xxx Interrupt 1033
                DCD     Reserved1034_IRQHandler  ; xxx Interrupt 1034
                DCD     Reserved1035_IRQHandler  ; xxx Interrupt 1035
                DCD     Reserved1036_IRQHandler  ; xxx Interrupt 1036
                DCD     Reserved1037_IRQHandler  ; xxx Interrupt 1037
                DCD     Reserved1038_IRQHandler  ; xxx Interrupt 1038
                DCD     Reserved1039_IRQHandler  ; xxx Interrupt 1039
                DCD     GIC_Spurious1023_IRQHandler  ; Special Interrupt
__Vectors_End

__Vectors_Size 	EQU     __Vectors_End - __Vectors

; <h> Flash Configuration
;   <i> 16-byte flash configuration field that stores default protection settings (loaded on reset)
;   <i> and security information that allows the MCU to restrict acces to the FTFL module.
;   <h> Backdoor Comparison Key
;     <o0>  Backdoor Key 0  <0x0-0xFF:2>
;     <o1>  Backdoor Key 1  <0x0-0xFF:2>
;     <o2>  Backdoor Key 2  <0x0-0xFF:2>
;     <o3>  Backdoor Key 3  <0x0-0xFF:2>
;     <o4>  Backdoor Key 4  <0x0-0xFF:2>
;     <o5>  Backdoor Key 5  <0x0-0xFF:2>
;     <o6>  Backdoor Key 6  <0x0-0xFF:2>
;     <o7>  Backdoor Key 7  <0x0-0xFF:2>
BackDoorK0      EQU     0xFF
BackDoorK1      EQU     0xFF
BackDoorK2      EQU     0xFF
BackDoorK3      EQU     0xFF
BackDoorK4      EQU     0xFF
BackDoorK5      EQU     0xFF
BackDoorK6      EQU     0xFF
BackDoorK7      EQU     0xFF
;   </h>
;   <h> Program flash protection bytes (FPROT)
;     <i> Each program flash region can be protected from program and erase operation by setting the associated PROT bit.
;     <i> Each bit protects a 1/32 region of the program flash memory.
;     <h> FPROT0
;       <i> Program flash protection bytes
;       <i> 1/32 - 8/32 region
;       <o.0>   FPROT0.0
;       <o.1>   FPROT0.1
;       <o.2>   FPROT0.2
;       <o.3>   FPROT0.3
;       <o.4>   FPROT0.4
;       <o.5>   FPROT0.5
;       <o.6>   FPROT0.6
;       <o.7>   FPROT0.7
nFPROT0         EQU     0x00
FPROT0          EQU     nFPROT0:EOR:0xFF
;     </h>
;     <h> FPROT1
;       <i> Program Flash Region Protect Register 1
;       <i> 9/32 - 16/32 region
;       <o.0>   FPROT1.0
;       <o.1>   FPROT1.1
;       <o.2>   FPROT1.2
;       <o.3>   FPROT1.3
;       <o.4>   FPROT1.4
;       <o.5>   FPROT1.5
;       <o.6>   FPROT1.6
;       <o.7>   FPROT1.7
nFPROT1         EQU     0x00
FPROT1          EQU     nFPROT1:EOR:0xFF
;     </h>
;     <h> FPROT2
;       <i> Program Flash Region Protect Register 2
;       <i> 17/32 - 24/32 region
;       <o.0>   FPROT2.0
;       <o.1>   FPROT2.1
;       <o.2>   FPROT2.2
;       <o.3>   FPROT2.3
;       <o.4>   FPROT2.4
;       <o.5>   FPROT2.5
;       <o.6>   FPROT2.6
;       <o.7>   FPROT2.7
nFPROT2         EQU     0x00
FPROT2          EQU     nFPROT2:EOR:0xFF
;     </h>
;     <h> FPROT3
;       <i> Program Flash Region Protect Register 3
;       <i> 25/32 - 32/32 region
;       <o.0>   FPROT3.0
;       <o.1>   FPROT3.1
;       <o.2>   FPROT3.2
;       <o.3>   FPROT3.3
;       <o.4>   FPROT3.4
;       <o.5>   FPROT3.5
;       <o.6>   FPROT3.6
;       <o.7>   FPROT3.7
nFPROT3         EQU     0x00
FPROT3          EQU     nFPROT3:EOR:0xFF
;     </h>
;   </h>
;   <h> Data flash protection byte (FDPROT)
;     <i> Each bit protects a 1/8 region of the data flash memory.
;     <i> (Program flash only devices: Reserved)
;     <o.0>   FDPROT.0
;     <o.1>   FDPROT.1
;     <o.2>   FDPROT.2
;     <o.3>   FDPROT.3
;     <o.4>   FDPROT.4
;     <o.5>   FDPROT.5
;     <o.6>   FDPROT.6
;     <o.7>   FDPROT.7
nFDPROT         EQU     0x00
FDPROT          EQU     nFDPROT:EOR:0xFF
;   </h>
;   <h> EEPROM protection byte (FEPROT)
;     <i> FlexNVM devices: Each bit protects a 1/8 region of the EEPROM.
;     <i> (Program flash only devices: Reserved)
;     <o.0>   FEPROT.0
;     <o.1>   FEPROT.1
;     <o.2>   FEPROT.2
;     <o.3>   FEPROT.3
;     <o.4>   FEPROT.4
;     <o.5>   FEPROT.5
;     <o.6>   FEPROT.6
;     <o.7>   FEPROT.7
nFEPROT         EQU     0x00
FEPROT          EQU     nFEPROT:EOR:0xFF
;   </h>
;   <h> Flash nonvolatile option byte (FOPT)
;     <i> Allows the user to customize the operation of the MCU at boot time.
;     <o.0>  LPBOOT
;       <0=> Low-power boot
;       <1=> normal boot
;     <o.1>  EZPORT_DIS
;       <0=> EzPort operation is enabled
;       <1=> EzPort operation is disabled
FOPT            EQU     0xFF
;   </h>
;   <h> Flash security byte (FSEC)
;     <i> WARNING: If SEC field is configured as "MCU security status is secure" and MEEN field is configured as "Mass erase is disabled",
;     <i> MCU's security status cannot be set back to unsecure state since Mass erase via the debugger is blocked !!!
;     <o.0..1> SEC
;       <2=> MCU security status is unsecure
;       <3=> MCU security status is secure
;         <i> Flash Security
;         <i> This bits define the security state of the MCU.
;     <o.2..3> FSLACC
;       <2=> Freescale factory access denied
;       <3=> Freescale factory access granted
;         <i> Freescale Failure Analysis Access Code
;         <i> This bits define the security state of the MCU.
;     <o.4..5> MEEN
;       <2=> Mass erase is disabled
;       <3=> Mass erase is enabled
;         <i> Mass Erase Enable Bits
;         <i> Enables and disables mass erase capability of the FTFL module
;     <o.6..7> KEYEN
;       <2=> Backdoor key access enabled
;       <3=> Backdoor key access disabled
;         <i> Backdoor key Security Enable
;         <i> These bits enable and disable backdoor key access to the FTFL module.
FSEC            EQU     0xFE
;   </h>
; </h>
                IF      :LNOT::DEF:RAM_TARGET
                AREA    |.ARM.__at_0x400|, CODE, READONLY
                DCB     BackDoorK0, BackDoorK1, BackDoorK2, BackDoorK3
                DCB     BackDoorK4, BackDoorK5, BackDoorK6, BackDoorK7
                DCB     FPROT0,     FPROT1,     FPROT2,     FPROT3
                DCB     FSEC,       FOPT,       FEPROT,     FDPROT
                ENDIF

                AREA    |.text|, CODE, READONLY

;init_data_bss
;     User defined function for data and bs memory segment initialization.
;      Weak definition to be replaced by user code.

init_data_bss   PROC
                EXPORT  init_data_bss             [WEAK]
                BX      R14
                ENDP

; Reset Handler

Reset_Handler   PROC
                EXPORT  Reset_Handler             [WEAK]
                IMPORT  SystemInit
                IMPORT  __main
                LDR     R0, =SystemInit
                BLX     R0
                LDR     R0, =init_data_bss
                BLX     R0
                LDR     R0, =__main
                BX      R0
                ENDP


; Dummy Exception Handlers (infinite loops which can be modified)

NMI_Handler     PROC
                EXPORT  NMI_Handler               [WEAK]
                B       .
                ENDP
HardFault_Handler\
                PROC
                EXPORT  HardFault_Handler         [WEAK]
                B       .
                ENDP
MemManage_Handler\
                PROC
                EXPORT  MemManage_Handler         [WEAK]
                B       .
                ENDP
BusFault_Handler\
                PROC
                EXPORT  BusFault_Handler          [WEAK]
                B       .
                ENDP
UsageFault_Handler\
                PROC
                EXPORT  UsageFault_Handler        [WEAK]
                B       .
                ENDP
SVC_Handler     PROC
                EXPORT  SVC_Handler               [WEAK]
                B       .
                ENDP
DebugMon_Handler\
                PROC
                EXPORT  DebugMon_Handler          [WEAK]
                B       .
                ENDP
PendSV_Handler  PROC
                EXPORT  PendSV_Handler            [WEAK]
                B       .
                ENDP
SysTick_Handler PROC
                EXPORT  SysTick_Handler           [WEAK]
                B       .
                ENDP

Default_Handler PROC
                EXPORT  GIC_SGI0_IRQHandler     [WEAK]
                EXPORT  GIC_SGI1_IRQHandler     [WEAK]
                EXPORT  GIC_SGI2_IRQHandler     [WEAK]
                EXPORT  GIC_SGI3_IRQHandler     [WEAK]
                EXPORT  GIC_SGI4_IRQHandler     [WEAK]
                EXPORT  GIC_SGI5_IRQHandler     [WEAK]
                EXPORT  GIC_SGI6_IRQHandler     [WEAK]
                EXPORT  GIC_SGI7_IRQHandler     [WEAK]
                EXPORT  GIC_SGI8_IRQHandler     [WEAK]
                EXPORT  GIC_SGI9_IRQHandler     [WEAK]
                EXPORT  GIC_SGI10_IRQHandler     [WEAK]
                EXPORT  GIC_SGI11_IRQHandler     [WEAK]
                EXPORT  GIC_SGI12_IRQHandler     [WEAK]
                EXPORT  GIC_SGI13_IRQHandler     [WEAK]
                EXPORT  GIC_SGI14_IRQHandler     [WEAK]
                EXPORT  GIC_SGI15_IRQHandler     [WEAK]
                EXPORT  GIC_PPI0_IRQHandler     [WEAK]
                EXPORT  GIC_PPI1_IRQHandler     [WEAK]
                EXPORT  GIC_PPI2_IRQHandler     [WEAK]
                EXPORT  GIC_PPI3_IRQHandler     [WEAK]
                EXPORT  GIC_PPI4_IRQHandler     [WEAK]
                EXPORT  GIC_PPI5_IRQHandler     [WEAK]
                EXPORT  GIC_PPI6_IRQHandler     [WEAK]
                EXPORT  GIC_PPI7_IRQHandler     [WEAK]
                EXPORT  GIC_PPI8_IRQHandler     [WEAK]
                EXPORT  GIC_PPI9_IRQHandler     [WEAK]
                EXPORT  GIC_PPI10_IRQHandler     [WEAK]
                EXPORT  GIC_GlobalTimer_IRQHandler     [WEAK]
                EXPORT  GIC_Legacy_nFIQ_IRQHandler     [WEAK]
                EXPORT  GIC_CoreTimer_IRQHandler     [WEAK]
                EXPORT  GIC_CoreWatchdog_IRQHandler     [WEAK]
                EXPORT  GIC_Legacy_nIRQ_IRQHandler     [WEAK]
                EXPORT  GIC_CPU_to_CPU_int0_IRQHandler     [WEAK]
                EXPORT  GIC_CPU_to_CPU_int1_IRQHandler     [WEAK]
                EXPORT  GIC_CPU_to_CPU_int2_IRQHandler     [WEAK]
                EXPORT  GIC_CPU_to_CPU_int3_IRQHandler     [WEAK]
                EXPORT  GIC_Dir_CA5_int0_IRQHandler     [WEAK]
                EXPORT  GIC_Dir_CA5_int1_IRQHandler     [WEAK]
                EXPORT  GIC_Dir_CA5_int2_IRQHandler     [WEAK]
                EXPORT  GIC_Dir_CA5_int3_IRQHandler     [WEAK]
                EXPORT  GIC_DMA0_Transfer_Complete_IRQHandler     [WEAK]
                EXPORT  GIC_DMA0_Error_IRQHandler     [WEAK]
                EXPORT  GIC_DMA1_Transfer_Complete_IRQHandler     [WEAK]
                EXPORT  GIC_DMA1_Error_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved44_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved45_IRQHandler     [WEAK]
                EXPORT  GIC_MSCM_ECC0_IRQHandler     [WEAK]
                EXPORT  GIC_MSCM_ECC1_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved48_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved49_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved50_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved51_IRQHandler     [WEAK]
                EXPORT  GIC_WDOG_A5_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved53_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved54_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved55_IRQHandler     [WEAK]
                EXPORT  GIC_QuadSPI0_IRQHandler     [WEAK]
                EXPORT  GIC_QuadSPI1_IRQHandler     [WEAK]
                EXPORT  GIC_DDRMC_IRQHandler     [WEAK]
                EXPORT  GIC_SDHC0_IRQHandler     [WEAK]
                EXPORT  GIC_SDHC1_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved61_IRQHandler     [WEAK]
                EXPORT  GIC_DCU0_IRQHandler     [WEAK]
                EXPORT  GIC_DCU1_IRQHandler     [WEAK]
                EXPORT  GIC_VIU_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved65_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved66_IRQHandler     [WEAK]
                EXPORT  GIC_RLE_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved68_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved69_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved70_IRQHandler     [WEAK]
                EXPORT  GIC_PIT_IRQHandler     [WEAK]
                EXPORT  GIC_LPTimer0_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved73_IRQHandler     [WEAK]
                EXPORT  GIC_FlexTimer0_IRQHandler     [WEAK]
                EXPORT  GIC_FlexTimer1_IRQHandler     [WEAK]
                EXPORT  GIC_FlexTimer2_IRQHandler     [WEAK]
                EXPORT  GIC_FlexTimer3_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved78_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved79_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved80_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved81_IRQHandler     [WEAK]
                EXPORT  GIC_USBPHY0_IRQHandler     [WEAK]
                EXPORT  GIC_USBPHY1_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved84_IRQHandler     [WEAK]
                EXPORT  GIC_ADC0_IRQHandler     [WEAK]
                EXPORT  GIC_ADC1_IRQHandler     [WEAK]
                EXPORT  GIC_DAC0_IRQHandler     [WEAK]
                EXPORT  GIC_DAC1_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved89_IRQHandler     [WEAK]
                EXPORT  GIC_FlexCAN0_IRQHandler     [WEAK]
                EXPORT  GIC_FlexCAN1_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved92_IRQHandler     [WEAK]
                EXPORT  GIC_UART0_IRQHandler     [WEAK]
                EXPORT  GIC_UART1_IRQHandler     [WEAK]
                EXPORT  GIC_UART2_IRQHandler     [WEAK]
                EXPORT  GIC_UART3_IRQHandler     [WEAK]
                EXPORT  GIC_UART4_IRQHandler     [WEAK]
                EXPORT  GIC_UART5_IRQHandler     [WEAK]
                EXPORT  GIC_SPI0_IRQHandler     [WEAK]
                EXPORT  GIC_SPI1_IRQHandler     [WEAK]
                EXPORT  GIC_SPI2_IRQHandler     [WEAK]
                EXPORT  GIC_SPI3_IRQHandler     [WEAK]
                EXPORT  GIC_I2C0_IRQHandler     [WEAK]
                EXPORT  GIC_I2C1_IRQHandler     [WEAK]
                EXPORT  GIC_I2C2_IRQHandler     [WEAK]
                EXPORT  GIC_I2C3_IRQHandler     [WEAK]
                EXPORT  GIC_USB0_IRQHandler     [WEAK]
                EXPORT  GIC_USB1_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved109_IRQHandler     [WEAK]
                EXPORT  GIC_ENET_MAC0_IRQHandler     [WEAK]
                EXPORT  GIC_ENET_MAC1_IRQHandler     [WEAK]
                EXPORT  GIC_ENET_1588_T0_IRQHandler     [WEAK]
                EXPORT  GIC_ENET_1588_T1_IRQHandler     [WEAK]
                EXPORT  GIC_ENET_Switch_IRQHandler     [WEAK]
                EXPORT  GIC_NFC_IRQHandler     [WEAK]
                EXPORT  GIC_SAI0_IRQHandler     [WEAK]
                EXPORT  GIC_SAI1_IRQHandler     [WEAK]
                EXPORT  GIC_SAI2_IRQHandler     [WEAK]
                EXPORT  GIC_SAI3_IRQHandler     [WEAK]
                EXPORT  GIC_ESAI_BIFIFO_IRQHandler     [WEAK]
                EXPORT  GIC_SPDIF_IRQHandler     [WEAK]
                EXPORT  GIC_ASRC_IRQHandler     [WEAK]
                EXPORT  GIC_VREG_IRQHandler     [WEAK]
                EXPORT  GIC_WKPU_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved125_IRQHandler     [WEAK]
                EXPORT  GIC_CCM0_IRQHandler     [WEAK]
                EXPORT  GIC_CCM1_IRQHandler     [WEAK]
                EXPORT  GIC_SRC_IRQHandler     [WEAK]
                EXPORT  GIC_PDB_IRQHandler     [WEAK]
                EXPORT  GIC_EWM_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved131_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved132_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved133_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved134_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved135_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved136_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved137_IRQHandler     [WEAK]
                EXPORT  GIC_Reserved138_IRQHandler     [WEAK]
                EXPORT  GIC_GPIO0_IRQHandler     [WEAK]
                EXPORT  GIC_GPIO1_IRQHandler     [WEAK]
                EXPORT  GIC_GPIO2_IRQHandler     [WEAK]
                EXPORT  GIC_GPIO3_IRQHandler     [WEAK]
                EXPORT  GIC_GPIO4_IRQHandler     [WEAK]
                EXPORT  Reserved160_IRQHandler     [WEAK]
                EXPORT  Reserved161_IRQHandler     [WEAK]
                EXPORT  Reserved162_IRQHandler     [WEAK]
                EXPORT  Reserved163_IRQHandler     [WEAK]
                EXPORT  Reserved164_IRQHandler     [WEAK]
                EXPORT  Reserved165_IRQHandler     [WEAK]
                EXPORT  Reserved166_IRQHandler     [WEAK]
                EXPORT  Reserved167_IRQHandler     [WEAK]
                EXPORT  Reserved168_IRQHandler     [WEAK]
                EXPORT  Reserved169_IRQHandler     [WEAK]
                EXPORT  Reserved170_IRQHandler     [WEAK]
                EXPORT  Reserved171_IRQHandler     [WEAK]
                EXPORT  Reserved172_IRQHandler     [WEAK]
                EXPORT  Reserved173_IRQHandler     [WEAK]
                EXPORT  Reserved174_IRQHandler     [WEAK]
                EXPORT  Reserved175_IRQHandler     [WEAK]
                EXPORT  Reserved176_IRQHandler     [WEAK]
                EXPORT  Reserved177_IRQHandler     [WEAK]
                EXPORT  Reserved178_IRQHandler     [WEAK]
                EXPORT  Reserved179_IRQHandler     [WEAK]
                EXPORT  Reserved180_IRQHandler     [WEAK]
                EXPORT  Reserved181_IRQHandler     [WEAK]
                EXPORT  Reserved182_IRQHandler     [WEAK]
                EXPORT  Reserved183_IRQHandler     [WEAK]
                EXPORT  Reserved184_IRQHandler     [WEAK]
                EXPORT  Reserved185_IRQHandler     [WEAK]
                EXPORT  Reserved186_IRQHandler     [WEAK]
                EXPORT  Reserved187_IRQHandler     [WEAK]
                EXPORT  Reserved188_IRQHandler     [WEAK]
                EXPORT  Reserved189_IRQHandler     [WEAK]
                EXPORT  Reserved190_IRQHandler     [WEAK]
                EXPORT  Reserved191_IRQHandler     [WEAK]
                EXPORT  Reserved192_IRQHandler     [WEAK]
                EXPORT  Reserved193_IRQHandler     [WEAK]
                EXPORT  Reserved194_IRQHandler     [WEAK]
                EXPORT  Reserved195_IRQHandler     [WEAK]
                EXPORT  Reserved196_IRQHandler     [WEAK]
                EXPORT  Reserved197_IRQHandler     [WEAK]
                EXPORT  Reserved198_IRQHandler     [WEAK]
                EXPORT  Reserved199_IRQHandler     [WEAK]
                EXPORT  Reserved200_IRQHandler     [WEAK]
                EXPORT  Reserved201_IRQHandler     [WEAK]
                EXPORT  Reserved202_IRQHandler     [WEAK]
                EXPORT  Reserved203_IRQHandler     [WEAK]
                EXPORT  Reserved204_IRQHandler     [WEAK]
                EXPORT  Reserved205_IRQHandler     [WEAK]
                EXPORT  Reserved206_IRQHandler     [WEAK]
                EXPORT  Reserved207_IRQHandler     [WEAK]
                EXPORT  Reserved208_IRQHandler     [WEAK]
                EXPORT  Reserved209_IRQHandler     [WEAK]
                EXPORT  Reserved210_IRQHandler     [WEAK]
                EXPORT  Reserved211_IRQHandler     [WEAK]
                EXPORT  Reserved212_IRQHandler     [WEAK]
                EXPORT  Reserved213_IRQHandler     [WEAK]
                EXPORT  Reserved214_IRQHandler     [WEAK]
                EXPORT  Reserved215_IRQHandler     [WEAK]
                EXPORT  Reserved216_IRQHandler     [WEAK]
                EXPORT  Reserved217_IRQHandler     [WEAK]
                EXPORT  Reserved218_IRQHandler     [WEAK]
                EXPORT  Reserved219_IRQHandler     [WEAK]
                EXPORT  Reserved220_IRQHandler     [WEAK]
                EXPORT  Reserved221_IRQHandler     [WEAK]
                EXPORT  Reserved222_IRQHandler     [WEAK]
                EXPORT  Reserved223_IRQHandler     [WEAK]
                EXPORT  Reserved224_IRQHandler     [WEAK]
                EXPORT  Reserved225_IRQHandler     [WEAK]
                EXPORT  Reserved226_IRQHandler     [WEAK]
                EXPORT  Reserved227_IRQHandler     [WEAK]
                EXPORT  Reserved228_IRQHandler     [WEAK]
                EXPORT  Reserved229_IRQHandler     [WEAK]
                EXPORT  Reserved230_IRQHandler     [WEAK]
                EXPORT  Reserved231_IRQHandler     [WEAK]
                EXPORT  Reserved232_IRQHandler     [WEAK]
                EXPORT  Reserved233_IRQHandler     [WEAK]
                EXPORT  Reserved234_IRQHandler     [WEAK]
                EXPORT  Reserved235_IRQHandler     [WEAK]
                EXPORT  Reserved236_IRQHandler     [WEAK]
                EXPORT  Reserved237_IRQHandler     [WEAK]
                EXPORT  Reserved238_IRQHandler     [WEAK]
                EXPORT  Reserved239_IRQHandler     [WEAK]
                EXPORT  Reserved240_IRQHandler     [WEAK]
                EXPORT  Reserved241_IRQHandler     [WEAK]
                EXPORT  Reserved242_IRQHandler     [WEAK]
                EXPORT  Reserved243_IRQHandler     [WEAK]
                EXPORT  Reserved244_IRQHandler     [WEAK]
                EXPORT  Reserved245_IRQHandler     [WEAK]
                EXPORT  Reserved246_IRQHandler     [WEAK]
                EXPORT  Reserved247_IRQHandler     [WEAK]
                EXPORT  Reserved248_IRQHandler     [WEAK]
                EXPORT  Reserved249_IRQHandler     [WEAK]
                EXPORT  Reserved250_IRQHandler     [WEAK]
                EXPORT  Reserved251_IRQHandler     [WEAK]
                EXPORT  Reserved252_IRQHandler     [WEAK]
                EXPORT  Reserved253_IRQHandler     [WEAK]
                EXPORT  Reserved254_IRQHandler     [WEAK]
                EXPORT  Reserved255_IRQHandler     [WEAK]
                EXPORT  Reserved256_IRQHandler     [WEAK]
                EXPORT  Reserved257_IRQHandler     [WEAK]
                EXPORT  Reserved258_IRQHandler     [WEAK]
                EXPORT  Reserved259_IRQHandler     [WEAK]
                EXPORT  Reserved260_IRQHandler     [WEAK]
                EXPORT  Reserved261_IRQHandler     [WEAK]
                EXPORT  Reserved262_IRQHandler     [WEAK]
                EXPORT  Reserved263_IRQHandler     [WEAK]
                EXPORT  Reserved264_IRQHandler     [WEAK]
                EXPORT  Reserved265_IRQHandler     [WEAK]
                EXPORT  Reserved266_IRQHandler     [WEAK]
                EXPORT  Reserved267_IRQHandler     [WEAK]
                EXPORT  Reserved268_IRQHandler     [WEAK]
                EXPORT  Reserved269_IRQHandler     [WEAK]
                EXPORT  Reserved270_IRQHandler     [WEAK]
                EXPORT  Reserved271_IRQHandler     [WEAK]
                EXPORT  Reserved272_IRQHandler     [WEAK]
                EXPORT  Reserved273_IRQHandler     [WEAK]
                EXPORT  Reserved274_IRQHandler     [WEAK]
                EXPORT  Reserved275_IRQHandler     [WEAK]
                EXPORT  Reserved276_IRQHandler     [WEAK]
                EXPORT  Reserved277_IRQHandler     [WEAK]
                EXPORT  Reserved278_IRQHandler     [WEAK]
                EXPORT  Reserved279_IRQHandler     [WEAK]
                EXPORT  Reserved280_IRQHandler     [WEAK]
                EXPORT  Reserved281_IRQHandler     [WEAK]
                EXPORT  Reserved282_IRQHandler     [WEAK]
                EXPORT  Reserved283_IRQHandler     [WEAK]
                EXPORT  Reserved284_IRQHandler     [WEAK]
                EXPORT  Reserved285_IRQHandler     [WEAK]
                EXPORT  Reserved286_IRQHandler     [WEAK]
                EXPORT  Reserved287_IRQHandler     [WEAK]
                EXPORT  Reserved288_IRQHandler     [WEAK]
                EXPORT  Reserved289_IRQHandler     [WEAK]
                EXPORT  Reserved290_IRQHandler     [WEAK]
                EXPORT  Reserved291_IRQHandler     [WEAK]
                EXPORT  Reserved292_IRQHandler     [WEAK]
                EXPORT  Reserved293_IRQHandler     [WEAK]
                EXPORT  Reserved294_IRQHandler     [WEAK]
                EXPORT  Reserved295_IRQHandler     [WEAK]
                EXPORT  Reserved296_IRQHandler     [WEAK]
                EXPORT  Reserved297_IRQHandler     [WEAK]
                EXPORT  Reserved298_IRQHandler     [WEAK]
                EXPORT  Reserved299_IRQHandler     [WEAK]
                EXPORT  Reserved300_IRQHandler     [WEAK]
                EXPORT  Reserved301_IRQHandler     [WEAK]
                EXPORT  Reserved302_IRQHandler     [WEAK]
                EXPORT  Reserved303_IRQHandler     [WEAK]
                EXPORT  Reserved304_IRQHandler     [WEAK]
                EXPORT  Reserved305_IRQHandler     [WEAK]
                EXPORT  Reserved306_IRQHandler     [WEAK]
                EXPORT  Reserved307_IRQHandler     [WEAK]
                EXPORT  Reserved308_IRQHandler     [WEAK]
                EXPORT  Reserved309_IRQHandler     [WEAK]
                EXPORT  Reserved310_IRQHandler     [WEAK]
                EXPORT  Reserved311_IRQHandler     [WEAK]
                EXPORT  Reserved312_IRQHandler     [WEAK]
                EXPORT  Reserved313_IRQHandler     [WEAK]
                EXPORT  Reserved314_IRQHandler     [WEAK]
                EXPORT  Reserved315_IRQHandler     [WEAK]
                EXPORT  Reserved316_IRQHandler     [WEAK]
                EXPORT  Reserved317_IRQHandler     [WEAK]
                EXPORT  Reserved318_IRQHandler     [WEAK]
                EXPORT  Reserved319_IRQHandler     [WEAK]
                EXPORT  Reserved320_IRQHandler     [WEAK]
                EXPORT  Reserved321_IRQHandler     [WEAK]
                EXPORT  Reserved322_IRQHandler     [WEAK]
                EXPORT  Reserved323_IRQHandler     [WEAK]
                EXPORT  Reserved324_IRQHandler     [WEAK]
                EXPORT  Reserved325_IRQHandler     [WEAK]
                EXPORT  Reserved326_IRQHandler     [WEAK]
                EXPORT  Reserved327_IRQHandler     [WEAK]
                EXPORT  Reserved328_IRQHandler     [WEAK]
                EXPORT  Reserved329_IRQHandler     [WEAK]
                EXPORT  Reserved330_IRQHandler     [WEAK]
                EXPORT  Reserved331_IRQHandler     [WEAK]
                EXPORT  Reserved332_IRQHandler     [WEAK]
                EXPORT  Reserved333_IRQHandler     [WEAK]
                EXPORT  Reserved334_IRQHandler     [WEAK]
                EXPORT  Reserved335_IRQHandler     [WEAK]
                EXPORT  Reserved336_IRQHandler     [WEAK]
                EXPORT  Reserved337_IRQHandler     [WEAK]
                EXPORT  Reserved338_IRQHandler     [WEAK]
                EXPORT  Reserved339_IRQHandler     [WEAK]
                EXPORT  Reserved340_IRQHandler     [WEAK]
                EXPORT  Reserved341_IRQHandler     [WEAK]
                EXPORT  Reserved342_IRQHandler     [WEAK]
                EXPORT  Reserved343_IRQHandler     [WEAK]
                EXPORT  Reserved344_IRQHandler     [WEAK]
                EXPORT  Reserved345_IRQHandler     [WEAK]
                EXPORT  Reserved346_IRQHandler     [WEAK]
                EXPORT  Reserved347_IRQHandler     [WEAK]
                EXPORT  Reserved348_IRQHandler     [WEAK]
                EXPORT  Reserved349_IRQHandler     [WEAK]
                EXPORT  Reserved350_IRQHandler     [WEAK]
                EXPORT  Reserved351_IRQHandler     [WEAK]
                EXPORT  Reserved352_IRQHandler     [WEAK]
                EXPORT  Reserved353_IRQHandler     [WEAK]
                EXPORT  Reserved354_IRQHandler     [WEAK]
                EXPORT  Reserved355_IRQHandler     [WEAK]
                EXPORT  Reserved356_IRQHandler     [WEAK]
                EXPORT  Reserved357_IRQHandler     [WEAK]
                EXPORT  Reserved358_IRQHandler     [WEAK]
                EXPORT  Reserved359_IRQHandler     [WEAK]
                EXPORT  Reserved360_IRQHandler     [WEAK]
                EXPORT  Reserved361_IRQHandler     [WEAK]
                EXPORT  Reserved362_IRQHandler     [WEAK]
                EXPORT  Reserved363_IRQHandler     [WEAK]
                EXPORT  Reserved364_IRQHandler     [WEAK]
                EXPORT  Reserved365_IRQHandler     [WEAK]
                EXPORT  Reserved366_IRQHandler     [WEAK]
                EXPORT  Reserved367_IRQHandler     [WEAK]
                EXPORT  Reserved368_IRQHandler     [WEAK]
                EXPORT  Reserved369_IRQHandler     [WEAK]
                EXPORT  Reserved370_IRQHandler     [WEAK]
                EXPORT  Reserved371_IRQHandler     [WEAK]
                EXPORT  Reserved372_IRQHandler     [WEAK]
                EXPORT  Reserved373_IRQHandler     [WEAK]
                EXPORT  Reserved374_IRQHandler     [WEAK]
                EXPORT  Reserved375_IRQHandler     [WEAK]
                EXPORT  Reserved376_IRQHandler     [WEAK]
                EXPORT  Reserved377_IRQHandler     [WEAK]
                EXPORT  Reserved378_IRQHandler     [WEAK]
                EXPORT  Reserved379_IRQHandler     [WEAK]
                EXPORT  Reserved380_IRQHandler     [WEAK]
                EXPORT  Reserved381_IRQHandler     [WEAK]
                EXPORT  Reserved382_IRQHandler     [WEAK]
                EXPORT  Reserved383_IRQHandler     [WEAK]
                EXPORT  Reserved384_IRQHandler     [WEAK]
                EXPORT  Reserved385_IRQHandler     [WEAK]
                EXPORT  Reserved386_IRQHandler     [WEAK]
                EXPORT  Reserved387_IRQHandler     [WEAK]
                EXPORT  Reserved388_IRQHandler     [WEAK]
                EXPORT  Reserved389_IRQHandler     [WEAK]
                EXPORT  Reserved390_IRQHandler     [WEAK]
                EXPORT  Reserved391_IRQHandler     [WEAK]
                EXPORT  Reserved392_IRQHandler     [WEAK]
                EXPORT  Reserved393_IRQHandler     [WEAK]
                EXPORT  Reserved394_IRQHandler     [WEAK]
                EXPORT  Reserved395_IRQHandler     [WEAK]
                EXPORT  Reserved396_IRQHandler     [WEAK]
                EXPORT  Reserved397_IRQHandler     [WEAK]
                EXPORT  Reserved398_IRQHandler     [WEAK]
                EXPORT  Reserved399_IRQHandler     [WEAK]
                EXPORT  Reserved400_IRQHandler     [WEAK]
                EXPORT  Reserved401_IRQHandler     [WEAK]
                EXPORT  Reserved402_IRQHandler     [WEAK]
                EXPORT  Reserved403_IRQHandler     [WEAK]
                EXPORT  Reserved404_IRQHandler     [WEAK]
                EXPORT  Reserved405_IRQHandler     [WEAK]
                EXPORT  Reserved406_IRQHandler     [WEAK]
                EXPORT  Reserved407_IRQHandler     [WEAK]
                EXPORT  Reserved408_IRQHandler     [WEAK]
                EXPORT  Reserved409_IRQHandler     [WEAK]
                EXPORT  Reserved410_IRQHandler     [WEAK]
                EXPORT  Reserved411_IRQHandler     [WEAK]
                EXPORT  Reserved412_IRQHandler     [WEAK]
                EXPORT  Reserved413_IRQHandler     [WEAK]
                EXPORT  Reserved414_IRQHandler     [WEAK]
                EXPORT  Reserved415_IRQHandler     [WEAK]
                EXPORT  Reserved416_IRQHandler     [WEAK]
                EXPORT  Reserved417_IRQHandler     [WEAK]
                EXPORT  Reserved418_IRQHandler     [WEAK]
                EXPORT  Reserved419_IRQHandler     [WEAK]
                EXPORT  Reserved420_IRQHandler     [WEAK]
                EXPORT  Reserved421_IRQHandler     [WEAK]
                EXPORT  Reserved422_IRQHandler     [WEAK]
                EXPORT  Reserved423_IRQHandler     [WEAK]
                EXPORT  Reserved424_IRQHandler     [WEAK]
                EXPORT  Reserved425_IRQHandler     [WEAK]
                EXPORT  Reserved426_IRQHandler     [WEAK]
                EXPORT  Reserved427_IRQHandler     [WEAK]
                EXPORT  Reserved428_IRQHandler     [WEAK]
                EXPORT  Reserved429_IRQHandler     [WEAK]
                EXPORT  Reserved430_IRQHandler     [WEAK]
                EXPORT  Reserved431_IRQHandler     [WEAK]
                EXPORT  Reserved432_IRQHandler     [WEAK]
                EXPORT  Reserved433_IRQHandler     [WEAK]
                EXPORT  Reserved434_IRQHandler     [WEAK]
                EXPORT  Reserved435_IRQHandler     [WEAK]
                EXPORT  Reserved436_IRQHandler     [WEAK]
                EXPORT  Reserved437_IRQHandler     [WEAK]
                EXPORT  Reserved438_IRQHandler     [WEAK]
                EXPORT  Reserved439_IRQHandler     [WEAK]
                EXPORT  Reserved440_IRQHandler     [WEAK]
                EXPORT  Reserved441_IRQHandler     [WEAK]
                EXPORT  Reserved442_IRQHandler     [WEAK]
                EXPORT  Reserved443_IRQHandler     [WEAK]
                EXPORT  Reserved444_IRQHandler     [WEAK]
                EXPORT  Reserved445_IRQHandler     [WEAK]
                EXPORT  Reserved446_IRQHandler     [WEAK]
                EXPORT  Reserved447_IRQHandler     [WEAK]
                EXPORT  Reserved448_IRQHandler     [WEAK]
                EXPORT  Reserved449_IRQHandler     [WEAK]
                EXPORT  Reserved450_IRQHandler     [WEAK]
                EXPORT  Reserved451_IRQHandler     [WEAK]
                EXPORT  Reserved452_IRQHandler     [WEAK]
                EXPORT  Reserved453_IRQHandler     [WEAK]
                EXPORT  Reserved454_IRQHandler     [WEAK]
                EXPORT  Reserved455_IRQHandler     [WEAK]
                EXPORT  Reserved456_IRQHandler     [WEAK]
                EXPORT  Reserved457_IRQHandler     [WEAK]
                EXPORT  Reserved458_IRQHandler     [WEAK]
                EXPORT  Reserved459_IRQHandler     [WEAK]
                EXPORT  Reserved460_IRQHandler     [WEAK]
                EXPORT  Reserved461_IRQHandler     [WEAK]
                EXPORT  Reserved462_IRQHandler     [WEAK]
                EXPORT  Reserved463_IRQHandler     [WEAK]
                EXPORT  Reserved464_IRQHandler     [WEAK]
                EXPORT  Reserved465_IRQHandler     [WEAK]
                EXPORT  Reserved466_IRQHandler     [WEAK]
                EXPORT  Reserved467_IRQHandler     [WEAK]
                EXPORT  Reserved468_IRQHandler     [WEAK]
                EXPORT  Reserved469_IRQHandler     [WEAK]
                EXPORT  Reserved470_IRQHandler     [WEAK]
                EXPORT  Reserved471_IRQHandler     [WEAK]
                EXPORT  Reserved472_IRQHandler     [WEAK]
                EXPORT  Reserved473_IRQHandler     [WEAK]
                EXPORT  Reserved474_IRQHandler     [WEAK]
                EXPORT  Reserved475_IRQHandler     [WEAK]
                EXPORT  Reserved476_IRQHandler     [WEAK]
                EXPORT  Reserved477_IRQHandler     [WEAK]
                EXPORT  Reserved478_IRQHandler     [WEAK]
                EXPORT  Reserved479_IRQHandler     [WEAK]
                EXPORT  Reserved480_IRQHandler     [WEAK]
                EXPORT  Reserved481_IRQHandler     [WEAK]
                EXPORT  Reserved482_IRQHandler     [WEAK]
                EXPORT  Reserved483_IRQHandler     [WEAK]
                EXPORT  Reserved484_IRQHandler     [WEAK]
                EXPORT  Reserved485_IRQHandler     [WEAK]
                EXPORT  Reserved486_IRQHandler     [WEAK]
                EXPORT  Reserved487_IRQHandler     [WEAK]
                EXPORT  Reserved488_IRQHandler     [WEAK]
                EXPORT  Reserved489_IRQHandler     [WEAK]
                EXPORT  Reserved490_IRQHandler     [WEAK]
                EXPORT  Reserved491_IRQHandler     [WEAK]
                EXPORT  Reserved492_IRQHandler     [WEAK]
                EXPORT  Reserved493_IRQHandler     [WEAK]
                EXPORT  Reserved494_IRQHandler     [WEAK]
                EXPORT  Reserved495_IRQHandler     [WEAK]
                EXPORT  Reserved496_IRQHandler     [WEAK]
                EXPORT  Reserved497_IRQHandler     [WEAK]
                EXPORT  Reserved498_IRQHandler     [WEAK]
                EXPORT  Reserved499_IRQHandler     [WEAK]
                EXPORT  Reserved500_IRQHandler     [WEAK]
                EXPORT  Reserved501_IRQHandler     [WEAK]
                EXPORT  Reserved502_IRQHandler     [WEAK]
                EXPORT  Reserved503_IRQHandler     [WEAK]
                EXPORT  Reserved504_IRQHandler     [WEAK]
                EXPORT  Reserved505_IRQHandler     [WEAK]
                EXPORT  Reserved506_IRQHandler     [WEAK]
                EXPORT  Reserved507_IRQHandler     [WEAK]
                EXPORT  Reserved508_IRQHandler     [WEAK]
                EXPORT  Reserved509_IRQHandler     [WEAK]
                EXPORT  Reserved510_IRQHandler     [WEAK]
                EXPORT  Reserved511_IRQHandler     [WEAK]
                EXPORT  Reserved512_IRQHandler     [WEAK]
                EXPORT  Reserved513_IRQHandler     [WEAK]
                EXPORT  Reserved514_IRQHandler     [WEAK]
                EXPORT  Reserved515_IRQHandler     [WEAK]
                EXPORT  Reserved516_IRQHandler     [WEAK]
                EXPORT  Reserved517_IRQHandler     [WEAK]
                EXPORT  Reserved518_IRQHandler     [WEAK]
                EXPORT  Reserved519_IRQHandler     [WEAK]
                EXPORT  Reserved520_IRQHandler     [WEAK]
                EXPORT  Reserved521_IRQHandler     [WEAK]
                EXPORT  Reserved522_IRQHandler     [WEAK]
                EXPORT  Reserved523_IRQHandler     [WEAK]
                EXPORT  Reserved524_IRQHandler     [WEAK]
                EXPORT  Reserved525_IRQHandler     [WEAK]
                EXPORT  Reserved526_IRQHandler     [WEAK]
                EXPORT  Reserved527_IRQHandler     [WEAK]
                EXPORT  Reserved528_IRQHandler     [WEAK]
                EXPORT  Reserved529_IRQHandler     [WEAK]
                EXPORT  Reserved530_IRQHandler     [WEAK]
                EXPORT  Reserved531_IRQHandler     [WEAK]
                EXPORT  Reserved532_IRQHandler     [WEAK]
                EXPORT  Reserved533_IRQHandler     [WEAK]
                EXPORT  Reserved534_IRQHandler     [WEAK]
                EXPORT  Reserved535_IRQHandler     [WEAK]
                EXPORT  Reserved536_IRQHandler     [WEAK]
                EXPORT  Reserved537_IRQHandler     [WEAK]
                EXPORT  Reserved538_IRQHandler     [WEAK]
                EXPORT  Reserved539_IRQHandler     [WEAK]
                EXPORT  Reserved540_IRQHandler     [WEAK]
                EXPORT  Reserved541_IRQHandler     [WEAK]
                EXPORT  Reserved542_IRQHandler     [WEAK]
                EXPORT  Reserved543_IRQHandler     [WEAK]
                EXPORT  Reserved544_IRQHandler     [WEAK]
                EXPORT  Reserved545_IRQHandler     [WEAK]
                EXPORT  Reserved546_IRQHandler     [WEAK]
                EXPORT  Reserved547_IRQHandler     [WEAK]
                EXPORT  Reserved548_IRQHandler     [WEAK]
                EXPORT  Reserved549_IRQHandler     [WEAK]
                EXPORT  Reserved550_IRQHandler     [WEAK]
                EXPORT  Reserved551_IRQHandler     [WEAK]
                EXPORT  Reserved552_IRQHandler     [WEAK]
                EXPORT  Reserved553_IRQHandler     [WEAK]
                EXPORT  Reserved554_IRQHandler     [WEAK]
                EXPORT  Reserved555_IRQHandler     [WEAK]
                EXPORT  Reserved556_IRQHandler     [WEAK]
                EXPORT  Reserved557_IRQHandler     [WEAK]
                EXPORT  Reserved558_IRQHandler     [WEAK]
                EXPORT  Reserved559_IRQHandler     [WEAK]
                EXPORT  Reserved560_IRQHandler     [WEAK]
                EXPORT  Reserved561_IRQHandler     [WEAK]
                EXPORT  Reserved562_IRQHandler     [WEAK]
                EXPORT  Reserved563_IRQHandler     [WEAK]
                EXPORT  Reserved564_IRQHandler     [WEAK]
                EXPORT  Reserved565_IRQHandler     [WEAK]
                EXPORT  Reserved566_IRQHandler     [WEAK]
                EXPORT  Reserved567_IRQHandler     [WEAK]
                EXPORT  Reserved568_IRQHandler     [WEAK]
                EXPORT  Reserved569_IRQHandler     [WEAK]
                EXPORT  Reserved570_IRQHandler     [WEAK]
                EXPORT  Reserved571_IRQHandler     [WEAK]
                EXPORT  Reserved572_IRQHandler     [WEAK]
                EXPORT  Reserved573_IRQHandler     [WEAK]
                EXPORT  Reserved574_IRQHandler     [WEAK]
                EXPORT  Reserved575_IRQHandler     [WEAK]
                EXPORT  Reserved576_IRQHandler     [WEAK]
                EXPORT  Reserved577_IRQHandler     [WEAK]
                EXPORT  Reserved578_IRQHandler     [WEAK]
                EXPORT  Reserved579_IRQHandler     [WEAK]
                EXPORT  Reserved580_IRQHandler     [WEAK]
                EXPORT  Reserved581_IRQHandler     [WEAK]
                EXPORT  Reserved582_IRQHandler     [WEAK]
                EXPORT  Reserved583_IRQHandler     [WEAK]
                EXPORT  Reserved584_IRQHandler     [WEAK]
                EXPORT  Reserved585_IRQHandler     [WEAK]
                EXPORT  Reserved586_IRQHandler     [WEAK]
                EXPORT  Reserved587_IRQHandler     [WEAK]
                EXPORT  Reserved588_IRQHandler     [WEAK]
                EXPORT  Reserved589_IRQHandler     [WEAK]
                EXPORT  Reserved590_IRQHandler     [WEAK]
                EXPORT  Reserved591_IRQHandler     [WEAK]
                EXPORT  Reserved592_IRQHandler     [WEAK]
                EXPORT  Reserved593_IRQHandler     [WEAK]
                EXPORT  Reserved594_IRQHandler     [WEAK]
                EXPORT  Reserved595_IRQHandler     [WEAK]
                EXPORT  Reserved596_IRQHandler     [WEAK]
                EXPORT  Reserved597_IRQHandler     [WEAK]
                EXPORT  Reserved598_IRQHandler     [WEAK]
                EXPORT  Reserved599_IRQHandler     [WEAK]
                EXPORT  Reserved600_IRQHandler     [WEAK]
                EXPORT  Reserved601_IRQHandler     [WEAK]
                EXPORT  Reserved602_IRQHandler     [WEAK]
                EXPORT  Reserved603_IRQHandler     [WEAK]
                EXPORT  Reserved604_IRQHandler     [WEAK]
                EXPORT  Reserved605_IRQHandler     [WEAK]
                EXPORT  Reserved606_IRQHandler     [WEAK]
                EXPORT  Reserved607_IRQHandler     [WEAK]
                EXPORT  Reserved608_IRQHandler     [WEAK]
                EXPORT  Reserved609_IRQHandler     [WEAK]
                EXPORT  Reserved610_IRQHandler     [WEAK]
                EXPORT  Reserved611_IRQHandler     [WEAK]
                EXPORT  Reserved612_IRQHandler     [WEAK]
                EXPORT  Reserved613_IRQHandler     [WEAK]
                EXPORT  Reserved614_IRQHandler     [WEAK]
                EXPORT  Reserved615_IRQHandler     [WEAK]
                EXPORT  Reserved616_IRQHandler     [WEAK]
                EXPORT  Reserved617_IRQHandler     [WEAK]
                EXPORT  Reserved618_IRQHandler     [WEAK]
                EXPORT  Reserved619_IRQHandler     [WEAK]
                EXPORT  Reserved620_IRQHandler     [WEAK]
                EXPORT  Reserved621_IRQHandler     [WEAK]
                EXPORT  Reserved622_IRQHandler     [WEAK]
                EXPORT  Reserved623_IRQHandler     [WEAK]
                EXPORT  Reserved624_IRQHandler     [WEAK]
                EXPORT  Reserved625_IRQHandler     [WEAK]
                EXPORT  Reserved626_IRQHandler     [WEAK]
                EXPORT  Reserved627_IRQHandler     [WEAK]
                EXPORT  Reserved628_IRQHandler     [WEAK]
                EXPORT  Reserved629_IRQHandler     [WEAK]
                EXPORT  Reserved630_IRQHandler     [WEAK]
                EXPORT  Reserved631_IRQHandler     [WEAK]
                EXPORT  Reserved632_IRQHandler     [WEAK]
                EXPORT  Reserved633_IRQHandler     [WEAK]
                EXPORT  Reserved634_IRQHandler     [WEAK]
                EXPORT  Reserved635_IRQHandler     [WEAK]
                EXPORT  Reserved636_IRQHandler     [WEAK]
                EXPORT  Reserved637_IRQHandler     [WEAK]
                EXPORT  Reserved638_IRQHandler     [WEAK]
                EXPORT  Reserved639_IRQHandler     [WEAK]
                EXPORT  Reserved640_IRQHandler     [WEAK]
                EXPORT  Reserved641_IRQHandler     [WEAK]
                EXPORT  Reserved642_IRQHandler     [WEAK]
                EXPORT  Reserved643_IRQHandler     [WEAK]
                EXPORT  Reserved644_IRQHandler     [WEAK]
                EXPORT  Reserved645_IRQHandler     [WEAK]
                EXPORT  Reserved646_IRQHandler     [WEAK]
                EXPORT  Reserved647_IRQHandler     [WEAK]
                EXPORT  Reserved648_IRQHandler     [WEAK]
                EXPORT  Reserved649_IRQHandler     [WEAK]
                EXPORT  Reserved650_IRQHandler     [WEAK]
                EXPORT  Reserved651_IRQHandler     [WEAK]
                EXPORT  Reserved652_IRQHandler     [WEAK]
                EXPORT  Reserved653_IRQHandler     [WEAK]
                EXPORT  Reserved654_IRQHandler     [WEAK]
                EXPORT  Reserved655_IRQHandler     [WEAK]
                EXPORT  Reserved656_IRQHandler     [WEAK]
                EXPORT  Reserved657_IRQHandler     [WEAK]
                EXPORT  Reserved658_IRQHandler     [WEAK]
                EXPORT  Reserved659_IRQHandler     [WEAK]
                EXPORT  Reserved660_IRQHandler     [WEAK]
                EXPORT  Reserved661_IRQHandler     [WEAK]
                EXPORT  Reserved662_IRQHandler     [WEAK]
                EXPORT  Reserved663_IRQHandler     [WEAK]
                EXPORT  Reserved664_IRQHandler     [WEAK]
                EXPORT  Reserved665_IRQHandler     [WEAK]
                EXPORT  Reserved666_IRQHandler     [WEAK]
                EXPORT  Reserved667_IRQHandler     [WEAK]
                EXPORT  Reserved668_IRQHandler     [WEAK]
                EXPORT  Reserved669_IRQHandler     [WEAK]
                EXPORT  Reserved670_IRQHandler     [WEAK]
                EXPORT  Reserved671_IRQHandler     [WEAK]
                EXPORT  Reserved672_IRQHandler     [WEAK]
                EXPORT  Reserved673_IRQHandler     [WEAK]
                EXPORT  Reserved674_IRQHandler     [WEAK]
                EXPORT  Reserved675_IRQHandler     [WEAK]
                EXPORT  Reserved676_IRQHandler     [WEAK]
                EXPORT  Reserved677_IRQHandler     [WEAK]
                EXPORT  Reserved678_IRQHandler     [WEAK]
                EXPORT  Reserved679_IRQHandler     [WEAK]
                EXPORT  Reserved680_IRQHandler     [WEAK]
                EXPORT  Reserved681_IRQHandler     [WEAK]
                EXPORT  Reserved682_IRQHandler     [WEAK]
                EXPORT  Reserved683_IRQHandler     [WEAK]
                EXPORT  Reserved684_IRQHandler     [WEAK]
                EXPORT  Reserved685_IRQHandler     [WEAK]
                EXPORT  Reserved686_IRQHandler     [WEAK]
                EXPORT  Reserved687_IRQHandler     [WEAK]
                EXPORT  Reserved688_IRQHandler     [WEAK]
                EXPORT  Reserved689_IRQHandler     [WEAK]
                EXPORT  Reserved690_IRQHandler     [WEAK]
                EXPORT  Reserved691_IRQHandler     [WEAK]
                EXPORT  Reserved692_IRQHandler     [WEAK]
                EXPORT  Reserved693_IRQHandler     [WEAK]
                EXPORT  Reserved694_IRQHandler     [WEAK]
                EXPORT  Reserved695_IRQHandler     [WEAK]
                EXPORT  Reserved696_IRQHandler     [WEAK]
                EXPORT  Reserved697_IRQHandler     [WEAK]
                EXPORT  Reserved698_IRQHandler     [WEAK]
                EXPORT  Reserved699_IRQHandler     [WEAK]
                EXPORT  Reserved700_IRQHandler     [WEAK]
                EXPORT  Reserved701_IRQHandler     [WEAK]
                EXPORT  Reserved702_IRQHandler     [WEAK]
                EXPORT  Reserved703_IRQHandler     [WEAK]
                EXPORT  Reserved704_IRQHandler     [WEAK]
                EXPORT  Reserved705_IRQHandler     [WEAK]
                EXPORT  Reserved706_IRQHandler     [WEAK]
                EXPORT  Reserved707_IRQHandler     [WEAK]
                EXPORT  Reserved708_IRQHandler     [WEAK]
                EXPORT  Reserved709_IRQHandler     [WEAK]
                EXPORT  Reserved710_IRQHandler     [WEAK]
                EXPORT  Reserved711_IRQHandler     [WEAK]
                EXPORT  Reserved712_IRQHandler     [WEAK]
                EXPORT  Reserved713_IRQHandler     [WEAK]
                EXPORT  Reserved714_IRQHandler     [WEAK]
                EXPORT  Reserved715_IRQHandler     [WEAK]
                EXPORT  Reserved716_IRQHandler     [WEAK]
                EXPORT  Reserved717_IRQHandler     [WEAK]
                EXPORT  Reserved718_IRQHandler     [WEAK]
                EXPORT  Reserved719_IRQHandler     [WEAK]
                EXPORT  Reserved720_IRQHandler     [WEAK]
                EXPORT  Reserved721_IRQHandler     [WEAK]
                EXPORT  Reserved722_IRQHandler     [WEAK]
                EXPORT  Reserved723_IRQHandler     [WEAK]
                EXPORT  Reserved724_IRQHandler     [WEAK]
                EXPORT  Reserved725_IRQHandler     [WEAK]
                EXPORT  Reserved726_IRQHandler     [WEAK]
                EXPORT  Reserved727_IRQHandler     [WEAK]
                EXPORT  Reserved728_IRQHandler     [WEAK]
                EXPORT  Reserved729_IRQHandler     [WEAK]
                EXPORT  Reserved730_IRQHandler     [WEAK]
                EXPORT  Reserved731_IRQHandler     [WEAK]
                EXPORT  Reserved732_IRQHandler     [WEAK]
                EXPORT  Reserved733_IRQHandler     [WEAK]
                EXPORT  Reserved734_IRQHandler     [WEAK]
                EXPORT  Reserved735_IRQHandler     [WEAK]
                EXPORT  Reserved736_IRQHandler     [WEAK]
                EXPORT  Reserved737_IRQHandler     [WEAK]
                EXPORT  Reserved738_IRQHandler     [WEAK]
                EXPORT  Reserved739_IRQHandler     [WEAK]
                EXPORT  Reserved740_IRQHandler     [WEAK]
                EXPORT  Reserved741_IRQHandler     [WEAK]
                EXPORT  Reserved742_IRQHandler     [WEAK]
                EXPORT  Reserved743_IRQHandler     [WEAK]
                EXPORT  Reserved744_IRQHandler     [WEAK]
                EXPORT  Reserved745_IRQHandler     [WEAK]
                EXPORT  Reserved746_IRQHandler     [WEAK]
                EXPORT  Reserved747_IRQHandler     [WEAK]
                EXPORT  Reserved748_IRQHandler     [WEAK]
                EXPORT  Reserved749_IRQHandler     [WEAK]
                EXPORT  Reserved750_IRQHandler     [WEAK]
                EXPORT  Reserved751_IRQHandler     [WEAK]
                EXPORT  Reserved752_IRQHandler     [WEAK]
                EXPORT  Reserved753_IRQHandler     [WEAK]
                EXPORT  Reserved754_IRQHandler     [WEAK]
                EXPORT  Reserved755_IRQHandler     [WEAK]
                EXPORT  Reserved756_IRQHandler     [WEAK]
                EXPORT  Reserved757_IRQHandler     [WEAK]
                EXPORT  Reserved758_IRQHandler     [WEAK]
                EXPORT  Reserved759_IRQHandler     [WEAK]
                EXPORT  Reserved760_IRQHandler     [WEAK]
                EXPORT  Reserved761_IRQHandler     [WEAK]
                EXPORT  Reserved762_IRQHandler     [WEAK]
                EXPORT  Reserved763_IRQHandler     [WEAK]
                EXPORT  Reserved764_IRQHandler     [WEAK]
                EXPORT  Reserved765_IRQHandler     [WEAK]
                EXPORT  Reserved766_IRQHandler     [WEAK]
                EXPORT  Reserved767_IRQHandler     [WEAK]
                EXPORT  Reserved768_IRQHandler     [WEAK]
                EXPORT  Reserved769_IRQHandler     [WEAK]
                EXPORT  Reserved770_IRQHandler     [WEAK]
                EXPORT  Reserved771_IRQHandler     [WEAK]
                EXPORT  Reserved772_IRQHandler     [WEAK]
                EXPORT  Reserved773_IRQHandler     [WEAK]
                EXPORT  Reserved774_IRQHandler     [WEAK]
                EXPORT  Reserved775_IRQHandler     [WEAK]
                EXPORT  Reserved776_IRQHandler     [WEAK]
                EXPORT  Reserved777_IRQHandler     [WEAK]
                EXPORT  Reserved778_IRQHandler     [WEAK]
                EXPORT  Reserved779_IRQHandler     [WEAK]
                EXPORT  Reserved780_IRQHandler     [WEAK]
                EXPORT  Reserved781_IRQHandler     [WEAK]
                EXPORT  Reserved782_IRQHandler     [WEAK]
                EXPORT  Reserved783_IRQHandler     [WEAK]
                EXPORT  Reserved784_IRQHandler     [WEAK]
                EXPORT  Reserved785_IRQHandler     [WEAK]
                EXPORT  Reserved786_IRQHandler     [WEAK]
                EXPORT  Reserved787_IRQHandler     [WEAK]
                EXPORT  Reserved788_IRQHandler     [WEAK]
                EXPORT  Reserved789_IRQHandler     [WEAK]
                EXPORT  Reserved790_IRQHandler     [WEAK]
                EXPORT  Reserved791_IRQHandler     [WEAK]
                EXPORT  Reserved792_IRQHandler     [WEAK]
                EXPORT  Reserved793_IRQHandler     [WEAK]
                EXPORT  Reserved794_IRQHandler     [WEAK]
                EXPORT  Reserved795_IRQHandler     [WEAK]
                EXPORT  Reserved796_IRQHandler     [WEAK]
                EXPORT  Reserved797_IRQHandler     [WEAK]
                EXPORT  Reserved798_IRQHandler     [WEAK]
                EXPORT  Reserved799_IRQHandler     [WEAK]
                EXPORT  Reserved800_IRQHandler     [WEAK]
                EXPORT  Reserved801_IRQHandler     [WEAK]
                EXPORT  Reserved802_IRQHandler     [WEAK]
                EXPORT  Reserved803_IRQHandler     [WEAK]
                EXPORT  Reserved804_IRQHandler     [WEAK]
                EXPORT  Reserved805_IRQHandler     [WEAK]
                EXPORT  Reserved806_IRQHandler     [WEAK]
                EXPORT  Reserved807_IRQHandler     [WEAK]
                EXPORT  Reserved808_IRQHandler     [WEAK]
                EXPORT  Reserved809_IRQHandler     [WEAK]
                EXPORT  Reserved810_IRQHandler     [WEAK]
                EXPORT  Reserved811_IRQHandler     [WEAK]
                EXPORT  Reserved812_IRQHandler     [WEAK]
                EXPORT  Reserved813_IRQHandler     [WEAK]
                EXPORT  Reserved814_IRQHandler     [WEAK]
                EXPORT  Reserved815_IRQHandler     [WEAK]
                EXPORT  Reserved816_IRQHandler     [WEAK]
                EXPORT  Reserved817_IRQHandler     [WEAK]
                EXPORT  Reserved818_IRQHandler     [WEAK]
                EXPORT  Reserved819_IRQHandler     [WEAK]
                EXPORT  Reserved820_IRQHandler     [WEAK]
                EXPORT  Reserved821_IRQHandler     [WEAK]
                EXPORT  Reserved822_IRQHandler     [WEAK]
                EXPORT  Reserved823_IRQHandler     [WEAK]
                EXPORT  Reserved824_IRQHandler     [WEAK]
                EXPORT  Reserved825_IRQHandler     [WEAK]
                EXPORT  Reserved826_IRQHandler     [WEAK]
                EXPORT  Reserved827_IRQHandler     [WEAK]
                EXPORT  Reserved828_IRQHandler     [WEAK]
                EXPORT  Reserved829_IRQHandler     [WEAK]
                EXPORT  Reserved830_IRQHandler     [WEAK]
                EXPORT  Reserved831_IRQHandler     [WEAK]
                EXPORT  Reserved832_IRQHandler     [WEAK]
                EXPORT  Reserved833_IRQHandler     [WEAK]
                EXPORT  Reserved834_IRQHandler     [WEAK]
                EXPORT  Reserved835_IRQHandler     [WEAK]
                EXPORT  Reserved836_IRQHandler     [WEAK]
                EXPORT  Reserved837_IRQHandler     [WEAK]
                EXPORT  Reserved838_IRQHandler     [WEAK]
                EXPORT  Reserved839_IRQHandler     [WEAK]
                EXPORT  Reserved840_IRQHandler     [WEAK]
                EXPORT  Reserved841_IRQHandler     [WEAK]
                EXPORT  Reserved842_IRQHandler     [WEAK]
                EXPORT  Reserved843_IRQHandler     [WEAK]
                EXPORT  Reserved844_IRQHandler     [WEAK]
                EXPORT  Reserved845_IRQHandler     [WEAK]
                EXPORT  Reserved846_IRQHandler     [WEAK]
                EXPORT  Reserved847_IRQHandler     [WEAK]
                EXPORT  Reserved848_IRQHandler     [WEAK]
                EXPORT  Reserved849_IRQHandler     [WEAK]
                EXPORT  Reserved850_IRQHandler     [WEAK]
                EXPORT  Reserved851_IRQHandler     [WEAK]
                EXPORT  Reserved852_IRQHandler     [WEAK]
                EXPORT  Reserved853_IRQHandler     [WEAK]
                EXPORT  Reserved854_IRQHandler     [WEAK]
                EXPORT  Reserved855_IRQHandler     [WEAK]
                EXPORT  Reserved856_IRQHandler     [WEAK]
                EXPORT  Reserved857_IRQHandler     [WEAK]
                EXPORT  Reserved858_IRQHandler     [WEAK]
                EXPORT  Reserved859_IRQHandler     [WEAK]
                EXPORT  Reserved860_IRQHandler     [WEAK]
                EXPORT  Reserved861_IRQHandler     [WEAK]
                EXPORT  Reserved862_IRQHandler     [WEAK]
                EXPORT  Reserved863_IRQHandler     [WEAK]
                EXPORT  Reserved864_IRQHandler     [WEAK]
                EXPORT  Reserved865_IRQHandler     [WEAK]
                EXPORT  Reserved866_IRQHandler     [WEAK]
                EXPORT  Reserved867_IRQHandler     [WEAK]
                EXPORT  Reserved868_IRQHandler     [WEAK]
                EXPORT  Reserved869_IRQHandler     [WEAK]
                EXPORT  Reserved870_IRQHandler     [WEAK]
                EXPORT  Reserved871_IRQHandler     [WEAK]
                EXPORT  Reserved872_IRQHandler     [WEAK]
                EXPORT  Reserved873_IRQHandler     [WEAK]
                EXPORT  Reserved874_IRQHandler     [WEAK]
                EXPORT  Reserved875_IRQHandler     [WEAK]
                EXPORT  Reserved876_IRQHandler     [WEAK]
                EXPORT  Reserved877_IRQHandler     [WEAK]
                EXPORT  Reserved878_IRQHandler     [WEAK]
                EXPORT  Reserved879_IRQHandler     [WEAK]
                EXPORT  Reserved880_IRQHandler     [WEAK]
                EXPORT  Reserved881_IRQHandler     [WEAK]
                EXPORT  Reserved882_IRQHandler     [WEAK]
                EXPORT  Reserved883_IRQHandler     [WEAK]
                EXPORT  Reserved884_IRQHandler     [WEAK]
                EXPORT  Reserved885_IRQHandler     [WEAK]
                EXPORT  Reserved886_IRQHandler     [WEAK]
                EXPORT  Reserved887_IRQHandler     [WEAK]
                EXPORT  Reserved888_IRQHandler     [WEAK]
                EXPORT  Reserved889_IRQHandler     [WEAK]
                EXPORT  Reserved890_IRQHandler     [WEAK]
                EXPORT  Reserved891_IRQHandler     [WEAK]
                EXPORT  Reserved892_IRQHandler     [WEAK]
                EXPORT  Reserved893_IRQHandler     [WEAK]
                EXPORT  Reserved894_IRQHandler     [WEAK]
                EXPORT  Reserved895_IRQHandler     [WEAK]
                EXPORT  Reserved896_IRQHandler     [WEAK]
                EXPORT  Reserved897_IRQHandler     [WEAK]
                EXPORT  Reserved898_IRQHandler     [WEAK]
                EXPORT  Reserved899_IRQHandler     [WEAK]
                EXPORT  Reserved900_IRQHandler     [WEAK]
                EXPORT  Reserved901_IRQHandler     [WEAK]
                EXPORT  Reserved902_IRQHandler     [WEAK]
                EXPORT  Reserved903_IRQHandler     [WEAK]
                EXPORT  Reserved904_IRQHandler     [WEAK]
                EXPORT  Reserved905_IRQHandler     [WEAK]
                EXPORT  Reserved906_IRQHandler     [WEAK]
                EXPORT  Reserved907_IRQHandler     [WEAK]
                EXPORT  Reserved908_IRQHandler     [WEAK]
                EXPORT  Reserved909_IRQHandler     [WEAK]
                EXPORT  Reserved910_IRQHandler     [WEAK]
                EXPORT  Reserved911_IRQHandler     [WEAK]
                EXPORT  Reserved912_IRQHandler     [WEAK]
                EXPORT  Reserved913_IRQHandler     [WEAK]
                EXPORT  Reserved914_IRQHandler     [WEAK]
                EXPORT  Reserved915_IRQHandler     [WEAK]
                EXPORT  Reserved916_IRQHandler     [WEAK]
                EXPORT  Reserved917_IRQHandler     [WEAK]
                EXPORT  Reserved918_IRQHandler     [WEAK]
                EXPORT  Reserved919_IRQHandler     [WEAK]
                EXPORT  Reserved920_IRQHandler     [WEAK]
                EXPORT  Reserved921_IRQHandler     [WEAK]
                EXPORT  Reserved922_IRQHandler     [WEAK]
                EXPORT  Reserved923_IRQHandler     [WEAK]
                EXPORT  Reserved924_IRQHandler     [WEAK]
                EXPORT  Reserved925_IRQHandler     [WEAK]
                EXPORT  Reserved926_IRQHandler     [WEAK]
                EXPORT  Reserved927_IRQHandler     [WEAK]
                EXPORT  Reserved928_IRQHandler     [WEAK]
                EXPORT  Reserved929_IRQHandler     [WEAK]
                EXPORT  Reserved930_IRQHandler     [WEAK]
                EXPORT  Reserved931_IRQHandler     [WEAK]
                EXPORT  Reserved932_IRQHandler     [WEAK]
                EXPORT  Reserved933_IRQHandler     [WEAK]
                EXPORT  Reserved934_IRQHandler     [WEAK]
                EXPORT  Reserved935_IRQHandler     [WEAK]
                EXPORT  Reserved936_IRQHandler     [WEAK]
                EXPORT  Reserved937_IRQHandler     [WEAK]
                EXPORT  Reserved938_IRQHandler     [WEAK]
                EXPORT  Reserved939_IRQHandler     [WEAK]
                EXPORT  Reserved940_IRQHandler     [WEAK]
                EXPORT  Reserved941_IRQHandler     [WEAK]
                EXPORT  Reserved942_IRQHandler     [WEAK]
                EXPORT  Reserved943_IRQHandler     [WEAK]
                EXPORT  Reserved944_IRQHandler     [WEAK]
                EXPORT  Reserved945_IRQHandler     [WEAK]
                EXPORT  Reserved946_IRQHandler     [WEAK]
                EXPORT  Reserved947_IRQHandler     [WEAK]
                EXPORT  Reserved948_IRQHandler     [WEAK]
                EXPORT  Reserved949_IRQHandler     [WEAK]
                EXPORT  Reserved950_IRQHandler     [WEAK]
                EXPORT  Reserved951_IRQHandler     [WEAK]
                EXPORT  Reserved952_IRQHandler     [WEAK]
                EXPORT  Reserved953_IRQHandler     [WEAK]
                EXPORT  Reserved954_IRQHandler     [WEAK]
                EXPORT  Reserved955_IRQHandler     [WEAK]
                EXPORT  Reserved956_IRQHandler     [WEAK]
                EXPORT  Reserved957_IRQHandler     [WEAK]
                EXPORT  Reserved958_IRQHandler     [WEAK]
                EXPORT  Reserved959_IRQHandler     [WEAK]
                EXPORT  Reserved960_IRQHandler     [WEAK]
                EXPORT  Reserved961_IRQHandler     [WEAK]
                EXPORT  Reserved962_IRQHandler     [WEAK]
                EXPORT  Reserved963_IRQHandler     [WEAK]
                EXPORT  Reserved964_IRQHandler     [WEAK]
                EXPORT  Reserved965_IRQHandler     [WEAK]
                EXPORT  Reserved966_IRQHandler     [WEAK]
                EXPORT  Reserved967_IRQHandler     [WEAK]
                EXPORT  Reserved968_IRQHandler     [WEAK]
                EXPORT  Reserved969_IRQHandler     [WEAK]
                EXPORT  Reserved970_IRQHandler     [WEAK]
                EXPORT  Reserved971_IRQHandler     [WEAK]
                EXPORT  Reserved972_IRQHandler     [WEAK]
                EXPORT  Reserved973_IRQHandler     [WEAK]
                EXPORT  Reserved974_IRQHandler     [WEAK]
                EXPORT  Reserved975_IRQHandler     [WEAK]
                EXPORT  Reserved976_IRQHandler     [WEAK]
                EXPORT  Reserved977_IRQHandler     [WEAK]
                EXPORT  Reserved978_IRQHandler     [WEAK]
                EXPORT  Reserved979_IRQHandler     [WEAK]
                EXPORT  Reserved980_IRQHandler     [WEAK]
                EXPORT  Reserved981_IRQHandler     [WEAK]
                EXPORT  Reserved982_IRQHandler     [WEAK]
                EXPORT  Reserved983_IRQHandler     [WEAK]
                EXPORT  Reserved984_IRQHandler     [WEAK]
                EXPORT  Reserved985_IRQHandler     [WEAK]
                EXPORT  Reserved986_IRQHandler     [WEAK]
                EXPORT  Reserved987_IRQHandler     [WEAK]
                EXPORT  Reserved988_IRQHandler     [WEAK]
                EXPORT  Reserved989_IRQHandler     [WEAK]
                EXPORT  Reserved990_IRQHandler     [WEAK]
                EXPORT  Reserved991_IRQHandler     [WEAK]
                EXPORT  Reserved992_IRQHandler     [WEAK]
                EXPORT  Reserved993_IRQHandler     [WEAK]
                EXPORT  Reserved994_IRQHandler     [WEAK]
                EXPORT  Reserved995_IRQHandler     [WEAK]
                EXPORT  Reserved996_IRQHandler     [WEAK]
                EXPORT  Reserved997_IRQHandler     [WEAK]
                EXPORT  Reserved998_IRQHandler     [WEAK]
                EXPORT  Reserved999_IRQHandler     [WEAK]
                EXPORT  Reserved1000_IRQHandler     [WEAK]
                EXPORT  Reserved1001_IRQHandler     [WEAK]
                EXPORT  Reserved1002_IRQHandler     [WEAK]
                EXPORT  Reserved1003_IRQHandler     [WEAK]
                EXPORT  Reserved1004_IRQHandler     [WEAK]
                EXPORT  Reserved1005_IRQHandler     [WEAK]
                EXPORT  Reserved1006_IRQHandler     [WEAK]
                EXPORT  Reserved1007_IRQHandler     [WEAK]
                EXPORT  Reserved1008_IRQHandler     [WEAK]
                EXPORT  Reserved1009_IRQHandler     [WEAK]
                EXPORT  Reserved1010_IRQHandler     [WEAK]
                EXPORT  Reserved1011_IRQHandler     [WEAK]
                EXPORT  Reserved1012_IRQHandler     [WEAK]
                EXPORT  Reserved1013_IRQHandler     [WEAK]
                EXPORT  Reserved1014_IRQHandler     [WEAK]
                EXPORT  Reserved1015_IRQHandler     [WEAK]
                EXPORT  Reserved1016_IRQHandler     [WEAK]
                EXPORT  Reserved1017_IRQHandler     [WEAK]
                EXPORT  Reserved1018_IRQHandler     [WEAK]
                EXPORT  Reserved1019_IRQHandler     [WEAK]
                EXPORT  Reserved1020_IRQHandler     [WEAK]
                EXPORT  Reserved1021_IRQHandler     [WEAK]
                EXPORT  Reserved1022_IRQHandler     [WEAK]
                EXPORT  Reserved1023_IRQHandler     [WEAK]
                EXPORT  Reserved1024_IRQHandler     [WEAK]
                EXPORT  Reserved1025_IRQHandler     [WEAK]
                EXPORT  Reserved1026_IRQHandler     [WEAK]
                EXPORT  Reserved1027_IRQHandler     [WEAK]
                EXPORT  Reserved1028_IRQHandler     [WEAK]
                EXPORT  Reserved1029_IRQHandler     [WEAK]
                EXPORT  Reserved1030_IRQHandler     [WEAK]
                EXPORT  Reserved1031_IRQHandler     [WEAK]
                EXPORT  Reserved1032_IRQHandler     [WEAK]
                EXPORT  Reserved1033_IRQHandler     [WEAK]
                EXPORT  Reserved1034_IRQHandler     [WEAK]
                EXPORT  Reserved1035_IRQHandler     [WEAK]
                EXPORT  Reserved1036_IRQHandler     [WEAK]
                EXPORT  Reserved1037_IRQHandler     [WEAK]
                EXPORT  Reserved1038_IRQHandler     [WEAK]
                EXPORT  Reserved1039_IRQHandler     [WEAK]
                EXPORT  GIC_Spurious1023_IRQHandler     [WEAK]
                EXPORT  DefaultISR                      [WEAK]

GIC_SGI0_IRQHandler
GIC_SGI1_IRQHandler
GIC_SGI2_IRQHandler
GIC_SGI3_IRQHandler
GIC_SGI4_IRQHandler
GIC_SGI5_IRQHandler
GIC_SGI6_IRQHandler
GIC_SGI7_IRQHandler
GIC_SGI8_IRQHandler
GIC_SGI9_IRQHandler
GIC_SGI10_IRQHandler
GIC_SGI11_IRQHandler
GIC_SGI12_IRQHandler
GIC_SGI13_IRQHandler
GIC_SGI14_IRQHandler
GIC_SGI15_IRQHandler
GIC_PPI0_IRQHandler
GIC_PPI1_IRQHandler
GIC_PPI2_IRQHandler
GIC_PPI3_IRQHandler
GIC_PPI4_IRQHandler
GIC_PPI5_IRQHandler
GIC_PPI6_IRQHandler
GIC_PPI7_IRQHandler
GIC_PPI8_IRQHandler
GIC_PPI9_IRQHandler
GIC_PPI10_IRQHandler
GIC_GlobalTimer_IRQHandler
GIC_Legacy_nFIQ_IRQHandler
GIC_CoreTimer_IRQHandler
GIC_CoreWatchdog_IRQHandler
GIC_Legacy_nIRQ_IRQHandler
GIC_CPU_to_CPU_int0_IRQHandler
GIC_CPU_to_CPU_int1_IRQHandler
GIC_CPU_to_CPU_int2_IRQHandler
GIC_CPU_to_CPU_int3_IRQHandler
GIC_Dir_CA5_int0_IRQHandler
GIC_Dir_CA5_int1_IRQHandler
GIC_Dir_CA5_int2_IRQHandler
GIC_Dir_CA5_int3_IRQHandler
GIC_DMA0_Transfer_Complete_IRQHandler
GIC_DMA0_Error_IRQHandler
GIC_DMA1_Transfer_Complete_IRQHandler
GIC_DMA1_Error_IRQHandler
GIC_Reserved44_IRQHandler
GIC_Reserved45_IRQHandler
GIC_MSCM_ECC0_IRQHandler
GIC_MSCM_ECC1_IRQHandler
GIC_Reserved48_IRQHandler
GIC_Reserved49_IRQHandler
GIC_Reserved50_IRQHandler
GIC_Reserved51_IRQHandler
GIC_WDOG_A5_IRQHandler
GIC_Reserved53_IRQHandler
GIC_Reserved54_IRQHandler
GIC_Reserved55_IRQHandler
GIC_QuadSPI0_IRQHandler
GIC_QuadSPI1_IRQHandler
GIC_DDRMC_IRQHandler
GIC_SDHC0_IRQHandler
GIC_SDHC1_IRQHandler
GIC_Reserved61_IRQHandler
GIC_DCU0_IRQHandler
GIC_DCU1_IRQHandler
GIC_VIU_IRQHandler
GIC_Reserved65_IRQHandler
GIC_Reserved66_IRQHandler
GIC_RLE_IRQHandler
GIC_Reserved68_IRQHandler
GIC_Reserved69_IRQHandler
GIC_Reserved70_IRQHandler
GIC_PIT_IRQHandler
GIC_LPTimer0_IRQHandler
GIC_Reserved73_IRQHandler
GIC_FlexTimer0_IRQHandler
GIC_FlexTimer1_IRQHandler
GIC_FlexTimer2_IRQHandler
GIC_FlexTimer3_IRQHandler
GIC_Reserved78_IRQHandler
GIC_Reserved79_IRQHandler
GIC_Reserved80_IRQHandler
GIC_Reserved81_IRQHandler
GIC_USBPHY0_IRQHandler
GIC_USBPHY1_IRQHandler
GIC_Reserved84_IRQHandler
GIC_ADC0_IRQHandler
GIC_ADC1_IRQHandler
GIC_DAC0_IRQHandler
GIC_DAC1_IRQHandler
GIC_Reserved89_IRQHandler
GIC_FlexCAN0_IRQHandler
GIC_FlexCAN1_IRQHandler
GIC_Reserved92_IRQHandler
GIC_UART0_IRQHandler
GIC_UART1_IRQHandler
GIC_UART2_IRQHandler
GIC_UART3_IRQHandler
GIC_UART4_IRQHandler
GIC_UART5_IRQHandler
GIC_SPI0_IRQHandler
GIC_SPI1_IRQHandler
GIC_SPI2_IRQHandler
GIC_SPI3_IRQHandler
GIC_I2C0_IRQHandler
GIC_I2C1_IRQHandler
GIC_I2C2_IRQHandler
GIC_I2C3_IRQHandler
GIC_USB0_IRQHandler
GIC_USB1_IRQHandler
GIC_Reserved109_IRQHandler
GIC_ENET_MAC0_IRQHandler
GIC_ENET_MAC1_IRQHandler
GIC_ENET_1588_T0_IRQHandler
GIC_ENET_1588_T1_IRQHandler
GIC_ENET_Switch_IRQHandler
GIC_NFC_IRQHandler
GIC_SAI0_IRQHandler
GIC_SAI1_IRQHandler
GIC_SAI2_IRQHandler
GIC_SAI3_IRQHandler
GIC_ESAI_BIFIFO_IRQHandler
GIC_SPDIF_IRQHandler
GIC_ASRC_IRQHandler
GIC_VREG_IRQHandler
GIC_WKPU_IRQHandler
GIC_Reserved125_IRQHandler
GIC_CCM0_IRQHandler
GIC_CCM1_IRQHandler
GIC_SRC_IRQHandler
GIC_PDB_IRQHandler
GIC_EWM_IRQHandler
GIC_Reserved131_IRQHandler
GIC_Reserved132_IRQHandler
GIC_Reserved133_IRQHandler
GIC_Reserved134_IRQHandler
GIC_Reserved135_IRQHandler
GIC_Reserved136_IRQHandler
GIC_Reserved137_IRQHandler
GIC_Reserved138_IRQHandler
GIC_GPIO0_IRQHandler
GIC_GPIO1_IRQHandler
GIC_GPIO2_IRQHandler
GIC_GPIO3_IRQHandler
GIC_GPIO4_IRQHandler
Reserved160_IRQHandler
Reserved161_IRQHandler
Reserved162_IRQHandler
Reserved163_IRQHandler
Reserved164_IRQHandler
Reserved165_IRQHandler
Reserved166_IRQHandler
Reserved167_IRQHandler
Reserved168_IRQHandler
Reserved169_IRQHandler
Reserved170_IRQHandler
Reserved171_IRQHandler
Reserved172_IRQHandler
Reserved173_IRQHandler
Reserved174_IRQHandler
Reserved175_IRQHandler
Reserved176_IRQHandler
Reserved177_IRQHandler
Reserved178_IRQHandler
Reserved179_IRQHandler
Reserved180_IRQHandler
Reserved181_IRQHandler
Reserved182_IRQHandler
Reserved183_IRQHandler
Reserved184_IRQHandler
Reserved185_IRQHandler
Reserved186_IRQHandler
Reserved187_IRQHandler
Reserved188_IRQHandler
Reserved189_IRQHandler
Reserved190_IRQHandler
Reserved191_IRQHandler
Reserved192_IRQHandler
Reserved193_IRQHandler
Reserved194_IRQHandler
Reserved195_IRQHandler
Reserved196_IRQHandler
Reserved197_IRQHandler
Reserved198_IRQHandler
Reserved199_IRQHandler
Reserved200_IRQHandler
Reserved201_IRQHandler
Reserved202_IRQHandler
Reserved203_IRQHandler
Reserved204_IRQHandler
Reserved205_IRQHandler
Reserved206_IRQHandler
Reserved207_IRQHandler
Reserved208_IRQHandler
Reserved209_IRQHandler
Reserved210_IRQHandler
Reserved211_IRQHandler
Reserved212_IRQHandler
Reserved213_IRQHandler
Reserved214_IRQHandler
Reserved215_IRQHandler
Reserved216_IRQHandler
Reserved217_IRQHandler
Reserved218_IRQHandler
Reserved219_IRQHandler
Reserved220_IRQHandler
Reserved221_IRQHandler
Reserved222_IRQHandler
Reserved223_IRQHandler
Reserved224_IRQHandler
Reserved225_IRQHandler
Reserved226_IRQHandler
Reserved227_IRQHandler
Reserved228_IRQHandler
Reserved229_IRQHandler
Reserved230_IRQHandler
Reserved231_IRQHandler
Reserved232_IRQHandler
Reserved233_IRQHandler
Reserved234_IRQHandler
Reserved235_IRQHandler
Reserved236_IRQHandler
Reserved237_IRQHandler
Reserved238_IRQHandler
Reserved239_IRQHandler
Reserved240_IRQHandler
Reserved241_IRQHandler
Reserved242_IRQHandler
Reserved243_IRQHandler
Reserved244_IRQHandler
Reserved245_IRQHandler
Reserved246_IRQHandler
Reserved247_IRQHandler
Reserved248_IRQHandler
Reserved249_IRQHandler
Reserved250_IRQHandler
Reserved251_IRQHandler
Reserved252_IRQHandler
Reserved253_IRQHandler
Reserved254_IRQHandler
Reserved255_IRQHandler
Reserved256_IRQHandler
Reserved257_IRQHandler
Reserved258_IRQHandler
Reserved259_IRQHandler
Reserved260_IRQHandler
Reserved261_IRQHandler
Reserved262_IRQHandler
Reserved263_IRQHandler
Reserved264_IRQHandler
Reserved265_IRQHandler
Reserved266_IRQHandler
Reserved267_IRQHandler
Reserved268_IRQHandler
Reserved269_IRQHandler
Reserved270_IRQHandler
Reserved271_IRQHandler
Reserved272_IRQHandler
Reserved273_IRQHandler
Reserved274_IRQHandler
Reserved275_IRQHandler
Reserved276_IRQHandler
Reserved277_IRQHandler
Reserved278_IRQHandler
Reserved279_IRQHandler
Reserved280_IRQHandler
Reserved281_IRQHandler
Reserved282_IRQHandler
Reserved283_IRQHandler
Reserved284_IRQHandler
Reserved285_IRQHandler
Reserved286_IRQHandler
Reserved287_IRQHandler
Reserved288_IRQHandler
Reserved289_IRQHandler
Reserved290_IRQHandler
Reserved291_IRQHandler
Reserved292_IRQHandler
Reserved293_IRQHandler
Reserved294_IRQHandler
Reserved295_IRQHandler
Reserved296_IRQHandler
Reserved297_IRQHandler
Reserved298_IRQHandler
Reserved299_IRQHandler
Reserved300_IRQHandler
Reserved301_IRQHandler
Reserved302_IRQHandler
Reserved303_IRQHandler
Reserved304_IRQHandler
Reserved305_IRQHandler
Reserved306_IRQHandler
Reserved307_IRQHandler
Reserved308_IRQHandler
Reserved309_IRQHandler
Reserved310_IRQHandler
Reserved311_IRQHandler
Reserved312_IRQHandler
Reserved313_IRQHandler
Reserved314_IRQHandler
Reserved315_IRQHandler
Reserved316_IRQHandler
Reserved317_IRQHandler
Reserved318_IRQHandler
Reserved319_IRQHandler
Reserved320_IRQHandler
Reserved321_IRQHandler
Reserved322_IRQHandler
Reserved323_IRQHandler
Reserved324_IRQHandler
Reserved325_IRQHandler
Reserved326_IRQHandler
Reserved327_IRQHandler
Reserved328_IRQHandler
Reserved329_IRQHandler
Reserved330_IRQHandler
Reserved331_IRQHandler
Reserved332_IRQHandler
Reserved333_IRQHandler
Reserved334_IRQHandler
Reserved335_IRQHandler
Reserved336_IRQHandler
Reserved337_IRQHandler
Reserved338_IRQHandler
Reserved339_IRQHandler
Reserved340_IRQHandler
Reserved341_IRQHandler
Reserved342_IRQHandler
Reserved343_IRQHandler
Reserved344_IRQHandler
Reserved345_IRQHandler
Reserved346_IRQHandler
Reserved347_IRQHandler
Reserved348_IRQHandler
Reserved349_IRQHandler
Reserved350_IRQHandler
Reserved351_IRQHandler
Reserved352_IRQHandler
Reserved353_IRQHandler
Reserved354_IRQHandler
Reserved355_IRQHandler
Reserved356_IRQHandler
Reserved357_IRQHandler
Reserved358_IRQHandler
Reserved359_IRQHandler
Reserved360_IRQHandler
Reserved361_IRQHandler
Reserved362_IRQHandler
Reserved363_IRQHandler
Reserved364_IRQHandler
Reserved365_IRQHandler
Reserved366_IRQHandler
Reserved367_IRQHandler
Reserved368_IRQHandler
Reserved369_IRQHandler
Reserved370_IRQHandler
Reserved371_IRQHandler
Reserved372_IRQHandler
Reserved373_IRQHandler
Reserved374_IRQHandler
Reserved375_IRQHandler
Reserved376_IRQHandler
Reserved377_IRQHandler
Reserved378_IRQHandler
Reserved379_IRQHandler
Reserved380_IRQHandler
Reserved381_IRQHandler
Reserved382_IRQHandler
Reserved383_IRQHandler
Reserved384_IRQHandler
Reserved385_IRQHandler
Reserved386_IRQHandler
Reserved387_IRQHandler
Reserved388_IRQHandler
Reserved389_IRQHandler
Reserved390_IRQHandler
Reserved391_IRQHandler
Reserved392_IRQHandler
Reserved393_IRQHandler
Reserved394_IRQHandler
Reserved395_IRQHandler
Reserved396_IRQHandler
Reserved397_IRQHandler
Reserved398_IRQHandler
Reserved399_IRQHandler
Reserved400_IRQHandler
Reserved401_IRQHandler
Reserved402_IRQHandler
Reserved403_IRQHandler
Reserved404_IRQHandler
Reserved405_IRQHandler
Reserved406_IRQHandler
Reserved407_IRQHandler
Reserved408_IRQHandler
Reserved409_IRQHandler
Reserved410_IRQHandler
Reserved411_IRQHandler
Reserved412_IRQHandler
Reserved413_IRQHandler
Reserved414_IRQHandler
Reserved415_IRQHandler
Reserved416_IRQHandler
Reserved417_IRQHandler
Reserved418_IRQHandler
Reserved419_IRQHandler
Reserved420_IRQHandler
Reserved421_IRQHandler
Reserved422_IRQHandler
Reserved423_IRQHandler
Reserved424_IRQHandler
Reserved425_IRQHandler
Reserved426_IRQHandler
Reserved427_IRQHandler
Reserved428_IRQHandler
Reserved429_IRQHandler
Reserved430_IRQHandler
Reserved431_IRQHandler
Reserved432_IRQHandler
Reserved433_IRQHandler
Reserved434_IRQHandler
Reserved435_IRQHandler
Reserved436_IRQHandler
Reserved437_IRQHandler
Reserved438_IRQHandler
Reserved439_IRQHandler
Reserved440_IRQHandler
Reserved441_IRQHandler
Reserved442_IRQHandler
Reserved443_IRQHandler
Reserved444_IRQHandler
Reserved445_IRQHandler
Reserved446_IRQHandler
Reserved447_IRQHandler
Reserved448_IRQHandler
Reserved449_IRQHandler
Reserved450_IRQHandler
Reserved451_IRQHandler
Reserved452_IRQHandler
Reserved453_IRQHandler
Reserved454_IRQHandler
Reserved455_IRQHandler
Reserved456_IRQHandler
Reserved457_IRQHandler
Reserved458_IRQHandler
Reserved459_IRQHandler
Reserved460_IRQHandler
Reserved461_IRQHandler
Reserved462_IRQHandler
Reserved463_IRQHandler
Reserved464_IRQHandler
Reserved465_IRQHandler
Reserved466_IRQHandler
Reserved467_IRQHandler
Reserved468_IRQHandler
Reserved469_IRQHandler
Reserved470_IRQHandler
Reserved471_IRQHandler
Reserved472_IRQHandler
Reserved473_IRQHandler
Reserved474_IRQHandler
Reserved475_IRQHandler
Reserved476_IRQHandler
Reserved477_IRQHandler
Reserved478_IRQHandler
Reserved479_IRQHandler
Reserved480_IRQHandler
Reserved481_IRQHandler
Reserved482_IRQHandler
Reserved483_IRQHandler
Reserved484_IRQHandler
Reserved485_IRQHandler
Reserved486_IRQHandler
Reserved487_IRQHandler
Reserved488_IRQHandler
Reserved489_IRQHandler
Reserved490_IRQHandler
Reserved491_IRQHandler
Reserved492_IRQHandler
Reserved493_IRQHandler
Reserved494_IRQHandler
Reserved495_IRQHandler
Reserved496_IRQHandler
Reserved497_IRQHandler
Reserved498_IRQHandler
Reserved499_IRQHandler
Reserved500_IRQHandler
Reserved501_IRQHandler
Reserved502_IRQHandler
Reserved503_IRQHandler
Reserved504_IRQHandler
Reserved505_IRQHandler
Reserved506_IRQHandler
Reserved507_IRQHandler
Reserved508_IRQHandler
Reserved509_IRQHandler
Reserved510_IRQHandler
Reserved511_IRQHandler
Reserved512_IRQHandler
Reserved513_IRQHandler
Reserved514_IRQHandler
Reserved515_IRQHandler
Reserved516_IRQHandler
Reserved517_IRQHandler
Reserved518_IRQHandler
Reserved519_IRQHandler
Reserved520_IRQHandler
Reserved521_IRQHandler
Reserved522_IRQHandler
Reserved523_IRQHandler
Reserved524_IRQHandler
Reserved525_IRQHandler
Reserved526_IRQHandler
Reserved527_IRQHandler
Reserved528_IRQHandler
Reserved529_IRQHandler
Reserved530_IRQHandler
Reserved531_IRQHandler
Reserved532_IRQHandler
Reserved533_IRQHandler
Reserved534_IRQHandler
Reserved535_IRQHandler
Reserved536_IRQHandler
Reserved537_IRQHandler
Reserved538_IRQHandler
Reserved539_IRQHandler
Reserved540_IRQHandler
Reserved541_IRQHandler
Reserved542_IRQHandler
Reserved543_IRQHandler
Reserved544_IRQHandler
Reserved545_IRQHandler
Reserved546_IRQHandler
Reserved547_IRQHandler
Reserved548_IRQHandler
Reserved549_IRQHandler
Reserved550_IRQHandler
Reserved551_IRQHandler
Reserved552_IRQHandler
Reserved553_IRQHandler
Reserved554_IRQHandler
Reserved555_IRQHandler
Reserved556_IRQHandler
Reserved557_IRQHandler
Reserved558_IRQHandler
Reserved559_IRQHandler
Reserved560_IRQHandler
Reserved561_IRQHandler
Reserved562_IRQHandler
Reserved563_IRQHandler
Reserved564_IRQHandler
Reserved565_IRQHandler
Reserved566_IRQHandler
Reserved567_IRQHandler
Reserved568_IRQHandler
Reserved569_IRQHandler
Reserved570_IRQHandler
Reserved571_IRQHandler
Reserved572_IRQHandler
Reserved573_IRQHandler
Reserved574_IRQHandler
Reserved575_IRQHandler
Reserved576_IRQHandler
Reserved577_IRQHandler
Reserved578_IRQHandler
Reserved579_IRQHandler
Reserved580_IRQHandler
Reserved581_IRQHandler
Reserved582_IRQHandler
Reserved583_IRQHandler
Reserved584_IRQHandler
Reserved585_IRQHandler
Reserved586_IRQHandler
Reserved587_IRQHandler
Reserved588_IRQHandler
Reserved589_IRQHandler
Reserved590_IRQHandler
Reserved591_IRQHandler
Reserved592_IRQHandler
Reserved593_IRQHandler
Reserved594_IRQHandler
Reserved595_IRQHandler
Reserved596_IRQHandler
Reserved597_IRQHandler
Reserved598_IRQHandler
Reserved599_IRQHandler
Reserved600_IRQHandler
Reserved601_IRQHandler
Reserved602_IRQHandler
Reserved603_IRQHandler
Reserved604_IRQHandler
Reserved605_IRQHandler
Reserved606_IRQHandler
Reserved607_IRQHandler
Reserved608_IRQHandler
Reserved609_IRQHandler
Reserved610_IRQHandler
Reserved611_IRQHandler
Reserved612_IRQHandler
Reserved613_IRQHandler
Reserved614_IRQHandler
Reserved615_IRQHandler
Reserved616_IRQHandler
Reserved617_IRQHandler
Reserved618_IRQHandler
Reserved619_IRQHandler
Reserved620_IRQHandler
Reserved621_IRQHandler
Reserved622_IRQHandler
Reserved623_IRQHandler
Reserved624_IRQHandler
Reserved625_IRQHandler
Reserved626_IRQHandler
Reserved627_IRQHandler
Reserved628_IRQHandler
Reserved629_IRQHandler
Reserved630_IRQHandler
Reserved631_IRQHandler
Reserved632_IRQHandler
Reserved633_IRQHandler
Reserved634_IRQHandler
Reserved635_IRQHandler
Reserved636_IRQHandler
Reserved637_IRQHandler
Reserved638_IRQHandler
Reserved639_IRQHandler
Reserved640_IRQHandler
Reserved641_IRQHandler
Reserved642_IRQHandler
Reserved643_IRQHandler
Reserved644_IRQHandler
Reserved645_IRQHandler
Reserved646_IRQHandler
Reserved647_IRQHandler
Reserved648_IRQHandler
Reserved649_IRQHandler
Reserved650_IRQHandler
Reserved651_IRQHandler
Reserved652_IRQHandler
Reserved653_IRQHandler
Reserved654_IRQHandler
Reserved655_IRQHandler
Reserved656_IRQHandler
Reserved657_IRQHandler
Reserved658_IRQHandler
Reserved659_IRQHandler
Reserved660_IRQHandler
Reserved661_IRQHandler
Reserved662_IRQHandler
Reserved663_IRQHandler
Reserved664_IRQHandler
Reserved665_IRQHandler
Reserved666_IRQHandler
Reserved667_IRQHandler
Reserved668_IRQHandler
Reserved669_IRQHandler
Reserved670_IRQHandler
Reserved671_IRQHandler
Reserved672_IRQHandler
Reserved673_IRQHandler
Reserved674_IRQHandler
Reserved675_IRQHandler
Reserved676_IRQHandler
Reserved677_IRQHandler
Reserved678_IRQHandler
Reserved679_IRQHandler
Reserved680_IRQHandler
Reserved681_IRQHandler
Reserved682_IRQHandler
Reserved683_IRQHandler
Reserved684_IRQHandler
Reserved685_IRQHandler
Reserved686_IRQHandler
Reserved687_IRQHandler
Reserved688_IRQHandler
Reserved689_IRQHandler
Reserved690_IRQHandler
Reserved691_IRQHandler
Reserved692_IRQHandler
Reserved693_IRQHandler
Reserved694_IRQHandler
Reserved695_IRQHandler
Reserved696_IRQHandler
Reserved697_IRQHandler
Reserved698_IRQHandler
Reserved699_IRQHandler
Reserved700_IRQHandler
Reserved701_IRQHandler
Reserved702_IRQHandler
Reserved703_IRQHandler
Reserved704_IRQHandler
Reserved705_IRQHandler
Reserved706_IRQHandler
Reserved707_IRQHandler
Reserved708_IRQHandler
Reserved709_IRQHandler
Reserved710_IRQHandler
Reserved711_IRQHandler
Reserved712_IRQHandler
Reserved713_IRQHandler
Reserved714_IRQHandler
Reserved715_IRQHandler
Reserved716_IRQHandler
Reserved717_IRQHandler
Reserved718_IRQHandler
Reserved719_IRQHandler
Reserved720_IRQHandler
Reserved721_IRQHandler
Reserved722_IRQHandler
Reserved723_IRQHandler
Reserved724_IRQHandler
Reserved725_IRQHandler
Reserved726_IRQHandler
Reserved727_IRQHandler
Reserved728_IRQHandler
Reserved729_IRQHandler
Reserved730_IRQHandler
Reserved731_IRQHandler
Reserved732_IRQHandler
Reserved733_IRQHandler
Reserved734_IRQHandler
Reserved735_IRQHandler
Reserved736_IRQHandler
Reserved737_IRQHandler
Reserved738_IRQHandler
Reserved739_IRQHandler
Reserved740_IRQHandler
Reserved741_IRQHandler
Reserved742_IRQHandler
Reserved743_IRQHandler
Reserved744_IRQHandler
Reserved745_IRQHandler
Reserved746_IRQHandler
Reserved747_IRQHandler
Reserved748_IRQHandler
Reserved749_IRQHandler
Reserved750_IRQHandler
Reserved751_IRQHandler
Reserved752_IRQHandler
Reserved753_IRQHandler
Reserved754_IRQHandler
Reserved755_IRQHandler
Reserved756_IRQHandler
Reserved757_IRQHandler
Reserved758_IRQHandler
Reserved759_IRQHandler
Reserved760_IRQHandler
Reserved761_IRQHandler
Reserved762_IRQHandler
Reserved763_IRQHandler
Reserved764_IRQHandler
Reserved765_IRQHandler
Reserved766_IRQHandler
Reserved767_IRQHandler
Reserved768_IRQHandler
Reserved769_IRQHandler
Reserved770_IRQHandler
Reserved771_IRQHandler
Reserved772_IRQHandler
Reserved773_IRQHandler
Reserved774_IRQHandler
Reserved775_IRQHandler
Reserved776_IRQHandler
Reserved777_IRQHandler
Reserved778_IRQHandler
Reserved779_IRQHandler
Reserved780_IRQHandler
Reserved781_IRQHandler
Reserved782_IRQHandler
Reserved783_IRQHandler
Reserved784_IRQHandler
Reserved785_IRQHandler
Reserved786_IRQHandler
Reserved787_IRQHandler
Reserved788_IRQHandler
Reserved789_IRQHandler
Reserved790_IRQHandler
Reserved791_IRQHandler
Reserved792_IRQHandler
Reserved793_IRQHandler
Reserved794_IRQHandler
Reserved795_IRQHandler
Reserved796_IRQHandler
Reserved797_IRQHandler
Reserved798_IRQHandler
Reserved799_IRQHandler
Reserved800_IRQHandler
Reserved801_IRQHandler
Reserved802_IRQHandler
Reserved803_IRQHandler
Reserved804_IRQHandler
Reserved805_IRQHandler
Reserved806_IRQHandler
Reserved807_IRQHandler
Reserved808_IRQHandler
Reserved809_IRQHandler
Reserved810_IRQHandler
Reserved811_IRQHandler
Reserved812_IRQHandler
Reserved813_IRQHandler
Reserved814_IRQHandler
Reserved815_IRQHandler
Reserved816_IRQHandler
Reserved817_IRQHandler
Reserved818_IRQHandler
Reserved819_IRQHandler
Reserved820_IRQHandler
Reserved821_IRQHandler
Reserved822_IRQHandler
Reserved823_IRQHandler
Reserved824_IRQHandler
Reserved825_IRQHandler
Reserved826_IRQHandler
Reserved827_IRQHandler
Reserved828_IRQHandler
Reserved829_IRQHandler
Reserved830_IRQHandler
Reserved831_IRQHandler
Reserved832_IRQHandler
Reserved833_IRQHandler
Reserved834_IRQHandler
Reserved835_IRQHandler
Reserved836_IRQHandler
Reserved837_IRQHandler
Reserved838_IRQHandler
Reserved839_IRQHandler
Reserved840_IRQHandler
Reserved841_IRQHandler
Reserved842_IRQHandler
Reserved843_IRQHandler
Reserved844_IRQHandler
Reserved845_IRQHandler
Reserved846_IRQHandler
Reserved847_IRQHandler
Reserved848_IRQHandler
Reserved849_IRQHandler
Reserved850_IRQHandler
Reserved851_IRQHandler
Reserved852_IRQHandler
Reserved853_IRQHandler
Reserved854_IRQHandler
Reserved855_IRQHandler
Reserved856_IRQHandler
Reserved857_IRQHandler
Reserved858_IRQHandler
Reserved859_IRQHandler
Reserved860_IRQHandler
Reserved861_IRQHandler
Reserved862_IRQHandler
Reserved863_IRQHandler
Reserved864_IRQHandler
Reserved865_IRQHandler
Reserved866_IRQHandler
Reserved867_IRQHandler
Reserved868_IRQHandler
Reserved869_IRQHandler
Reserved870_IRQHandler
Reserved871_IRQHandler
Reserved872_IRQHandler
Reserved873_IRQHandler
Reserved874_IRQHandler
Reserved875_IRQHandler
Reserved876_IRQHandler
Reserved877_IRQHandler
Reserved878_IRQHandler
Reserved879_IRQHandler
Reserved880_IRQHandler
Reserved881_IRQHandler
Reserved882_IRQHandler
Reserved883_IRQHandler
Reserved884_IRQHandler
Reserved885_IRQHandler
Reserved886_IRQHandler
Reserved887_IRQHandler
Reserved888_IRQHandler
Reserved889_IRQHandler
Reserved890_IRQHandler
Reserved891_IRQHandler
Reserved892_IRQHandler
Reserved893_IRQHandler
Reserved894_IRQHandler
Reserved895_IRQHandler
Reserved896_IRQHandler
Reserved897_IRQHandler
Reserved898_IRQHandler
Reserved899_IRQHandler
Reserved900_IRQHandler
Reserved901_IRQHandler
Reserved902_IRQHandler
Reserved903_IRQHandler
Reserved904_IRQHandler
Reserved905_IRQHandler
Reserved906_IRQHandler
Reserved907_IRQHandler
Reserved908_IRQHandler
Reserved909_IRQHandler
Reserved910_IRQHandler
Reserved911_IRQHandler
Reserved912_IRQHandler
Reserved913_IRQHandler
Reserved914_IRQHandler
Reserved915_IRQHandler
Reserved916_IRQHandler
Reserved917_IRQHandler
Reserved918_IRQHandler
Reserved919_IRQHandler
Reserved920_IRQHandler
Reserved921_IRQHandler
Reserved922_IRQHandler
Reserved923_IRQHandler
Reserved924_IRQHandler
Reserved925_IRQHandler
Reserved926_IRQHandler
Reserved927_IRQHandler
Reserved928_IRQHandler
Reserved929_IRQHandler
Reserved930_IRQHandler
Reserved931_IRQHandler
Reserved932_IRQHandler
Reserved933_IRQHandler
Reserved934_IRQHandler
Reserved935_IRQHandler
Reserved936_IRQHandler
Reserved937_IRQHandler
Reserved938_IRQHandler
Reserved939_IRQHandler
Reserved940_IRQHandler
Reserved941_IRQHandler
Reserved942_IRQHandler
Reserved943_IRQHandler
Reserved944_IRQHandler
Reserved945_IRQHandler
Reserved946_IRQHandler
Reserved947_IRQHandler
Reserved948_IRQHandler
Reserved949_IRQHandler
Reserved950_IRQHandler
Reserved951_IRQHandler
Reserved952_IRQHandler
Reserved953_IRQHandler
Reserved954_IRQHandler
Reserved955_IRQHandler
Reserved956_IRQHandler
Reserved957_IRQHandler
Reserved958_IRQHandler
Reserved959_IRQHandler
Reserved960_IRQHandler
Reserved961_IRQHandler
Reserved962_IRQHandler
Reserved963_IRQHandler
Reserved964_IRQHandler
Reserved965_IRQHandler
Reserved966_IRQHandler
Reserved967_IRQHandler
Reserved968_IRQHandler
Reserved969_IRQHandler
Reserved970_IRQHandler
Reserved971_IRQHandler
Reserved972_IRQHandler
Reserved973_IRQHandler
Reserved974_IRQHandler
Reserved975_IRQHandler
Reserved976_IRQHandler
Reserved977_IRQHandler
Reserved978_IRQHandler
Reserved979_IRQHandler
Reserved980_IRQHandler
Reserved981_IRQHandler
Reserved982_IRQHandler
Reserved983_IRQHandler
Reserved984_IRQHandler
Reserved985_IRQHandler
Reserved986_IRQHandler
Reserved987_IRQHandler
Reserved988_IRQHandler
Reserved989_IRQHandler
Reserved990_IRQHandler
Reserved991_IRQHandler
Reserved992_IRQHandler
Reserved993_IRQHandler
Reserved994_IRQHandler
Reserved995_IRQHandler
Reserved996_IRQHandler
Reserved997_IRQHandler
Reserved998_IRQHandler
Reserved999_IRQHandler
Reserved1000_IRQHandler
Reserved1001_IRQHandler
Reserved1002_IRQHandler
Reserved1003_IRQHandler
Reserved1004_IRQHandler
Reserved1005_IRQHandler
Reserved1006_IRQHandler
Reserved1007_IRQHandler
Reserved1008_IRQHandler
Reserved1009_IRQHandler
Reserved1010_IRQHandler
Reserved1011_IRQHandler
Reserved1012_IRQHandler
Reserved1013_IRQHandler
Reserved1014_IRQHandler
Reserved1015_IRQHandler
Reserved1016_IRQHandler
Reserved1017_IRQHandler
Reserved1018_IRQHandler
Reserved1019_IRQHandler
Reserved1020_IRQHandler
Reserved1021_IRQHandler
Reserved1022_IRQHandler
Reserved1023_IRQHandler
Reserved1024_IRQHandler
Reserved1025_IRQHandler
Reserved1026_IRQHandler
Reserved1027_IRQHandler
Reserved1028_IRQHandler
Reserved1029_IRQHandler
Reserved1030_IRQHandler
Reserved1031_IRQHandler
Reserved1032_IRQHandler
Reserved1033_IRQHandler
Reserved1034_IRQHandler
Reserved1035_IRQHandler
Reserved1036_IRQHandler
Reserved1037_IRQHandler
Reserved1038_IRQHandler
Reserved1039_IRQHandler
GIC_Spurious1023_IRQHandler
DefaultISR

                B       .

                ENDP


                ALIGN


; User Initial Stack & Heap

                IF      :DEF:__MICROLIB

                EXPORT  __initial_sp
                EXPORT  __heap_base
                EXPORT  __heap_limit

                ELSE

                IMPORT  __use_two_region_memory
                EXPORT  __user_initial_stackheap
__user_initial_stackheap

                LDR     R0, =  Heap_Mem
                LDR     R1, =(Stack_Mem + Stack_Size)
                LDR     R2, = (Heap_Mem +  Heap_Size)
                LDR     R3, = Stack_Mem
                BX      LR

                ALIGN

                ENDIF


                END
