/*
 * Copyright (c) 2015, Freescale Semiconductor, Inc.
 * Copyright (c) 2016, Toradex AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of Freescale Semiconductor, Inc. nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*!
**  @addtogroup pin_mux_module pin_mux module documentation
**  @{
*/

/* MODULE pin_mux. */

#ifdef _RTE_
  #include "RTE_Components.h"           // Component selection
  #include CMSIS_device_header
#endif
#include "pin_mux.h"

uint32_t* iomux_gpio_pad_addr[] = {
	(uint32_t*)(&IOMUXC->SINGLE.PTA6),
	(uint32_t*)(&IOMUXC->SINGLE.PTA8),
	(uint32_t*)(&IOMUXC->SINGLE.PTA9),
	(uint32_t*)(&IOMUXC->SINGLE.PTA10),
	(uint32_t*)(&IOMUXC->SINGLE.PTA11),
	(uint32_t*)(&IOMUXC->SINGLE.PTA12),
	(uint32_t*)(&IOMUXC->SINGLE.PTA16),
	(uint32_t*)(&IOMUXC->SINGLE.PTA17),
	(uint32_t*)(&IOMUXC->SINGLE.PTA18),
	(uint32_t*)(&IOMUXC->SINGLE.PTA19),
	(uint32_t*)(&IOMUXC->SINGLE.PTA20),
	(uint32_t*)(&IOMUXC->SINGLE.PTA21),
	(uint32_t*)(&IOMUXC->SINGLE.PTA22),
	(uint32_t*)(&IOMUXC->SINGLE.PTA23),
	(uint32_t*)(&IOMUXC->SINGLE.PTA24),
	(uint32_t*)(&IOMUXC->SINGLE.PTA25),
	(uint32_t*)(&IOMUXC->SINGLE.PTA26),
	(uint32_t*)(&IOMUXC->SINGLE.PTA27),
	(uint32_t*)(&IOMUXC->SINGLE.PTA28),
	(uint32_t*)(&IOMUXC->SINGLE.PTA29),
	(uint32_t*)(&IOMUXC->SINGLE.PTA30),
	(uint32_t*)(&IOMUXC->SINGLE.PTA31),
	(uint32_t*)(&IOMUXC->SINGLE.PTB0),
	(uint32_t*)(&IOMUXC->SINGLE.PTB1),
	(uint32_t*)(&IOMUXC->SINGLE.PTB2),
	(uint32_t*)(&IOMUXC->SINGLE.PTB3),
	(uint32_t*)(&IOMUXC->SINGLE.PTB4),
	(uint32_t*)(&IOMUXC->SINGLE.PTB5),
	(uint32_t*)(&IOMUXC->SINGLE.PTB6),
	(uint32_t*)(&IOMUXC->SINGLE.PTB7),
	(uint32_t*)(&IOMUXC->SINGLE.PTB8),
	(uint32_t*)(&IOMUXC->SINGLE.PTB9),
	(uint32_t*)(&IOMUXC->SINGLE.PTB10),
	(uint32_t*)(&IOMUXC->SINGLE.PTB11),
	(uint32_t*)(&IOMUXC->SINGLE.PTB12),
	(uint32_t*)(&IOMUXC->SINGLE.PTB13),
	(uint32_t*)(&IOMUXC->SINGLE.PTB14),
	(uint32_t*)(&IOMUXC->SINGLE.PTB15),
	(uint32_t*)(&IOMUXC->SINGLE.PTB16),
	(uint32_t*)(&IOMUXC->SINGLE.PTB17),
	(uint32_t*)(&IOMUXC->SINGLE.PTB18),
	(uint32_t*)(&IOMUXC->SINGLE.PTB19),
	(uint32_t*)(&IOMUXC->SINGLE.PTB20),
	(uint32_t*)(&IOMUXC->SINGLE.PTB21),
	(uint32_t*)(&IOMUXC->SINGLE.PTB22),
	(uint32_t*)(&IOMUXC->SINGLE.PTC0),
	(uint32_t*)(&IOMUXC->SINGLE.PTC1),
	(uint32_t*)(&IOMUXC->SINGLE.PTC2),
	(uint32_t*)(&IOMUXC->SINGLE.PTC3),
	(uint32_t*)(&IOMUXC->SINGLE.PTC4),
	(uint32_t*)(&IOMUXC->SINGLE.PTC5),
	(uint32_t*)(&IOMUXC->SINGLE.PTC6),
	(uint32_t*)(&IOMUXC->SINGLE.PTC7),
	(uint32_t*)(&IOMUXC->SINGLE.PTC8),
	(uint32_t*)(&IOMUXC->SINGLE.PTC9),
	(uint32_t*)(&IOMUXC->SINGLE.PTC10),
	(uint32_t*)(&IOMUXC->SINGLE.PTC11),
	(uint32_t*)(&IOMUXC->SINGLE.PTC12),
	(uint32_t*)(&IOMUXC->SINGLE.PTC13),
	(uint32_t*)(&IOMUXC->SINGLE.PTC14),
	(uint32_t*)(&IOMUXC->SINGLE.PTC15),
	(uint32_t*)(&IOMUXC->SINGLE.PTC16),
	(uint32_t*)(&IOMUXC->SINGLE.PTC17),
	(uint32_t*)(&IOMUXC->SINGLE.PTD31),
	(uint32_t*)(&IOMUXC->SINGLE.PTD30),
	(uint32_t*)(&IOMUXC->SINGLE.PTD29),
	(uint32_t*)(&IOMUXC->SINGLE.PTD28),
	(uint32_t*)(&IOMUXC->SINGLE.PTD27),
	(uint32_t*)(&IOMUXC->SINGLE.PTD26),
	(uint32_t*)(&IOMUXC->SINGLE.PTD25),
	(uint32_t*)(&IOMUXC->SINGLE.PTD24),
	(uint32_t*)(&IOMUXC->SINGLE.PTD23),
	(uint32_t*)(&IOMUXC->SINGLE.PTD22),
	(uint32_t*)(&IOMUXC->SINGLE.PTD21),
	(uint32_t*)(&IOMUXC->SINGLE.PTD20),
	(uint32_t*)(&IOMUXC->SINGLE.PTD19),
	(uint32_t*)(&IOMUXC->SINGLE.PTD18),
	(uint32_t*)(&IOMUXC->SINGLE.PTD17),
	(uint32_t*)(&IOMUXC->SINGLE.PTD16),
	(uint32_t*)(&IOMUXC->SINGLE.PTD0),
	(uint32_t*)(&IOMUXC->SINGLE.PTD1),
	(uint32_t*)(&IOMUXC->SINGLE.PTD2),
	(uint32_t*)(&IOMUXC->SINGLE.PTD3),
	(uint32_t*)(&IOMUXC->SINGLE.PTD4),
	(uint32_t*)(&IOMUXC->SINGLE.PTD5),
	(uint32_t*)(&IOMUXC->SINGLE.PTD6),
	(uint32_t*)(&IOMUXC->SINGLE.PTD7),
	(uint32_t*)(&IOMUXC->SINGLE.PTD8),
	(uint32_t*)(&IOMUXC->SINGLE.PTD9),
	(uint32_t*)(&IOMUXC->SINGLE.PTD10),
	(uint32_t*)(&IOMUXC->SINGLE.PTD11),
	(uint32_t*)(&IOMUXC->SINGLE.PTD12),
	(uint32_t*)(&IOMUXC->SINGLE.PTD13),
	(uint32_t*)(&IOMUXC->SINGLE.PTB23),
	(uint32_t*)(&IOMUXC->SINGLE.PTB24),
	(uint32_t*)(&IOMUXC->SINGLE.PTB25),
	(uint32_t*)(&IOMUXC->SINGLE.PTB26),
	(uint32_t*)(&IOMUXC->SINGLE.PTB27),
	(uint32_t*)(&IOMUXC->SINGLE.PTB28),
	(uint32_t*)(&IOMUXC->SINGLE.PTC26),
	(uint32_t*)(&IOMUXC->SINGLE.PTC27),
	(uint32_t*)(&IOMUXC->SINGLE.PTC28),
	(uint32_t*)(&IOMUXC->SINGLE.PTC29),
	(uint32_t*)(&IOMUXC->SINGLE.PTC30),
	(uint32_t*)(&IOMUXC->SINGLE.PTC31),
	(uint32_t*)(&IOMUXC->SINGLE.PTE0),
	(uint32_t*)(&IOMUXC->SINGLE.PTE1),
	(uint32_t*)(&IOMUXC->SINGLE.PTE2),
	(uint32_t*)(&IOMUXC->SINGLE.PTE3),
	(uint32_t*)(&IOMUXC->SINGLE.PTE4),
	(uint32_t*)(&IOMUXC->SINGLE.PTE5),
	(uint32_t*)(&IOMUXC->SINGLE.PTE6),
	(uint32_t*)(&IOMUXC->SINGLE.PTE7),
	(uint32_t*)(&IOMUXC->SINGLE.PTE8),
	(uint32_t*)(&IOMUXC->SINGLE.PTE9),
	(uint32_t*)(&IOMUXC->SINGLE.PTE10),
	(uint32_t*)(&IOMUXC->SINGLE.PTE11),
	(uint32_t*)(&IOMUXC->SINGLE.PTE12),
	(uint32_t*)(&IOMUXC->SINGLE.PTE13),
	(uint32_t*)(&IOMUXC->SINGLE.PTE14),
	(uint32_t*)(&IOMUXC->SINGLE.PTE15),
	(uint32_t*)(&IOMUXC->SINGLE.PTE16),
	(uint32_t*)(&IOMUXC->SINGLE.PTE17),
	(uint32_t*)(&IOMUXC->SINGLE.PTE18),
	(uint32_t*)(&IOMUXC->SINGLE.PTE19),
	(uint32_t*)(&IOMUXC->SINGLE.PTE20),
	(uint32_t*)(&IOMUXC->SINGLE.PTE21),
	(uint32_t*)(&IOMUXC->SINGLE.PTE22),
	(uint32_t*)(&IOMUXC->SINGLE.PTE23),
	(uint32_t*)(&IOMUXC->SINGLE.PTE24),
	(uint32_t*)(&IOMUXC->SINGLE.PTE25),
	(uint32_t*)(&IOMUXC->SINGLE.PTE26),
	(uint32_t*)(&IOMUXC->SINGLE.PTE27),
	(uint32_t*)(&IOMUXC->SINGLE.PTE28),
	(uint32_t*)(&IOMUXC->SINGLE.PTA7),
};

void configure_gpio_pin(uint32_t gpio)
{
	uint32_t* iomux_addr = iomux_gpio_pad_addr[gpio];

	*((volatile uint32_t *)((uint32_t)iomux_addr)) = ((IOMUXC_MUX_MODE_ALT0) << IOMUXC_MUX_MODE_SHIFT | (IOMUXC_SPEED_MEDIUM) << IOMUXC_SPEED_SHIFT |
													 (IOMUXC_DSE_50OHM) << IOMUXC_DSE_SHIFT | (IOMUXC_PUS_PU_47KOHM) << IOMUXC_PUS_SHIFT);
}

void configure_uart_pins(UART_Type* base)
{
    switch((uint32_t)base)
    {
        case UART2_BASE:
            // UART2 iomux configuration
			IOMUXC->SCI_FLX2_IPP_IND_SCI_TX_SELECT_INPUT = 0x02;
			IOMUXC->SINGLE.PTD0 = IOMUXC_PAD (MUX_MODE_ALT2, PUS_PU_100KOHM, DSE_25OHM, SPEED_MEDIUM, IOMUXC_IBE | IOMUXC_OBE);
			IOMUXC->SCI_FLX2_IPP_IND_SCI_RX_SELECT_INPUT = 0x02;
			IOMUXC->SINGLE.PTD1 = IOMUXC_PAD (MUX_MODE_ALT2, PUS_PU_100KOHM, DSE_25OHM, SPEED_MEDIUM, IOMUXC_IBE| IOMUXC_OBE);
            break;
        default:
            break;
    }
}

/*******************************************************************************
 * EOF
 ******************************************************************************/
